!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 203

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1568)
  integer, parameter :: nGC_10 = 1
  integer, parameter :: nGC_12 = 2
  integer, parameter :: nGC_3 = 3
  integer, parameter :: nGC_5 = 4
  integer, parameter :: nGC_37 = 5
  integer, parameter :: nGC_27 = 6
  integer, parameter :: nGC_41 = 7
  integer, parameter :: nGC_29 = 8
  integer, parameter :: nGC_24 = 9
  integer, parameter :: nGC_15 = 10
  integer, parameter :: nGC_13 = 11
  integer, parameter :: nGC_14 = 12
  integer, parameter :: nGC_5213 = 13
  integer, parameter :: nGC_20 = 14
  integer, parameter :: nGC_23 = 15
  integer, parameter :: nGC_19 = 16
  integer, parameter :: nGC_25 = 17
  integer, parameter :: nGC_22 = 18
  integer, parameter :: nGC_18 = 19
  integer, parameter :: nGC_21 = 20
  integer, parameter :: nGC_75 = 21
  integer, parameter :: nGC_78 = 22
  integer, parameter :: nGC_79 = 23
  integer, parameter :: nGC_74 = 24
  integer, parameter :: nGC_76 = 25
  integer, parameter :: nGC_77 = 26
  integer, parameter :: nGC_6 = 27
  integer, parameter :: nGC_4 = 28
  integer, parameter :: nGC_39 = 29
  integer, parameter :: nGC_40 = 30
  integer, parameter :: nGC_48 = 31
  integer, parameter :: nGC_71 = 32
  integer, parameter :: nGC_32 = 33
  integer, parameter :: nGC_35 = 34
  integer, parameter :: nGC_47 = 35
  integer, parameter :: nGC_38 = 36
  integer, parameter :: nGC_34 = 37
  integer, parameter :: nGC_46 = 38
  integer, parameter :: nGC_26 = 39
  integer, parameter :: nGC_28 = 40
  integer, parameter :: nGC_30 = 41
  integer, parameter :: nGC_31 = 42
  integer, parameter :: nGC_69 = 43
  integer, parameter :: nGC_70 = 44
  integer, parameter :: nGC_58 = 45
  integer, parameter :: nGC_57 = 46
  integer, parameter :: nGC_61 = 47
  integer, parameter :: nGC_55 = 48
  integer, parameter :: nGC_8 = 49
  integer, parameter :: nGC_9 = 50
  integer, parameter :: nGC_17 = 51
  integer, parameter :: nGC_68 = 52
  integer, parameter :: nGC_7 = 53
  integer, parameter :: nGC_64 = 54
  integer, parameter :: nGC_63 = 55
  integer, parameter :: nGC_65 = 56
  integer, parameter :: nGC_66 = 57
  integer, parameter :: nGC_67 = 58
  integer, parameter :: nGC_72 = 59
  integer, parameter :: nGC_73 = 60
  integer, parameter :: nGC_2 = 61
  integer, parameter :: nGC_1 = 62
  integer, parameter :: nGC_11 = 63
  integer, parameter :: nGC_33 = 64
  integer, parameter :: nGC_51 = 65
  integer, parameter :: nGC_54 = 66
  integer, parameter :: nGC_50 = 67
  integer, parameter :: nGC_53 = 68
  integer, parameter :: nGC_56 = 69
  integer, parameter :: nGC_52 = 70
  integer, parameter :: nGC_120 = 71
  integer, parameter :: nGC_90 = 72
  integer, parameter :: nGC_85 = 73
  integer, parameter :: nGC_105 = 74
  integer, parameter :: nGC_110 = 75
  integer, parameter :: nGC_80 = 76
  integer, parameter :: nGC_92 = 77
  integer, parameter :: nGC_91 = 78
  integer, parameter :: nGC_107 = 79
  integer, parameter :: nGC_106 = 80
  integer, parameter :: nGC_82 = 81
  integer, parameter :: nGC_81 = 82
  integer, parameter :: nGC_93 = 83
  integer, parameter :: nGC_108 = 84
  integer, parameter :: nGC_83 = 85
  integer, parameter :: nGC_94 = 86
  integer, parameter :: nGC_109 = 87
  integer, parameter :: nGC_84 = 88
  integer, parameter :: nGC_95 = 89
  integer, parameter :: nGC_5307 = 90
  integer, parameter :: nGC_100 = 91
  integer, parameter :: nGC_5308 = 92
  integer, parameter :: nGC_115 = 93
  integer, parameter :: nGC_5309 = 94
  integer, parameter :: nGC_97 = 95
  integer, parameter :: nGC_96 = 96
  integer, parameter :: nGC_102 = 97
  integer, parameter :: nGC_101 = 98
  integer, parameter :: nGC_117 = 99
  integer, parameter :: nGC_116 = 100
  integer, parameter :: nGC_98 = 101
  integer, parameter :: nGC_103 = 102
  integer, parameter :: nGC_118 = 103
  integer, parameter :: nGC_99 = 104
  integer, parameter :: nGC_104 = 105
  integer, parameter :: nGC_119 = 106
  integer, parameter :: nGC_121 = 107
  integer, parameter :: nGC_122 = 108
  integer, parameter :: nGC_86 = 109
  integer, parameter :: nGC_87 = 110
  integer, parameter :: nGC_111 = 111
  integer, parameter :: nGC_112 = 112
  integer, parameter :: nGC_123 = 113
  integer, parameter :: nGC_88 = 114
  integer, parameter :: nGC_113 = 115
  integer, parameter :: nGC_124 = 116
  integer, parameter :: nGC_89 = 117
  integer, parameter :: nGC_114 = 118
  integer, parameter :: nGC_16 = 119
  integer, parameter :: nGC_42 = 120
  integer, parameter :: nGC_44 = 121
  integer, parameter :: nGC_49 = 122
  integer, parameter :: nGC_59 = 123
  integer, parameter :: nGC_36 = 124
  integer, parameter :: nGC_43 = 125
  integer, parameter :: nGC_45 = 126
  integer, parameter :: nGC_60 = 127
  integer, parameter :: nGC_62 = 128
  integer, parameter :: nGC_TS_GC_93_Hl = 129
  integer, parameter :: nGC_TS_GC_108_Hl = 130
  integer, parameter :: nGC_TS_GC_83_Hl = 131
  integer, parameter :: nGC_TS_GC_94_Hh = 132
  integer, parameter :: nGC_TS_GC_109_Hh = 133
  integer, parameter :: nGC_TS_GC_84_Hh = 134
  integer, parameter :: nGC_TS_GC_20_Hl = 135
  integer, parameter :: nGC_TS_GC_98_Hl = 136
  integer, parameter :: nGC_TS_GC_103_Hl = 137
  integer, parameter :: nGC_TS_GC_118_Hl = 138
  integer, parameter :: nGC_TS_GC_99_Hh = 139
  integer, parameter :: nGC_TS_GC_104_Hh = 140
  integer, parameter :: nGC_TS_GC_119_Hh = 141
  integer, parameter :: nGC_TS_GC_123_Hl = 142
  integer, parameter :: nGC_TS_GC_88_Hl = 143
  integer, parameter :: nGC_TS_GC_113_Hl = 144
  integer, parameter :: nGC_TS_GC_124_Hh = 145
  integer, parameter :: nGC_TS_GC_89_Hh = 146
  integer, parameter :: nGC_TS_GC_114_Hh = 147
  integer, parameter :: nGC_TS_GC_23_Hl = 148
  integer, parameter :: nGC_TS_GC_19_Hh = 149
  integer, parameter :: nGC_TS_GC_25_Hl = 150
  integer, parameter :: nGC_TS_GC_25_Hh = 151
  integer, parameter :: nGC_TS_GC_22_Hl = 152
  integer, parameter :: nGC_TS_GC_22_Hh = 153
  integer, parameter :: nGC_TS_GC_18_Hl = 154
  integer, parameter :: nGC_TS_GC_18_Hh = 155
  integer, parameter :: nGC_TS_GC_21_Hl = 156
  integer, parameter :: nGC_TS_GC_21_Hh = 157
  integer, parameter :: nGC_TS_GC_75_Hl = 158
  integer, parameter :: nGC_TS_GC_78_Hl = 159
  integer, parameter :: nGC_TS_GC_79_Hl = 160
  integer, parameter :: nGC_TS_GC_79_Hh = 161
  integer, parameter :: nGC_TS_GC_74_Hh = 162
  integer, parameter :: nGC_TS_GC_76_Hl = 163
  integer, parameter :: nGC_TS_GC_76_Hh = 164
  integer, parameter :: nGC_TS_GC_77_Hh = 165
  integer, parameter :: nGC_TS_GC_40_Hl = 166
  integer, parameter :: nGC_TS_GC_48_Hh = 167
  integer, parameter :: nGC_TS_GC_35_Hl = 168
  integer, parameter :: nGC_TS_GC_47_Hh = 169
  integer, parameter :: nGC_TS_GC_34_Hl = 170
  integer, parameter :: nGC_TS_GC_46_Hh = 171
  integer, parameter :: nGC_TS_GC_28_Hl = 172
  integer, parameter :: nGC_TS_GC_30_Hl = 173
  integer, parameter :: nGC_TS_GC_30_Hh = 174
  integer, parameter :: nGC_TS_GC_31_Hh = 175
  integer, parameter :: nGC_TS_GC_69_Hl = 176
  integer, parameter :: nGC_TS_GC_70_Hh = 177
  integer, parameter :: nGC_TS_GC_57_Hl = 178
  integer, parameter :: nGC_TS_GC_61_Hh = 179
  integer, parameter :: nGC_TS_GC_9_Hl = 180
  integer, parameter :: nGC_TS_GC_17_Hh = 181
  integer, parameter :: nGC_TS_GC_65_Hl = 182
  integer, parameter :: nGC_TS_GC_66_Hl = 183
  integer, parameter :: nGC_TS_GC_66_Hh = 184
  integer, parameter :: nGC_TS_GC_67_Hh = 185
  integer, parameter :: nGC_TS_GC_72_Hl = 186
  integer, parameter :: nGC_TS_GC_73_Hh = 187
  integer, parameter :: nGC_TS_GC_24_Hh = 188
  integer, parameter :: nGC_5416 = 189
  integer, parameter :: nGC_MHL = 190
  integer, parameter :: nGC_I = 191
  integer, parameter :: nGC_5418 = 192
  integer, parameter :: nGC_MHH = 193
  integer, parameter :: nGC_MI = 194
  integer, parameter :: nGC_5420 = 195
  integer, parameter :: nGC_ME = 196
  integer, parameter :: nGC_5421 = 197
  integer, parameter :: nGC_MM = 198
  integer, parameter :: nGC_5422 = 199
  integer, parameter :: nGC_MTA = 200
  integer, parameter :: nGC_MU = 201
  integer, parameter :: nGC_MC = 202
  integer, parameter :: nGC_MT = 203
  integer, parameter :: nGC_MD = 204
  integer, parameter :: nGC_MS = 205
  integer, parameter :: nGC_MB = 206
  integer, parameter :: nGC_5435 = 207
  integer, parameter :: nGC_MZ = 208
  integer, parameter :: nGC_5436 = 209
  integer, parameter :: nGC_MW = 210
  integer, parameter :: nGC_MW_GF = 211
  integer, parameter :: nGC_MMW_GF = 212
  integer, parameter :: nGC_MZ_GF = 213
  integer, parameter :: nGC_423 = 214
  integer, parameter :: nGC_427 = 215
  integer, parameter :: nGC_429 = 216
  integer, parameter :: nGC_443 = 217
  integer, parameter :: nGC_449 = 218
  integer, parameter :: nGC_453 = 219
  integer, parameter :: nGC_457 = 220
  integer, parameter :: nGC_805 = 221
  integer, parameter :: nGC_809 = 222
  integer, parameter :: nGC_825 = 223
  integer, parameter :: nGC_831 = 224
  integer, parameter :: nGC_865 = 225
  integer, parameter :: nGC_1393 = 226
  integer, parameter :: nGC_1405 = 227
  integer, parameter :: nGC_1419 = 228
  integer, parameter :: nGC_1587 = 229
  integer, parameter :: nGC_1599 = 230
  integer, parameter :: nGC_1835 = 231
  integer, parameter :: nGC_1847 = 232
  integer, parameter :: nGC_1861 = 233
  integer, parameter :: nGC_7046 = 234
  integer, parameter :: nGC_7054 = 235
  integer, parameter :: nGC_7072 = 236
  integer, parameter :: nGC_7375 = 237
  integer, parameter :: nGC_7380 = 238
  integer, parameter :: nGC_7448 = 239
  integer, parameter :: nGC_7453 = 240
  integer, parameter :: nGC_7459 = 241
  integer, parameter :: nGC_7464 = 242
  integer, parameter :: nGC_7475 = 243
  integer, parameter :: nGC_7482 = 244
  integer, parameter :: nGC_7489 = 245
  integer, parameter :: nGC_7490 = 246
  integer, parameter :: nGC_7494 = 247
  integer, parameter :: nGC_7509 = 248
  integer, parameter :: nGC_7510 = 249
  integer, parameter :: nGC_7528 = 250
  integer, parameter :: nGC_7529 = 251
  integer, parameter :: nGC_7541 = 252
  integer, parameter :: nGC_7544 = 253
  integer, parameter :: nGC_7549 = 254
  integer, parameter :: nGC_7550 = 255
  integer, parameter :: nGC_7554 = 256
  integer, parameter :: nGC_7557 = 257
  integer, parameter :: nGC_7560 = 258
  integer, parameter :: nGC_7565 = 259
  integer, parameter :: nGC_7568 = 260
  integer, parameter :: nGC_7573 = 261
  integer, parameter :: nGC_7574 = 262
  integer, parameter :: nGC_7580 = 263
  integer, parameter :: nGC_7583 = 264
  integer, parameter :: nGC_7596 = 265
  integer, parameter :: nGC_7597 = 266
  integer, parameter :: nGC_7588 = 267
  integer, parameter :: nGC_7591 = 268
  integer, parameter :: nGC_7603 = 269
  integer, parameter :: nGC_7606 = 270
  integer, parameter :: nGC_7619 = 271
  integer, parameter :: nGC_7620 = 272
  integer, parameter :: nGC_7611 = 273
  integer, parameter :: nGC_7614 = 274
  integer, parameter :: nGC_7624 = 275
  integer, parameter :: nGC_7627 = 276
  integer, parameter :: nGC_7630 = 277
  integer, parameter :: nGC_7635 = 278
  integer, parameter :: nGC_7638 = 279
  integer, parameter :: nGC_7643 = 280
  integer, parameter :: nGC_7644 = 281
  integer, parameter :: nGC_7650 = 282
  integer, parameter :: nGC_7653 = 283
  integer, parameter :: nGC_7658 = 284
  integer, parameter :: nGC_7661 = 285
  integer, parameter :: nGC_7666 = 286
  integer, parameter :: nGC_7667 = 287
  integer, parameter :: nGC_7673 = 288
  integer, parameter :: nGC_7676 = 289
  integer, parameter :: nGC_7682 = 290
  integer, parameter :: nGC_7684 = 291
  integer, parameter :: nGC_7681 = 292
  integer, parameter :: nGC_7683 = 293
  integer, parameter :: nGC_7696 = 294
  integer, parameter :: nGC_7698 = 295
  integer, parameter :: nGC_7697 = 296
  integer, parameter :: nGC_7699 = 297
  integer, parameter :: nGC_7711 = 298
  integer, parameter :: nGC_7713 = 299
  integer, parameter :: nGC_7710 = 300
  integer, parameter :: nGC_7712 = 301
  integer, parameter :: nGC_7724 = 302
  integer, parameter :: nGC_7726 = 303
  integer, parameter :: nGC_7725 = 304
  integer, parameter :: nGC_7727 = 305
  integer, parameter :: nGC_7739 = 306
  integer, parameter :: nGC_7741 = 307
  integer, parameter :: nGC_7738 = 308
  integer, parameter :: nGC_7740 = 309
  integer, parameter :: nGC_7753 = 310
  integer, parameter :: nGC_7755 = 311
  integer, parameter :: nGC_7752 = 312
  integer, parameter :: nGC_7754 = 313
  integer, parameter :: nGC_7768 = 314
  integer, parameter :: nGC_7772 = 315
  integer, parameter :: nGC_7776 = 316
  integer, parameter :: nGC_7805 = 317
  integer, parameter :: nGC_7889 = 318
  integer, parameter :: nGC_7888 = 319
  integer, parameter :: nGC_7903 = 320
  integer, parameter :: nGC_7904 = 321
  integer, parameter :: nGC_7910 = 322
  integer, parameter :: nGC_7911 = 323
  integer, parameter :: nGC_7925 = 324
  integer, parameter :: nGC_7926 = 325
  integer, parameter :: nGC_7932 = 326
  integer, parameter :: nGC_7933 = 327
  integer, parameter :: nGC_7947 = 328
  integer, parameter :: nGC_7948 = 329
  integer, parameter :: nGC_7954 = 330
  integer, parameter :: nGC_7957 = 331
  integer, parameter :: nGC_7960 = 332
  integer, parameter :: nGC_7980 = 333
  integer, parameter :: nGC_7990 = 334
  integer, parameter :: nGC_7994 = 335
  integer, parameter :: nGC_8004 = 336
  integer, parameter :: nGC_8008 = 337
  integer, parameter :: nGC_8018 = 338
  integer, parameter :: nGC_8083 = 339
  integer, parameter :: nGC_8084 = 340
  integer, parameter :: nGC_8098 = 341
  integer, parameter :: nGC_8099 = 342
  integer, parameter :: nGC_8106 = 343
  integer, parameter :: nGC_8105 = 344
  integer, parameter :: nGC_8120 = 345
  integer, parameter :: nGC_8121 = 346
  integer, parameter :: nGC_8127 = 347
  integer, parameter :: nGC_8128 = 348
  integer, parameter :: nGC_8142 = 349
  integer, parameter :: nGC_8143 = 350
  integer, parameter :: nGC_5429 = 351
  integer, parameter :: nGC_8239 = 352
  integer, parameter :: nGC_8241 = 353
  integer, parameter :: nGC_8243 = 354
  integer, parameter :: nGC_8245 = 355
  integer, parameter :: nGC_8240 = 356
  integer, parameter :: nGC_8242 = 357
  integer, parameter :: nGC_8244 = 358
  integer, parameter :: nGC_5431 = 359
  integer, parameter :: nGC_8254 = 360
  integer, parameter :: nGC_8256 = 361
  integer, parameter :: nGC_8258 = 362
  integer, parameter :: nGC_8260 = 363
  integer, parameter :: nGC_8255 = 364
  integer, parameter :: nGC_8257 = 365
  integer, parameter :: nGC_8259 = 366
  integer, parameter :: nGC_5433 = 367
  integer, parameter :: nGC_8269 = 368
  integer, parameter :: nGC_8271 = 369
  integer, parameter :: nGC_8273 = 370
  integer, parameter :: nGC_8275 = 371
  integer, parameter :: nGC_8270 = 372
  integer, parameter :: nGC_8272 = 373
  integer, parameter :: nGC_8274 = 374
  integer, parameter :: nGC_8285 = 375
  integer, parameter :: nGC_8282 = 376
  integer, parameter :: nGC_8283 = 377
  integer, parameter :: nGC_8284 = 378
  integer, parameter :: nGC_8286 = 379
  integer, parameter :: nGC_8294 = 380
  integer, parameter :: nGC_8291 = 381
  integer, parameter :: nGC_8292 = 382
  integer, parameter :: nGC_8293 = 383
  integer, parameter :: nGC_8295 = 384
  integer, parameter :: nGC_8303 = 385
  integer, parameter :: nGC_8300 = 386
  integer, parameter :: nGC_8301 = 387
  integer, parameter :: nGC_8302 = 388
  integer, parameter :: nGC_8304 = 389
  integer, parameter :: nGC_5423 = 390
  integer, parameter :: nGC_8311 = 391
  integer, parameter :: nGC_8313 = 392
  integer, parameter :: nGC_8315 = 393
  integer, parameter :: nGC_8317 = 394
  integer, parameter :: nGC_8312 = 395
  integer, parameter :: nGC_8314 = 396
  integer, parameter :: nGC_8316 = 397
  integer, parameter :: nGC_5425 = 398
  integer, parameter :: nGC_8326 = 399
  integer, parameter :: nGC_8328 = 400
  integer, parameter :: nGC_8330 = 401
  integer, parameter :: nGC_8332 = 402
  integer, parameter :: nGC_8327 = 403
  integer, parameter :: nGC_8329 = 404
  integer, parameter :: nGC_8331 = 405
  integer, parameter :: nGC_5427 = 406
  integer, parameter :: nGC_8341 = 407
  integer, parameter :: nGC_8343 = 408
  integer, parameter :: nGC_8345 = 409
  integer, parameter :: nGC_8347 = 410
  integer, parameter :: nGC_8342 = 411
  integer, parameter :: nGC_8344 = 412
  integer, parameter :: nGC_8346 = 413
  integer, parameter :: nGC_8352 = 414
  integer, parameter :: nGC_8360 = 415
  integer, parameter :: nGC_8359 = 416
  integer, parameter :: nGC_8366 = 417
  integer, parameter :: nGC_8365 = 418
  integer, parameter :: nGC_8373 = 419
  integer, parameter :: nGC_8371 = 420
  integer, parameter :: nGC_8372 = 421
  integer, parameter :: nGC_8378 = 422
  integer, parameter :: nGC_8384 = 423
  integer, parameter :: nGC_8391 = 424
  integer, parameter :: nGC_8390 = 425
  integer, parameter :: nGC_8392 = 426
  integer, parameter :: nGC_8397 = 427
  integer, parameter :: nGC_8404 = 428
  integer, parameter :: nGC_8403 = 429
  integer, parameter :: nGC_8405 = 430
  integer, parameter :: nGC_8412 = 431
  integer, parameter :: nGC_8413 = 432
  integer, parameter :: nGC_8414 = 433
  integer, parameter :: nGC_8415 = 434
  integer, parameter :: nGC_8416 = 435
  integer, parameter :: nGC_8417 = 436
  integer, parameter :: nGC_8418 = 437
  integer, parameter :: nGC_8419 = 438
  integer, parameter :: nGC_8428 = 439
  integer, parameter :: nGC_8429 = 440
  integer, parameter :: nGC_8431 = 441
  integer, parameter :: nGC_10575 = 442
  integer, parameter :: nGC_10597 = 443
  integer, parameter :: nGC_4834 = 444
  integer, parameter :: nGC_4835 = 445
  integer, parameter :: nGC_4836 = 446
  integer, parameter :: nGC_4837 = 447
  integer, parameter :: nGC_4838 = 448
  integer, parameter :: nGC_4839 = 449
  integer, parameter :: nGC_4840 = 450
  integer, parameter :: nGC_4841 = 451
  integer, parameter :: nGC_4842 = 452
  integer, parameter :: nGC_4843 = 453
  integer, parameter :: nGC_4844 = 454
  integer, parameter :: nGC_4845 = 455
  integer, parameter :: nGC_4846 = 456
  integer, parameter :: nGC_4847 = 457
  integer, parameter :: nGC_4848 = 458
  integer, parameter :: nGC_4849 = 459
  integer, parameter :: nGC_4850 = 460
  integer, parameter :: nGC_4851 = 461
  integer, parameter :: nGC_4852 = 462
  integer, parameter :: nGC_4853 = 463
  integer, parameter :: nGC_4854 = 464
  integer, parameter :: nGC_4855 = 465
  integer, parameter :: nGC_4856 = 466
  integer, parameter :: nGC_4857 = 467
  integer, parameter :: nGC_4858 = 468
  integer, parameter :: nGC_4859 = 469
  integer, parameter :: nGC_4860 = 470
  integer, parameter :: nGC_4861 = 471
  integer, parameter :: nGC_4862 = 472
  integer, parameter :: nGC_4863 = 473
  integer, parameter :: nGC_4864 = 474
  integer, parameter :: nGC_4865 = 475
  integer, parameter :: nGC_4866 = 476
  integer, parameter :: nGC_4867 = 477
  integer, parameter :: nGC_4868 = 478
  integer, parameter :: nGC_4869 = 479
  integer, parameter :: nGC_4870 = 480
  integer, parameter :: nGC_4871 = 481
  integer, parameter :: nGC_4872 = 482
  integer, parameter :: nGC_4873 = 483
  integer, parameter :: nGC_4874 = 484
  integer, parameter :: nGC_4875 = 485
  integer, parameter :: nGC_4876 = 486
  integer, parameter :: nGC_4877 = 487
  integer, parameter :: nGC_4878 = 488
  integer, parameter :: nGC_4879 = 489
  integer, parameter :: nGC_4880 = 490
  integer, parameter :: nGC_4881 = 491
  integer, parameter :: nGC_4882 = 492
  integer, parameter :: nGC_4883 = 493
  integer, parameter :: nGC_4884 = 494
  integer, parameter :: nGC_4885 = 495
  integer, parameter :: nGC_4886 = 496
  integer, parameter :: nGC_4887 = 497
  integer, parameter :: nGC_13704 = 498
  integer, parameter :: nGC_4888 = 499
  integer, parameter :: nGC_13711 = 500
  integer, parameter :: nGC_4889 = 501
  integer, parameter :: nGC_13717 = 502
  integer, parameter :: nGC_4890 = 503
  integer, parameter :: nGC_4891 = 504
  integer, parameter :: nGC_4892 = 505
  integer, parameter :: nGC_4893 = 506
  integer, parameter :: nGC_4894 = 507
  integer, parameter :: nGC_13742 = 508
  integer, parameter :: nGC_4895 = 509
  integer, parameter :: nGC_4896 = 510
  integer, parameter :: nGC_4897 = 511
  integer, parameter :: nGC_4898 = 512
  integer, parameter :: nGC_4899 = 513
  integer, parameter :: nGC_4900 = 514
  integer, parameter :: nGC_4901 = 515
  integer, parameter :: nGC_4902 = 516
  integer, parameter :: nGC_4903 = 517
  integer, parameter :: nGC_4904 = 518
  integer, parameter :: nGC_4905 = 519
  integer, parameter :: nGC_4906 = 520
  integer, parameter :: nGC_4907 = 521
  integer, parameter :: nGC_4908 = 522
  integer, parameter :: nGC_4909 = 523
  integer, parameter :: nGC_4910 = 524
  integer, parameter :: nGC_4911 = 525
  integer, parameter :: nGC_4912 = 526
  integer, parameter :: nGC_4913 = 527
  integer, parameter :: nGC_4914 = 528
  integer, parameter :: nGC_4915 = 529
  integer, parameter :: nGC_4916 = 530
  integer, parameter :: nGC_4917 = 531
  integer, parameter :: nGC_4918 = 532
  integer, parameter :: nGC_4919 = 533
  integer, parameter :: nGC_13918 = 534
  integer, parameter :: nGC_4920 = 535
  integer, parameter :: nGC_4921 = 536
  integer, parameter :: nGC_13931 = 537
  integer, parameter :: nGC_4922 = 538
  integer, parameter :: nGC_13938 = 539
  integer, parameter :: nGC_4923 = 540
  integer, parameter :: nGC_13945 = 541
  integer, parameter :: nGC_4924 = 542
  integer, parameter :: nGC_4925 = 543
  integer, parameter :: nGC_4927 = 544
  integer, parameter :: nGC_4926 = 545
  integer, parameter :: nGC_4928 = 546
  integer, parameter :: nGC_4929 = 547
  integer, parameter :: nGC_4931 = 548
  integer, parameter :: nGC_4930 = 549
  integer, parameter :: nGC_4932 = 550
  integer, parameter :: nGC_4933 = 551
  integer, parameter :: nGC_4935 = 552
  integer, parameter :: nGC_4934 = 553
  integer, parameter :: nGC_4936 = 554
  integer, parameter :: nGC_4937 = 555
  integer, parameter :: nGC_4938 = 556
  integer, parameter :: nGC_4939 = 557
  integer, parameter :: nGC_4940 = 558
  integer, parameter :: nGC_14047 = 559
  integer, parameter :: nGC_4941 = 560
  integer, parameter :: nGC_14054 = 561
  integer, parameter :: nGC_4942 = 562
  integer, parameter :: nGC_14061 = 563
  integer, parameter :: nGC_4943 = 564
  integer, parameter :: nGC_4944 = 565
  integer, parameter :: nGC_4945 = 566
  integer, parameter :: nGC_4946 = 567
  integer, parameter :: nGC_4947 = 568
  integer, parameter :: nGC_4948 = 569
  integer, parameter :: nGC_4949 = 570
  integer, parameter :: nGC_4950 = 571
  integer, parameter :: nGC_4951 = 572
  integer, parameter :: nGC_4952 = 573
  integer, parameter :: nGC_4953 = 574
  integer, parameter :: nGC_4954 = 575
  integer, parameter :: nGC_4955 = 576
  integer, parameter :: nGC_14170 = 577
  integer, parameter :: nGC_4956 = 578
  integer, parameter :: nGC_14178 = 579
  integer, parameter :: nGC_4957 = 580
  integer, parameter :: nGC_4959 = 581
  integer, parameter :: nGC_4958 = 582
  integer, parameter :: nGC_4960 = 583
  integer, parameter :: nGC_4961 = 584
  integer, parameter :: nGC_4963 = 585
  integer, parameter :: nGC_4962 = 586
  integer, parameter :: nGC_4964 = 587
  integer, parameter :: nGC_4965 = 588
  integer, parameter :: nGC_4967 = 589
  integer, parameter :: nGC_4966 = 590
  integer, parameter :: nGC_4968 = 591
  integer, parameter :: nGC_4969 = 592
  integer, parameter :: nGC_4970 = 593
  integer, parameter :: nGC_4971 = 594
  integer, parameter :: nGC_4972 = 595
  integer, parameter :: nGC_4973 = 596
  integer, parameter :: nGC_4975 = 597
  integer, parameter :: nGC_4974 = 598
  integer, parameter :: nGC_4976 = 599
  integer, parameter :: nGC_4977 = 600
  integer, parameter :: nGC_4979 = 601
  integer, parameter :: nGC_4978 = 602
  integer, parameter :: nGC_4980 = 603
  integer, parameter :: nGC_4981 = 604
  integer, parameter :: nGC_4982 = 605
  integer, parameter :: nGC_4983 = 606
  integer, parameter :: nGC_4985 = 607
  integer, parameter :: nGC_4984 = 608
  integer, parameter :: nGC_4986 = 609
  integer, parameter :: nGC_4987 = 610
  integer, parameter :: nGC_4988 = 611
  integer, parameter :: nGC_4989 = 612
  integer, parameter :: nGC_4990 = 613
  integer, parameter :: nGC_4991 = 614
  integer, parameter :: nGC_4992 = 615
  integer, parameter :: nGC_4993 = 616
  integer, parameter :: nGC_4994 = 617
  integer, parameter :: nGC_4995 = 618
  integer, parameter :: nGC_4996 = 619
  integer, parameter :: nGC_4997 = 620
  integer, parameter :: nGC_4998 = 621
  integer, parameter :: nGC_4999 = 622
  integer, parameter :: nGC_5000 = 623
  integer, parameter :: nGC_5001 = 624
  integer, parameter :: nGC_5002 = 625
  integer, parameter :: nGC_5003 = 626
  integer, parameter :: nGC_5004 = 627
  integer, parameter :: nGC_5005 = 628
  integer, parameter :: nGC_5006 = 629
  integer, parameter :: nGC_5007 = 630
  integer, parameter :: nGC_5008 = 631
  integer, parameter :: nGC_5009 = 632
  integer, parameter :: nGC_5010 = 633
  integer, parameter :: nGC_5011 = 634
  integer, parameter :: nGC_5012 = 635
  integer, parameter :: nGC_5013 = 636
  integer, parameter :: nGC_5014 = 637
  integer, parameter :: nGC_5015 = 638
  integer, parameter :: nGC_5016 = 639
  integer, parameter :: nGC_5017 = 640
  integer, parameter :: nGC_5018 = 641
  integer, parameter :: nGC_5019 = 642
  integer, parameter :: nGC_5020 = 643
  integer, parameter :: nGC_5021 = 644
  integer, parameter :: nGC_5022 = 645
  integer, parameter :: nGC_5023 = 646
  integer, parameter :: nGC_5024 = 647
  integer, parameter :: nGC_5025 = 648
  integer, parameter :: nGC_5026 = 649
  integer, parameter :: nGC_5027 = 650
  integer, parameter :: nGC_5028 = 651
  integer, parameter :: nGC_5029 = 652
  integer, parameter :: nGC_5030 = 653
  integer, parameter :: nGC_5031 = 654
  integer, parameter :: nGC_5032 = 655
  integer, parameter :: nGC_5033 = 656
  integer, parameter :: nGC_5034 = 657
  integer, parameter :: nGC_5035 = 658
  integer, parameter :: nGC_5036 = 659
  integer, parameter :: nGC_5037 = 660
  integer, parameter :: nGC_5038 = 661
  integer, parameter :: nGC_5039 = 662
  integer, parameter :: nGC_5040 = 663
  integer, parameter :: nGC_5041 = 664
  integer, parameter :: nGC_5042 = 665
  integer, parameter :: nGC_5043 = 666
  integer, parameter :: nGC_5044 = 667
  integer, parameter :: nGC_5045 = 668
  integer, parameter :: nGC_5046 = 669
  integer, parameter :: nGC_5047 = 670
  integer, parameter :: nGC_14691 = 671
  integer, parameter :: nGC_5048 = 672
  integer, parameter :: nGC_5049 = 673
  integer, parameter :: nGC_5050 = 674
  integer, parameter :: nGC_5051 = 675
  integer, parameter :: nGC_5052 = 676
  integer, parameter :: nGC_5053 = 677
  integer, parameter :: nGC_5055 = 678
  integer, parameter :: nGC_5054 = 679
  integer, parameter :: nGC_5056 = 680
  integer, parameter :: nGC_5057 = 681
  integer, parameter :: nGC_5059 = 682
  integer, parameter :: nGC_5058 = 683
  integer, parameter :: nGC_5060 = 684
  integer, parameter :: nGC_5061 = 685
  integer, parameter :: nGC_5062 = 686
  integer, parameter :: nGC_5063 = 687
  integer, parameter :: nGC_5064 = 688
  integer, parameter :: nGC_5065 = 689
  integer, parameter :: nGC_5066 = 690
  integer, parameter :: nGC_5067 = 691
  integer, parameter :: nGC_5068 = 692
  integer, parameter :: nGC_5069 = 693
  integer, parameter :: nGC_5070 = 694
  integer, parameter :: nGC_5071 = 695
  integer, parameter :: nGC_5072 = 696
  integer, parameter :: nGC_5073 = 697
  integer, parameter :: nGC_5074 = 698
  integer, parameter :: nGC_5075 = 699
  integer, parameter :: nGC_5076 = 700
  integer, parameter :: nGC_5077 = 701
  integer, parameter :: nGC_5078 = 702
  integer, parameter :: nGC_5079 = 703
  integer, parameter :: nGC_5080 = 704
  integer, parameter :: nGC_5081 = 705
  integer, parameter :: nGC_5082 = 706
  integer, parameter :: nGC_5083 = 707
  integer, parameter :: nGC_5084 = 708
  integer, parameter :: nGC_5085 = 709
  integer, parameter :: nGC_5086 = 710
  integer, parameter :: nGC_5087 = 711
  integer, parameter :: nGC_5088 = 712
  integer, parameter :: nGC_5089 = 713
  integer, parameter :: nGC_5090 = 714
  integer, parameter :: nGC_5091 = 715
  integer, parameter :: nGC_5092 = 716
  integer, parameter :: nGC_5093 = 717
  integer, parameter :: nGC_5094 = 718
  integer, parameter :: nGC_5095 = 719
  integer, parameter :: nGC_5096 = 720
  integer, parameter :: nGC_5097 = 721
  integer, parameter :: nGC_5098 = 722
  integer, parameter :: nGC_5099 = 723
  integer, parameter :: nGC_5100 = 724
  integer, parameter :: nGC_5101 = 725
  integer, parameter :: nGC_5102 = 726
  integer, parameter :: nGC_5103 = 727
  integer, parameter :: nGC_5104 = 728
  integer, parameter :: nGC_5105 = 729
  integer, parameter :: nGC_5106 = 730
  integer, parameter :: nGC_15219 = 731
  integer, parameter :: nGC_5107 = 732
  integer, parameter :: nGC_15221 = 733
  integer, parameter :: nGC_5108 = 734
  integer, parameter :: nGC_5109 = 735
  integer, parameter :: nGC_5110 = 736
  integer, parameter :: nGC_5111 = 737
  integer, parameter :: nGC_5112 = 738
  integer, parameter :: nGC_5113 = 739
  integer, parameter :: nGC_5114 = 740
  integer, parameter :: nGC_5115 = 741
  integer, parameter :: nGC_5116 = 742
  integer, parameter :: nGC_5117 = 743
  integer, parameter :: nGC_5118 = 744
  integer, parameter :: nGC_5119 = 745
  integer, parameter :: nGC_5120 = 746
  integer, parameter :: nGC_5121 = 747
  integer, parameter :: nGC_5122 = 748
  integer, parameter :: nGC_5123 = 749
  integer, parameter :: nGC_5124 = 750
  integer, parameter :: nGC_5125 = 751
  integer, parameter :: nGC_5126 = 752
  integer, parameter :: nGC_5127 = 753
  integer, parameter :: nGC_5128 = 754
  integer, parameter :: nGC_5129 = 755
  integer, parameter :: nGC_5130 = 756
  integer, parameter :: nGC_5131 = 757
  integer, parameter :: nGC_5132 = 758
  integer, parameter :: nGC_5133 = 759
  integer, parameter :: nGC_5134 = 760
  integer, parameter :: nGC_5135 = 761
  integer, parameter :: nGC_5136 = 762
  integer, parameter :: nGC_5137 = 763
  integer, parameter :: nGC_5138 = 764
  integer, parameter :: nGC_5139 = 765
  integer, parameter :: nGC_5140 = 766
  integer, parameter :: nGC_5141 = 767
  integer, parameter :: nGC_5142 = 768
  integer, parameter :: nGC_5143 = 769
  integer, parameter :: nGC_5144 = 770
  integer, parameter :: nGC_5145 = 771
  integer, parameter :: nGC_5146 = 772
  integer, parameter :: nGC_5147 = 773
  integer, parameter :: nGC_5148 = 774
  integer, parameter :: nGC_5149 = 775
  integer, parameter :: nGC_5150 = 776
  integer, parameter :: nGC_5151 = 777
  integer, parameter :: nGC_5152 = 778
  integer, parameter :: nGC_5153 = 779
  integer, parameter :: nGC_5154 = 780
  integer, parameter :: nGC_5155 = 781
  integer, parameter :: nGC_5156 = 782
  integer, parameter :: nGC_5157 = 783
  integer, parameter :: nGC_5158 = 784
  integer, parameter :: nGC_5159 = 785
  integer, parameter :: nGC_5160 = 786
  integer, parameter :: nGC_5161 = 787
  integer, parameter :: nGC_5162 = 788
  integer, parameter :: nGC_5163 = 789
  integer, parameter :: nGC_5164 = 790
  integer, parameter :: nGC_5165 = 791
  integer, parameter :: nGC_5166 = 792
  integer, parameter :: nGC_5167 = 793
  integer, parameter :: nGC_5168 = 794
  integer, parameter :: nGC_5169 = 795
  integer, parameter :: nGC_5170 = 796
  integer, parameter :: nGC_5171 = 797
  integer, parameter :: nGC_5172 = 798
  integer, parameter :: nGC_5173 = 799
  integer, parameter :: nGC_5174 = 800
  integer, parameter :: nGC_5175 = 801
  integer, parameter :: nGC_5176 = 802
  integer, parameter :: nGC_5177 = 803
  integer, parameter :: nGC_5178 = 804
  integer, parameter :: nGC_5179 = 805
  integer, parameter :: nGC_5180 = 806
  integer, parameter :: nGC_5181 = 807
  integer, parameter :: nGC_5182 = 808
  integer, parameter :: nGC_5183 = 809
  integer, parameter :: nGC_5184 = 810
  integer, parameter :: nGC_5185 = 811
  integer, parameter :: nGC_5186 = 812
  integer, parameter :: nGC_5187 = 813
  integer, parameter :: nGC_5188 = 814
  integer, parameter :: nGC_5189 = 815
  integer, parameter :: nGC_5190 = 816
  integer, parameter :: nGC_5191 = 817
  integer, parameter :: nGC_5192 = 818
  integer, parameter :: nGC_5193 = 819
  integer, parameter :: nGC_5194 = 820
  integer, parameter :: nGC_5195 = 821
  integer, parameter :: nGC_5196 = 822
  integer, parameter :: nGC_5197 = 823
  integer, parameter :: nGC_5198 = 824
  integer, parameter :: nGC_5199 = 825
  integer, parameter :: nGC_5200 = 826
  integer, parameter :: nGC_5201 = 827
  integer, parameter :: nGC_4766 = 828
  integer, parameter :: nGC_4764 = 829
  integer, parameter :: nGC_4749 = 830
  integer, parameter :: nGC_4755 = 831
  integer, parameter :: nGC_4831 = 832
  integer, parameter :: nGC_4833 = 833
  integer, parameter :: nGC_4832 = 834
  integer, parameter :: nGC_4798 = 835
  integer, parameter :: nGC_4799 = 836
  integer, parameter :: nGC_4575 = 837
  integer, parameter :: nGC_4574 = 838
  integer, parameter :: nGC_4576 = 839
  integer, parameter :: nGC_4811 = 840
  integer, parameter :: nGC_4810 = 841
  integer, parameter :: nGC_4809 = 842
  integer, parameter :: nGC_4788 = 843
  integer, parameter :: nGC_4789 = 844
  integer, parameter :: nGC_4787 = 845
  integer, parameter :: nGC_4786 = 846
  integer, parameter :: nGC_4767 = 847
  integer, parameter :: nGC_4765 = 848
  integer, parameter :: nGC_4777 = 849
  integer, parameter :: nGC_4778 = 850
  integer, parameter :: nGC_4776 = 851
  integer, parameter :: nGC_4792 = 852
  integer, parameter :: nGC_4790 = 853
  integer, parameter :: nGC_4791 = 854
  integer, parameter :: nGC_4793 = 855
  integer, parameter :: nGC_4780 = 856
  integer, parameter :: nGC_4779 = 857
  integer, parameter :: nGC_4781 = 858
  integer, parameter :: nGC_4806 = 859
  integer, parameter :: nGC_4807 = 860
  integer, parameter :: nGC_4805 = 861
  integer, parameter :: nGC_4808 = 862
  integer, parameter :: nGC_4797 = 863
  integer, parameter :: nGC_4794 = 864
  integer, parameter :: nGC_4795 = 865
  integer, parameter :: nGC_4796 = 866
  integer, parameter :: nGC_4775 = 867
  integer, parameter :: nGC_4774 = 868
  integer, parameter :: nGC_4773 = 869
  integer, parameter :: nGC_4783 = 870
  integer, parameter :: nGC_4785 = 871
  integer, parameter :: nGC_4782 = 872
  integer, parameter :: nGC_4784 = 873
  integer, parameter :: nGC_4731 = 874
  integer, parameter :: nGC_4730 = 875
  integer, parameter :: nGC_4727 = 876
  integer, parameter :: nGC_4729 = 877
  integer, parameter :: nGC_4728 = 878
  integer, parameter :: nGC_207 = 879
  integer, parameter :: nGC_205 = 880
  integer, parameter :: nGC_209 = 881
  integer, parameter :: nGC_203 = 882
  integer, parameter :: nGC_211 = 883
  integer, parameter :: nGC_213 = 884
  integer, parameter :: nGC_227 = 885
  integer, parameter :: nGC_217 = 886
  integer, parameter :: nGC_219 = 887
  integer, parameter :: nGC_223 = 888
  integer, parameter :: nGC_225 = 889
  integer, parameter :: nGC_221 = 890
  integer, parameter :: nGC_4740 = 891
  integer, parameter :: nGC_4741 = 892
  integer, parameter :: nGC_4738 = 893
  integer, parameter :: nGC_4739 = 894
  integer, parameter :: nGC_4737 = 895
  integer, parameter :: nGC_231 = 896
  integer, parameter :: nGC_237 = 897
  integer, parameter :: nGC_239 = 898
  integer, parameter :: nGC_235 = 899
  integer, parameter :: nGC_233 = 900
  integer, parameter :: nGC_241 = 901
  integer, parameter :: nGC_245 = 902
  integer, parameter :: nGC_255 = 903
  integer, parameter :: nGC_247 = 904
  integer, parameter :: nGC_253 = 905
  integer, parameter :: nGC_249 = 906
  integer, parameter :: nGC_251 = 907
  integer, parameter :: nGC_4756 = 908
  integer, parameter :: nGC_4754 = 909
  integer, parameter :: nGC_4580 = 910
  integer, parameter :: nGC_4581 = 911
  integer, parameter :: nGC_4584 = 912
  integer, parameter :: nGC_4586 = 913
  integer, parameter :: nGC_4585 = 914
  integer, parameter :: nGC_4615 = 915
  integer, parameter :: nGC_4614 = 916
  integer, parameter :: nGC_4613 = 917
  integer, parameter :: nGC_4722 = 918
  integer, parameter :: nGC_4721 = 919
  integer, parameter :: nGC_4720 = 920
  integer, parameter :: nGC_4819 = 921
  integer, parameter :: nGC_4818 = 922
  integer, parameter :: nGC_4826 = 923
  integer, parameter :: nGC_4827 = 924
  integer, parameter :: nGC_4825 = 925
  integer, parameter :: nGC_4610 = 926
  integer, parameter :: nGC_4612 = 927
  integer, parameter :: nGC_4611 = 928
  integer, parameter :: nGC_4571 = 929
  integer, parameter :: nGC_4572 = 930
  integer, parameter :: nGC_4821 = 931
  integer, parameter :: nGC_4820 = 932
  integer, parameter :: nGC_4822 = 933
  integer, parameter :: nGC_4604 = 934
  integer, parameter :: nGC_4605 = 935
  integer, parameter :: nGC_4606 = 936
  integer, parameter :: nGC_4800 = 937
  integer, parameter :: nGC_4801 = 938
  integer, parameter :: nGC_4803 = 939
  integer, parameter :: nGC_4804 = 940
  integer, parameter :: nGC_4802 = 941
  integer, parameter :: nGC_4812 = 942
  integer, parameter :: nGC_4813 = 943
  integer, parameter :: nGC_4814 = 944
  integer, parameter :: nGC_4815 = 945
  integer, parameter :: nGC_4816 = 946
  integer, parameter :: nGC_4817 = 947
  integer, parameter :: nGC_4713 = 948
  integer, parameter :: nGC_4711 = 949
  integer, parameter :: nGC_4712 = 950
  integer, parameter :: nGC_4710 = 951
  integer, parameter :: nGC_4717 = 952
  integer, parameter :: nGC_4719 = 953
  integer, parameter :: nGC_4718 = 954
  integer, parameter :: nGC_4716 = 955
  integer, parameter :: nGC_4658 = 956
  integer, parameter :: nGC_4657 = 957
  integer, parameter :: nGC_4659 = 958
  integer, parameter :: nGC_4653 = 959
  integer, parameter :: nGC_4656 = 960
  integer, parameter :: nGC_4655 = 961
  integer, parameter :: nGC_4654 = 962
  integer, parameter :: nGC_4670 = 963
  integer, parameter :: nGC_4672 = 964
  integer, parameter :: nGC_4669 = 965
  integer, parameter :: nGC_4671 = 966
  integer, parameter :: nGC_4642 = 967
  integer, parameter :: nGC_4644 = 968
  integer, parameter :: nGC_4643 = 969
  integer, parameter :: nGC_4757 = 970
  integer, parameter :: nGC_4758 = 971
  integer, parameter :: nGC_4761 = 972
  integer, parameter :: nGC_4759 = 973
  integer, parameter :: nGC_4760 = 974
  integer, parameter :: nGC_4771 = 975
  integer, parameter :: nGC_4770 = 976
  integer, parameter :: nGC_4772 = 977
  integer, parameter :: nGC_4704 = 978
  integer, parameter :: nGC_4705 = 979
  integer, parameter :: nGC_4703 = 980
  integer, parameter :: nGC_4763 = 981
  integer, parameter :: nGC_4762 = 982
  integer, parameter :: nGC_4687 = 983
  integer, parameter :: nGC_4688 = 984
  integer, parameter :: nGC_4689 = 985
  integer, parameter :: nGC_4679 = 986
  integer, parameter :: nGC_4680 = 987
  integer, parameter :: nGC_4681 = 988
  integer, parameter :: nGC_4692 = 989
  integer, parameter :: nGC_4693 = 990
  integer, parameter :: nGC_4691 = 991
  integer, parameter :: nGC_4694 = 992
  integer, parameter :: nGC_4700 = 993
  integer, parameter :: nGC_4699 = 994
  integer, parameter :: nGC_4702 = 995
  integer, parameter :: nGC_4701 = 996
  integer, parameter :: nGC_4706 = 997
  integer, parameter :: nGC_4709 = 998
  integer, parameter :: nGC_4708 = 999
  integer, parameter :: nGC_4707 = 1000
  integer, parameter :: nGC_4744 = 1001
  integer, parameter :: nGC_4747 = 1002
  integer, parameter :: nGC_4746 = 1003
  integer, parameter :: nGC_4745 = 1004
  integer, parameter :: nGC_4748 = 1005
  integer, parameter :: nGC_4736 = 1006
  integer, parameter :: nGC_4733 = 1007
  integer, parameter :: nGC_4734 = 1008
  integer, parameter :: nGC_4735 = 1009
  integer, parameter :: nGC_4732 = 1010
  integer, parameter :: nGC_4750 = 1011
  integer, parameter :: nGC_4753 = 1012
  integer, parameter :: nGC_259 = 1013
  integer, parameter :: nGC_4824 = 1014
  integer, parameter :: nGC_4823 = 1015
  integer, parameter :: nGC_4624 = 1016
  integer, parameter :: nGC_4626 = 1017
  integer, parameter :: nGC_4625 = 1018
  integer, parameter :: nGC_4641 = 1019
  integer, parameter :: nGC_4639 = 1020
  integer, parameter :: nGC_4640 = 1021
  integer, parameter :: nGC_4618 = 1022
  integer, parameter :: nGC_4616 = 1023
  integer, parameter :: nGC_4617 = 1024
  integer, parameter :: nGC_4636 = 1025
  integer, parameter :: nGC_4635 = 1026
  integer, parameter :: nGC_4637 = 1027
  integer, parameter :: nGC_4646 = 1028
  integer, parameter :: nGC_4647 = 1029
  integer, parameter :: nGC_4645 = 1030
  integer, parameter :: nGC_4631 = 1031
  integer, parameter :: nGC_4630 = 1032
  integer, parameter :: nGC_4629 = 1033
  integer, parameter :: nGC_4638 = 1034
  integer, parameter :: nGC_4634 = 1035
  integer, parameter :: nGC_4660 = 1036
  integer, parameter :: nGC_4652 = 1037
  integer, parameter :: nGC_4724 = 1038
  integer, parameter :: nGC_4723 = 1039
  integer, parameter :: nGC_4648 = 1040
  integer, parameter :: nGC_4649 = 1041
  integer, parameter :: nGC_4662 = 1042
  integer, parameter :: nGC_4661 = 1043
  integer, parameter :: nGC_265 = 1044
  integer, parameter :: nGC_263 = 1045
  integer, parameter :: nGC_4651 = 1046
  integer, parameter :: nGC_4650 = 1047
  integer, parameter :: nGC_4667 = 1048
  integer, parameter :: nGC_4668 = 1049
  integer, parameter :: nGC_271 = 1050
  integer, parameter :: nGC_269 = 1051
  integer, parameter :: nGC_4769 = 1052
  integer, parameter :: nGC_4768 = 1053
  integer, parameter :: nGC_4589 = 1054
  integer, parameter :: nGC_4588 = 1055
  integer, parameter :: nGC_4587 = 1056
  integer, parameter :: nGC_4594 = 1057
  integer, parameter :: nGC_4597 = 1058
  integer, parameter :: nGC_4596 = 1059
  integer, parameter :: nGC_4595 = 1060
  integer, parameter :: nGC_4620 = 1061
  integer, parameter :: nGC_4619 = 1062
  integer, parameter :: nGC_4622 = 1063
  integer, parameter :: nGC_4621 = 1064
  integer, parameter :: nGC_4663 = 1065
  integer, parameter :: nGC_4666 = 1066
  integer, parameter :: nGC_4665 = 1067
  integer, parameter :: nGC_4664 = 1068
  integer, parameter :: nGC_4828 = 1069
  integer, parameter :: nGC_4830 = 1070
  integer, parameter :: nGC_4829 = 1071
  integer, parameter :: nGC_4591 = 1072
  integer, parameter :: nGC_4592 = 1073
  integer, parameter :: nGC_4590 = 1074
  integer, parameter :: nGC_4602 = 1075
  integer, parameter :: nGC_4603 = 1076
  integer, parameter :: nGC_4601 = 1077
  integer, parameter :: nGC_4673 = 1078
  integer, parameter :: nGC_4674 = 1079
  integer, parameter :: nGC_4675 = 1080
  integer, parameter :: nGC_4676 = 1081
  integer, parameter :: nGC_4677 = 1082
  integer, parameter :: nGC_4683 = 1083
  integer, parameter :: nGC_4686 = 1084
  integer, parameter :: nGC_4685 = 1085
  integer, parameter :: nGC_4682 = 1086
  integer, parameter :: nGC_4684 = 1087
  integer, parameter :: nGC_405 = 1088
  integer, parameter :: nGC_409 = 1089
  integer, parameter :: nGC_413 = 1090
  integer, parameter :: nGC_5271 = 1091
  integer, parameter :: nGC_5273 = 1092
  integer, parameter :: nGC_5272 = 1093
  integer, parameter :: nGC_5274 = 1094
  integer, parameter :: nGC_5275 = 1095
  integer, parameter :: nGC_5277 = 1096
  integer, parameter :: nGC_5276 = 1097
  integer, parameter :: nGC_5278 = 1098
  integer, parameter :: nGC_5279 = 1099
  integer, parameter :: nGC_5281 = 1100
  integer, parameter :: nGC_5280 = 1101
  integer, parameter :: nGC_5282 = 1102
  integer, parameter :: nGC_4627 = 1103
  integer, parameter :: nGC_4632 = 1104
  integer, parameter :: nGC_4695 = 1105
  integer, parameter :: nGC_4697 = 1106
  integer, parameter :: nGC_4577 = 1107
  integer, parameter :: nGC_4582 = 1108
  integer, parameter :: nGC_4742 = 1109
  integer, parameter :: nGC_4751 = 1110
  integer, parameter :: nGC_4599 = 1111
  integer, parameter :: nGC_4608 = 1112
  integer, parameter :: nGC_275 = 1113
  integer, parameter :: nGC_281 = 1114
  integer, parameter :: nGC_5430 = 1115
  integer, parameter :: nGC_5432 = 1116
  integer, parameter :: nGC_5434 = 1117
  integer, parameter :: nGC_5424 = 1118
  integer, parameter :: nGC_5426 = 1119
  integer, parameter :: nGC_5428 = 1120
  integer, parameter :: nGC_4623 = 1121
  integer, parameter :: nGC_4607 = 1122
  integer, parameter :: nGC_4690 = 1123
  integer, parameter :: nGC_4678 = 1124
  integer, parameter :: nGC_4579 = 1125
  integer, parameter :: nGC_4573 = 1126
  integer, parameter :: nGC_4628 = 1127
  integer, parameter :: nGC_4633 = 1128
  integer, parameter :: nGC_4696 = 1129
  integer, parameter :: nGC_4698 = 1130
  integer, parameter :: nGC_4578 = 1131
  integer, parameter :: nGC_4583 = 1132
  integer, parameter :: nGC_4725 = 1133
  integer, parameter :: nGC_4726 = 1134
  integer, parameter :: nGC_4593 = 1135
  integer, parameter :: nGC_4598 = 1136
  integer, parameter :: nGC_4714 = 1137
  integer, parameter :: nGC_4715 = 1138
  integer, parameter :: nGC_4743 = 1139
  integer, parameter :: nGC_4752 = 1140
  integer, parameter :: nGC_4600 = 1141
  integer, parameter :: nGC_4609 = 1142
  integer, parameter :: nGC_277 = 1143
  integer, parameter :: nGC_283 = 1144
  integer, parameter :: nGC_5202 = 1145
  integer, parameter :: nGC_5203 = 1146
  integer, parameter :: nGC_5204 = 1147
  integer, parameter :: nGC_5205 = 1148
  integer, parameter :: nGC_5206 = 1149
  integer, parameter :: nGC_5207 = 1150
  integer, parameter :: nGC_5208 = 1151
  integer, parameter :: nGC_5209 = 1152
  integer, parameter :: nGC_5210 = 1153
  integer, parameter :: nGC_5211 = 1154
  integer, parameter :: nGC_5212 = 1155
  integer, parameter :: nGC_5214 = 1156
  integer, parameter :: nGC_5215 = 1157
  integer, parameter :: nGC_5216 = 1158
  integer, parameter :: nGC_5217 = 1159
  integer, parameter :: nGC_5218 = 1160
  integer, parameter :: nGC_5219 = 1161
  integer, parameter :: nGC_5220 = 1162
  integer, parameter :: nGC_5221 = 1163
  integer, parameter :: nGC_5222 = 1164
  integer, parameter :: nGC_5223 = 1165
  integer, parameter :: nGC_5224 = 1166
  integer, parameter :: nGC_5225 = 1167
  integer, parameter :: nGC_5226 = 1168
  integer, parameter :: nGC_5227 = 1169
  integer, parameter :: nGC_5228 = 1170
  integer, parameter :: nGC_5229 = 1171
  integer, parameter :: nGC_5230 = 1172
  integer, parameter :: nGC_5231 = 1173
  integer, parameter :: nGC_5232 = 1174
  integer, parameter :: nGC_5233 = 1175
  integer, parameter :: nGC_5234 = 1176
  integer, parameter :: nGC_5235 = 1177
  integer, parameter :: nGC_5236 = 1178
  integer, parameter :: nGC_5237 = 1179
  integer, parameter :: nGC_5238 = 1180
  integer, parameter :: nGC_5239 = 1181
  integer, parameter :: nGC_5240 = 1182
  integer, parameter :: nGC_5241 = 1183
  integer, parameter :: nGC_5242 = 1184
  integer, parameter :: nGC_5243 = 1185
  integer, parameter :: nGC_5244 = 1186
  integer, parameter :: nGC_5245 = 1187
  integer, parameter :: nGC_5246 = 1188
  integer, parameter :: nGC_5247 = 1189
  integer, parameter :: nGC_5248 = 1190
  integer, parameter :: nGC_5249 = 1191
  integer, parameter :: nGC_5250 = 1192
  integer, parameter :: nGC_5251 = 1193
  integer, parameter :: nGC_5252 = 1194
  integer, parameter :: nGC_5253 = 1195
  integer, parameter :: nGC_5254 = 1196
  integer, parameter :: nGC_5255 = 1197
  integer, parameter :: nGC_5256 = 1198
  integer, parameter :: nGC_5257 = 1199
  integer, parameter :: nGC_5258 = 1200
  integer, parameter :: nGC_5259 = 1201
  integer, parameter :: nGC_5260 = 1202
  integer, parameter :: nGC_5261 = 1203
  integer, parameter :: nGC_5262 = 1204
  integer, parameter :: nGC_5263 = 1205
  integer, parameter :: nGC_5264 = 1206
  integer, parameter :: nGC_5265 = 1207
  integer, parameter :: nGC_5266 = 1208
  integer, parameter :: nGC_5267 = 1209
  integer, parameter :: nGC_5268 = 1210
  integer, parameter :: nGC_5269 = 1211
  integer, parameter :: nGC_5270 = 1212
  integer, parameter :: nGC_5310 = 1213
  integer, parameter :: nGC_5311 = 1214
  integer, parameter :: nGC_5312 = 1215
  integer, parameter :: nGC_5313 = 1216
  integer, parameter :: nGC_5314 = 1217
  integer, parameter :: nGC_5315 = 1218
  integer, parameter :: nGC_5316 = 1219
  integer, parameter :: nGC_5317 = 1220
  integer, parameter :: nGC_5318 = 1221
  integer, parameter :: nGC_5319 = 1222
  integer, parameter :: nGC_5320 = 1223
  integer, parameter :: nGC_5321 = 1224
  integer, parameter :: nGC_5346 = 1225
  integer, parameter :: nGC_5347 = 1226
  integer, parameter :: nGC_5348 = 1227
  integer, parameter :: nGC_5349 = 1228
  integer, parameter :: nGC_5350 = 1229
  integer, parameter :: nGC_5351 = 1230
  integer, parameter :: nGC_5352 = 1231
  integer, parameter :: nGC_5353 = 1232
  integer, parameter :: nGC_5354 = 1233
  integer, parameter :: nGC_5355 = 1234
  integer, parameter :: nGC_5437 = 1235
  integer, parameter :: nGC_5438 = 1236
  integer, parameter :: nGC_5439 = 1237
  integer, parameter :: nGC_7017 = 1238
  integer, parameter :: nGC_7022 = 1239
  integer, parameter :: nGC_7023 = 1240
  integer, parameter :: nGC_7026 = 1241
  integer, parameter :: nGC_7027 = 1242
  integer, parameter :: nGC_7039 = 1243
  integer, parameter :: nGC_7043 = 1244
  integer, parameter :: nGC_7047 = 1245
  integer, parameter :: nGC_7048 = 1246
  integer, parameter :: nGC_7049 = 1247
  integer, parameter :: nGC_7055 = 1248
  integer, parameter :: nGC_7056 = 1249
  integer, parameter :: nGC_7057 = 1250
  integer, parameter :: nGC_7066 = 1251
  integer, parameter :: nGC_7067 = 1252
  integer, parameter :: nGC_7075 = 1253
  integer, parameter :: nGC_7076 = 1254
  integer, parameter :: nGC_7077 = 1255
  integer, parameter :: nGC_7091 = 1256
  integer, parameter :: nGC_7096 = 1257
  integer, parameter :: nGC_7103 = 1258
  integer, parameter :: nGC_7108 = 1259
  integer, parameter :: nGC_7119 = 1260
  integer, parameter :: nGC_7124 = 1261
  integer, parameter :: nGC_7128 = 1262
  integer, parameter :: nGC_7144 = 1263
  integer, parameter :: nGC_7162 = 1264
  integer, parameter :: nGC_7168 = 1265
  integer, parameter :: nGC_7184 = 1266
  integer, parameter :: nGC_7191 = 1267
  integer, parameter :: nGC_7198 = 1268
  integer, parameter :: nGC_7210 = 1269
  integer, parameter :: nGC_7220 = 1270
  integer, parameter :: nGC_7225 = 1271
  integer, parameter :: nGC_7229 = 1272
  integer, parameter :: nGC_7233 = 1273
  integer, parameter :: nGC_7237 = 1274
  integer, parameter :: nGC_7241 = 1275
  integer, parameter :: nGC_7246 = 1276
  integer, parameter :: nGC_7251 = 1277
  integer, parameter :: nGC_7256 = 1278
  integer, parameter :: nGC_7261 = 1279
  integer, parameter :: nGC_7267 = 1280
  integer, parameter :: nGC_7273 = 1281
  integer, parameter :: nGC_7276 = 1282
  integer, parameter :: nGC_7280 = 1283
  integer, parameter :: nGC_7284 = 1284
  integer, parameter :: nGC_7288 = 1285
  integer, parameter :: nGC_7292 = 1286
  integer, parameter :: nGC_7324 = 1287
  integer, parameter :: nGC_7328 = 1288
  integer, parameter :: nGC_7331 = 1289
  integer, parameter :: nGC_7337 = 1290
  integer, parameter :: nGC_7342 = 1291
  integer, parameter :: nGC_7346 = 1292
  integer, parameter :: nGC_7356 = 1293
  integer, parameter :: nGC_7362 = 1294
  integer, parameter :: nGC_7370 = 1295
  integer, parameter :: nGC_7374 = 1296
  integer, parameter :: nGC_7379 = 1297
  integer, parameter :: nGC_7447 = 1298
  integer, parameter :: nGC_7452 = 1299
  integer, parameter :: nGC_7458 = 1300
  integer, parameter :: nGC_7463 = 1301
  integer, parameter :: nGC_7474 = 1302
  integer, parameter :: nGC_7481 = 1303
  integer, parameter :: nGC_7491 = 1304
  integer, parameter :: nGC_7492 = 1305
  integer, parameter :: nGC_7493 = 1306
  integer, parameter :: nGC_7499 = 1307
  integer, parameter :: nGC_7500 = 1308
  integer, parameter :: nGC_7501 = 1309
  integer, parameter :: nGC_7502 = 1310
  integer, parameter :: nGC_7511 = 1311
  integer, parameter :: nGC_7512 = 1312
  integer, parameter :: nGC_7518 = 1313
  integer, parameter :: nGC_7519 = 1314
  integer, parameter :: nGC_7520 = 1315
  integer, parameter :: nGC_7521 = 1316
  integer, parameter :: nGC_7530 = 1317
  integer, parameter :: nGC_7531 = 1318
  integer, parameter :: nGC_7537 = 1319
  integer, parameter :: nGC_7538 = 1320
  integer, parameter :: nGC_7539 = 1321
  integer, parameter :: nGC_7540 = 1322
  integer, parameter :: nGC_7551 = 1323
  integer, parameter :: nGC_7552 = 1324
  integer, parameter :: nGC_7553 = 1325
  integer, parameter :: nGC_7561 = 1326
  integer, parameter :: nGC_7562 = 1327
  integer, parameter :: nGC_7563 = 1328
  integer, parameter :: nGC_7564 = 1329
  integer, parameter :: nGC_7575 = 1330
  integer, parameter :: nGC_7576 = 1331
  integer, parameter :: nGC_7584 = 1332
  integer, parameter :: nGC_7585 = 1333
  integer, parameter :: nGC_7586 = 1334
  integer, parameter :: nGC_7587 = 1335
  integer, parameter :: nGC_7598 = 1336
  integer, parameter :: nGC_7599 = 1337
  integer, parameter :: nGC_7607 = 1338
  integer, parameter :: nGC_7608 = 1339
  integer, parameter :: nGC_7609 = 1340
  integer, parameter :: nGC_7610 = 1341
  integer, parameter :: nGC_7621 = 1342
  integer, parameter :: nGC_7622 = 1343
  integer, parameter :: nGC_7623 = 1344
  integer, parameter :: nGC_7631 = 1345
  integer, parameter :: nGC_7632 = 1346
  integer, parameter :: nGC_7633 = 1347
  integer, parameter :: nGC_7634 = 1348
  integer, parameter :: nGC_7645 = 1349
  integer, parameter :: nGC_7646 = 1350
  integer, parameter :: nGC_7654 = 1351
  integer, parameter :: nGC_7655 = 1352
  integer, parameter :: nGC_7656 = 1353
  integer, parameter :: nGC_7657 = 1354
  integer, parameter :: nGC_7668 = 1355
  integer, parameter :: nGC_7669 = 1356
  integer, parameter :: nGC_7677 = 1357
  integer, parameter :: nGC_7678 = 1358
  integer, parameter :: nGC_7679 = 1359
  integer, parameter :: nGC_7680 = 1360
  integer, parameter :: nGC_7687 = 1361
  integer, parameter :: nGC_7688 = 1362
  integer, parameter :: nGC_7689 = 1363
  integer, parameter :: nGC_7702 = 1364
  integer, parameter :: nGC_7703 = 1365
  integer, parameter :: nGC_7716 = 1366
  integer, parameter :: nGC_7717 = 1367
  integer, parameter :: nGC_7730 = 1368
  integer, parameter :: nGC_7731 = 1369
  integer, parameter :: nGC_7744 = 1370
  integer, parameter :: nGC_7745 = 1371
  integer, parameter :: nGC_7758 = 1372
  integer, parameter :: nGC_7759 = 1373
  integer, parameter :: nGC_7769 = 1374
  integer, parameter :: nGC_7773 = 1375
  integer, parameter :: nGC_7777 = 1376
  integer, parameter :: nGC_7789 = 1377
  integer, parameter :: nGC_7792 = 1378
  integer, parameter :: nGC_7795 = 1379
  integer, parameter :: nGC_7804 = 1380
  integer, parameter :: nGC_7808 = 1381
  integer, parameter :: nGC_7812 = 1382
  integer, parameter :: nGC_7822 = 1383
  integer, parameter :: nGC_7823 = 1384
  integer, parameter :: nGC_7824 = 1385
  integer, parameter :: nGC_7825 = 1386
  integer, parameter :: nGC_7834 = 1387
  integer, parameter :: nGC_7835 = 1388
  integer, parameter :: nGC_7836 = 1389
  integer, parameter :: nGC_7837 = 1390
  integer, parameter :: nGC_7846 = 1391
  integer, parameter :: nGC_7847 = 1392
  integer, parameter :: nGC_7848 = 1393
  integer, parameter :: nGC_7849 = 1394
  integer, parameter :: nGC_5295 = 1395
  integer, parameter :: nGC_7896 = 1396
  integer, parameter :: nGC_5301 = 1397
  integer, parameter :: nGC_7905 = 1398
  integer, parameter :: nGC_5297 = 1399
  integer, parameter :: nGC_7916 = 1400
  integer, parameter :: nGC_5303 = 1401
  integer, parameter :: nGC_7927 = 1402
  integer, parameter :: nGC_5299 = 1403
  integer, parameter :: nGC_7938 = 1404
  integer, parameter :: nGC_5305 = 1405
  integer, parameter :: nGC_7949 = 1406
  integer, parameter :: nGC_7965 = 1407
  integer, parameter :: nGC_7966 = 1408
  integer, parameter :: nGC_7971 = 1409
  integer, parameter :: nGC_7972 = 1410
  integer, parameter :: nGC_7977 = 1411
  integer, parameter :: nGC_7978 = 1412
  integer, parameter :: nGC_7984 = 1413
  integer, parameter :: nGC_7985 = 1414
  integer, parameter :: nGC_7991 = 1415
  integer, parameter :: nGC_7992 = 1416
  integer, parameter :: nGC_7998 = 1417
  integer, parameter :: nGC_7999 = 1418
  integer, parameter :: nGC_8005 = 1419
  integer, parameter :: nGC_8006 = 1420
  integer, parameter :: nGC_8012 = 1421
  integer, parameter :: nGC_8013 = 1422
  integer, parameter :: nGC_8019 = 1423
  integer, parameter :: nGC_8020 = 1424
  integer, parameter :: nGC_5334 = 1425
  integer, parameter :: nGC_8089 = 1426
  integer, parameter :: nGC_5340 = 1427
  integer, parameter :: nGC_8100 = 1428
  integer, parameter :: nGC_5336 = 1429
  integer, parameter :: nGC_8113 = 1430
  integer, parameter :: nGC_5342 = 1431
  integer, parameter :: nGC_8122 = 1432
  integer, parameter :: nGC_5338 = 1433
  integer, parameter :: nGC_8133 = 1434
  integer, parameter :: nGC_5344 = 1435
  integer, parameter :: nGC_8144 = 1436
  integer, parameter :: nGC_8155 = 1437
  integer, parameter :: nGC_8156 = 1438
  integer, parameter :: nGC_8159 = 1439
  integer, parameter :: nGC_8160 = 1440
  integer, parameter :: nGC_8168 = 1441
  integer, parameter :: nGC_8172 = 1442
  integer, parameter :: nGC_8176 = 1443
  integer, parameter :: nGC_8177 = 1444
  integer, parameter :: nGC_8181 = 1445
  integer, parameter :: nGC_8182 = 1446
  integer, parameter :: nGC_8186 = 1447
  integer, parameter :: nGC_8187 = 1448
  integer, parameter :: nGC_8201 = 1449
  integer, parameter :: nGC_8202 = 1450
  integer, parameter :: nGC_8206 = 1451
  integer, parameter :: nGC_8207 = 1452
  integer, parameter :: nGC_8211 = 1453
  integer, parameter :: nGC_8212 = 1454
  integer, parameter :: nGC_8222 = 1455
  integer, parameter :: nGC_8226 = 1456
  integer, parameter :: nGC_8229 = 1457
  integer, parameter :: nGC_8230 = 1458
  integer, parameter :: nGC_8246 = 1459
  integer, parameter :: nGC_8247 = 1460
  integer, parameter :: nGC_8261 = 1461
  integer, parameter :: nGC_8262 = 1462
  integer, parameter :: nGC_8276 = 1463
  integer, parameter :: nGC_8277 = 1464
  integer, parameter :: nGC_8318 = 1465
  integer, parameter :: nGC_8319 = 1466
  integer, parameter :: nGC_8333 = 1467
  integer, parameter :: nGC_8334 = 1468
  integer, parameter :: nGC_8348 = 1469
  integer, parameter :: nGC_8349 = 1470
  integer, parameter :: nGC_8379 = 1471
  integer, parameter :: nGC_8385 = 1472
  integer, parameter :: nGC_8398 = 1473
  integer, parameter :: nGC_8438 = 1474
  integer, parameter :: nGC_8448 = 1475
  integer, parameter :: nGC_9090 = 1476
  integer, parameter :: nGC_9106 = 1477
  integer, parameter :: nGC_9645 = 1478
  integer, parameter :: nGC_9660 = 1479
  integer, parameter :: nGC_9676 = 1480
  integer, parameter :: nGC_10223 = 1481
  integer, parameter :: nGC_10239 = 1482
  integer, parameter :: nGC_10560 = 1483
  integer, parameter :: nGC_10585 = 1484
  integer, parameter :: nGC_5283 = 1485
  integer, parameter :: nGC_5285 = 1486
  integer, parameter :: nGC_5284 = 1487
  integer, parameter :: nGC_5286 = 1488
  integer, parameter :: nGC_5287 = 1489
  integer, parameter :: nGC_5289 = 1490
  integer, parameter :: nGC_5288 = 1491
  integer, parameter :: nGC_5290 = 1492
  integer, parameter :: nGC_5291 = 1493
  integer, parameter :: nGC_5293 = 1494
  integer, parameter :: nGC_5292 = 1495
  integer, parameter :: nGC_5294 = 1496
  integer, parameter :: nGC_5296 = 1497
  integer, parameter :: nGC_5302 = 1498
  integer, parameter :: nGC_5298 = 1499
  integer, parameter :: nGC_5304 = 1500
  integer, parameter :: nGC_5300 = 1501
  integer, parameter :: nGC_5306 = 1502
  integer, parameter :: nGC_5322 = 1503
  integer, parameter :: nGC_5324 = 1504
  integer, parameter :: nGC_5323 = 1505
  integer, parameter :: nGC_5325 = 1506
  integer, parameter :: nGC_5326 = 1507
  integer, parameter :: nGC_5328 = 1508
  integer, parameter :: nGC_5327 = 1509
  integer, parameter :: nGC_5329 = 1510
  integer, parameter :: nGC_5330 = 1511
  integer, parameter :: nGC_5332 = 1512
  integer, parameter :: nGC_5331 = 1513
  integer, parameter :: nGC_5333 = 1514
  integer, parameter :: nGC_5335 = 1515
  integer, parameter :: nGC_5341 = 1516
  integer, parameter :: nGC_5337 = 1517
  integer, parameter :: nGC_5343 = 1518
  integer, parameter :: nGC_5339 = 1519
  integer, parameter :: nGC_5345 = 1520
  integer, parameter :: nGC_7858 = 1521
  integer, parameter :: nGC_7859 = 1522
  integer, parameter :: nGC_7860 = 1523
  integer, parameter :: nGC_7861 = 1524
  integer, parameter :: nGC_7870 = 1525
  integer, parameter :: nGC_7871 = 1526
  integer, parameter :: nGC_7872 = 1527
  integer, parameter :: nGC_7873 = 1528
  integer, parameter :: nGC_7882 = 1529
  integer, parameter :: nGC_7883 = 1530
  integer, parameter :: nGC_7884 = 1531
  integer, parameter :: nGC_7885 = 1532
  integer, parameter :: nGC_7894 = 1533
  integer, parameter :: nGC_7895 = 1534
  integer, parameter :: nGC_7906 = 1535
  integer, parameter :: nGC_7907 = 1536
  integer, parameter :: nGC_7917 = 1537
  integer, parameter :: nGC_7918 = 1538
  integer, parameter :: nGC_7928 = 1539
  integer, parameter :: nGC_7929 = 1540
  integer, parameter :: nGC_7939 = 1541
  integer, parameter :: nGC_7940 = 1542
  integer, parameter :: nGC_7950 = 1543
  integer, parameter :: nGC_7951 = 1544
  integer, parameter :: nGC_8053 = 1545
  integer, parameter :: nGC_8054 = 1546
  integer, parameter :: nGC_8055 = 1547
  integer, parameter :: nGC_8056 = 1548
  integer, parameter :: nGC_8065 = 1549
  integer, parameter :: nGC_8066 = 1550
  integer, parameter :: nGC_8067 = 1551
  integer, parameter :: nGC_8068 = 1552
  integer, parameter :: nGC_8077 = 1553
  integer, parameter :: nGC_8078 = 1554
  integer, parameter :: nGC_8079 = 1555
  integer, parameter :: nGC_8080 = 1556
  integer, parameter :: nGC_8090 = 1557
  integer, parameter :: nGC_8091 = 1558
  integer, parameter :: nGC_8101 = 1559
  integer, parameter :: nGC_8102 = 1560
  integer, parameter :: nGC_8111 = 1561
  integer, parameter :: nGC_8112 = 1562
  integer, parameter :: nGC_8123 = 1563
  integer, parameter :: nGC_8124 = 1564
  integer, parameter :: nGC_8134 = 1565
  integer, parameter :: nGC_8135 = 1566
  integer, parameter :: nGC_8145 = 1567
  integer, parameter :: nGC_8146 = 1568
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
