!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_10) = -gs
    coupl(nGC_12) = cima*gs**2d0
    coupl(nGC_3) = -cima*ee
    coupl(nGC_5) = cima*ee**2d0
    coupl(nGC_37) = cima*cw*ee/sw
    coupl(nGC_27) = -cima*ee**2d0/sw**2d0
    coupl(nGC_41) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_29) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_24) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*  &
                    cima*l2*sa**4d0/2d0
    coupl(nGC_15) = -3d0*cima*l2/2d0
    coupl(nGC_13) = -cima*l2/2d0
    coupl(nGC_14) = -cima*l2
    coupl(nGC_20) = -ca**2d0*cima*l2/2d0 - cima*l3*sa**2d0
    coupl(nGC_23) = -3d0*ca**4d0*cima*l2/2d0 - 6d0*ca**2d0*cima*l3*sa**2d0 -   &
                    3d0*cima*l1*sa**4d0
    coupl(nGC_19) = -ca**2d0*cima*l3 - cima*l2*sa**2d0/2d0
    coupl(nGC_25) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**  &
                    2d0*cima*l2*sa**2d0/2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 -    &
                    cima*l3*sa**4d0
    coupl(nGC_22) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*  &
                    cima*l2*sa**3d0/2d0 + 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_18) = -ca*cima*l2*sa/2d0 + ca*cima*l3*sa
    coupl(nGC_21) = -3d0*ca**3d0*cima*l2*sa/2d0 + 3d0*ca**3d0*cima*l3*sa + 3d0*&
                    ca*cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
    coupl(nGC_75) = -ca*cima*l2*vev/2d0 + cima*l3*sa*vevs
    coupl(nGC_78) = -3d0*ca**3d0*cima*l2*vev/2d0 + 3d0*ca**2d0*cima*l3*sa*vevs &
                     - 3d0*ca*cima*l3*sa**2d0*vev + 3d0*cima*l1*sa**3d0*vevs
    coupl(nGC_79) = -ca**3d0*cima*l3*vev + 3d0*ca**2d0*cima*l1*sa*vevs - 2d0*ca&
                    **2d0*cima*l3*sa*vevs - 3d0*ca*cima*l2*sa**2d0*vev/2d0 +   &
                    2d0*ca*cima*l3*sa**2d0*vev + cima*l3*sa**3d0*vevs
    coupl(nGC_74) = -ca*cima*l3*vevs - cima*l2*sa*vev/2d0
    coupl(nGC_76) = -ca**3d0*cima*l3*vevs - 3d0*ca**2d0*cima*l2*sa*vev/2d0 +   &
                    2d0*ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l1*sa**2d0*vevs + &
                    2d0*ca*cima*l3*sa**2d0*vevs - cima*l3*sa**3d0*vev
    coupl(nGC_77) = -3d0*ca**3d0*cima*l1*vevs - 3d0*ca**2d0*cima*l3*sa*vev -   &
                    3d0*ca*cima*l3*sa**2d0*vevs - 3d0*cima*l2*sa**3d0*vev/2d0
    coupl(nGC_6) = 2d0*cima*ee**2d0
    coupl(nGC_4) = cima*ee
    coupl(nGC_39) = ee**2d0/(2d0*sw)
    coupl(nGC_40) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_48) = -cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_71) = -cima*ee**2d0*vev/(2d0*sw)
    coupl(nGC_32) = ee/(2d0*sw)
    coupl(nGC_35) = ca*cima*ee/(2d0*sw)
    coupl(nGC_47) = cima*ee*sa/(2d0*sw)
    coupl(nGC_38) = -ee**2d0/(2d0*sw)
    coupl(nGC_34) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_46) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_26) = cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_28) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_30) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_31) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
    coupl(nGC_69) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_70) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_58) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
    coupl(nGC_57) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
    coupl(nGC_61) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
    coupl(nGC_55) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_8) = ee**2d0/(2d0*cw)
    coupl(nGC_9) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_17) = -cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_68) = -cima*ee**2d0*vev/(2d0*cw)
    coupl(nGC_7) = -ee**2d0/(2d0*cw)
    coupl(nGC_64) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_63) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima*ee&
                    **2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_65) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima* &
                    ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_66) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee**2d0*&
                    sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_67) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0* &
                    sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_72) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**2d0&
                    *vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_73) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0*sa&
                    *vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_11) = cima*gs
    coupl(nGC_33) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_51) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_54) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_50) = cima*ee*sw/(3d0*cw)
    coupl(nGC_53) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_56) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_52) = cima*ee*sw/cw
    coupl(nGC_120) = cima*yup
    coupl(nGC_90) = -cima*ydo
    coupl(nGC_85) = cima*yc
    coupl(nGC_105) = -cima*ys
    coupl(nGC_110) = cima*yt
    coupl(nGC_80) = -cima*yb
    coupl(nGC_92) = sqrt(2d0)*ydo/2d0
    coupl(nGC_91) = -sqrt(2d0)*ydo/2d0
    coupl(nGC_107) = sqrt(2d0)*ys/2d0
    coupl(nGC_106) = -sqrt(2d0)*ys/2d0
    coupl(nGC_82) = sqrt(2d0)*yb/2d0
    coupl(nGC_81) = -sqrt(2d0)*yb/2d0
    coupl(nGC_93) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_83) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_94) = -sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_109) = -sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_84) = -sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_95) = -cima*ye
    coupl(nGC_100) = -cima*ym
    coupl(nGC_115) = -cima*ytau
    coupl(nGC_97) = sqrt(2d0)*ye/2d0
    coupl(nGC_96) = -sqrt(2d0)*ye/2d0
    coupl(nGC_102) = sqrt(2d0)*ym/2d0
    coupl(nGC_101) = -sqrt(2d0)*ym/2d0
    coupl(nGC_117) = sqrt(2d0)*ytau/2d0
    coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
    coupl(nGC_98) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_99) = -sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_104) = -sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_119) = -sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_121) = -sqrt(2d0)*yup/2d0
    coupl(nGC_122) = sqrt(2d0)*yup/2d0
    coupl(nGC_86) = -sqrt(2d0)*yc/2d0
    coupl(nGC_87) = sqrt(2d0)*yc/2d0
    coupl(nGC_111) = -sqrt(2d0)*yt/2d0
    coupl(nGC_112) = sqrt(2d0)*yt/2d0
    coupl(nGC_123) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_88) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
    coupl(nGC_124) = -sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_89) = -sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_114) = -sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_16) = cMW*cima*ee
    coupl(nGC_42) = -cMW*ee/(2d0*sw)
    coupl(nGC_44) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_49) = -cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_59) = -cMW*cima*cw*ee/(2d0*sw) + cMW*cima*ee*sw/(2d0*cw)
    coupl(nGC_36) = -cima*cw*ee/sw
    coupl(nGC_43) = cMW*ee/(2d0*sw)
    coupl(nGC_45) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_60) = -cMZ*ca*cima*cw*ee/(2d0*sw) - cMZ*ca*cima*ee*sw/(2d0*cw)
    coupl(nGC_62) = -cMZ*cima*cw*ee*sa/(2d0*sw) - cMZ*cima*ee*sa*sw/(2d0*cw)
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_MI) = -cima
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_423) = -2d0*coupl(nGC_12)
    coupl(nGC_427) = 2d0*coupl(nGC_12)
    coupl(nGC_429) = -coupl(nGC_12)
    coupl(nGC_443) = -2d0*coupl(nGC_5)
    coupl(nGC_449) = -2d0*coupl(nGC_27)
    coupl(nGC_453) = -coupl(nGC_41)/2d0
    coupl(nGC_457) = -2d0*coupl(nGC_29)
    coupl(nGC_805) = -coupl(nGC_4)
    coupl(nGC_809) = -coupl(nGC_3)
    coupl(nGC_825) = -coupl(nGC_37)
    coupl(nGC_831) = -coupl(nGC_36)
    coupl(nGC_865) = -coupl(nGC_10)
    coupl(nGC_1393) = -coupl(nGC_32)
    coupl(nGC_1405) = -coupl(nGC_35)
    coupl(nGC_1419) = -coupl(nGC_47)
    coupl(nGC_1587) = -coupl(nGC_34)
    coupl(nGC_1599) = -coupl(nGC_46)
    coupl(nGC_1835) = -coupl(nGC_57)
    coupl(nGC_1847) = -coupl(nGC_61)
    coupl(nGC_1861) = -coupl(nGC_55)
    coupl(nGC_4766) = -gs
    coupl(nGC_4764) = 2d0*cima*gs**2d0
    coupl(nGC_4749) = -cima*ee
    coupl(nGC_4755) = 2d0*cima*ee**2d0
    coupl(nGC_4831) = -cima*cw*ee/sw**2d0
    coupl(nGC_4833) = cima*cw*ee/sw
    coupl(nGC_4832) = cima*ee/sw
    coupl(nGC_4798) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4799) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4575) = 2d0*cima*ee**2d0/sw
    coupl(nGC_4574) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4576) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_4811) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4810) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_4809) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_4788) = 6d0*ca*cima*sa*(2d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - l2*sa**&
                      2d0 + 2d0*l3*sa**2d0)
    coupl(nGC_4789) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4787) = -3d0*cima*sa**4d0/2d0
    coupl(nGC_4786) = -3d0*ca**4d0*cima
    coupl(nGC_4767) = -3d0*cima/2d0
    coupl(nGC_4765) = -cima/2d0
    coupl(nGC_4777) = ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_4778) = -cima*sa**2d0
    coupl(nGC_4776) = -ca**2d0*cima/2d0
    coupl(nGC_4792) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1*sa&
                      **2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_4790) = -3d0*cima*sa**4d0
    coupl(nGC_4791) = -3d0*ca**4d0*cima/2d0
    coupl(nGC_4793) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4780) = -ca*cima*sa*(l2 - 2d0*l3)
    coupl(nGC_4779) = -cima*sa**2d0/2d0
    coupl(nGC_4781) = -ca**2d0*cima
    coupl(nGC_4806) = -3d0*ca**2d0*cima*sa**2d0/2d0
    coupl(nGC_4807) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)*(2d0*l1 + l2 - 4d0*l3)
    coupl(nGC_4805) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_4808) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_4797) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_4794) = 3d0*ca**3d0*cima*sa
    coupl(nGC_4795) = -3d0*ca*cima*sa**3d0/2d0
    coupl(nGC_4796) = 3d0*cima*(2d0*ca**4d0*l1 - 2d0*ca**4d0*l3 - 6d0*ca**2d0* &
                      l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + 12d0*ca**2d0*l3*sa &
                      **2d0 + l2*sa**4d0 - 2d0*l3*sa**4d0)/2d0
    coupl(nGC_4775) = ca*cima*sa
    coupl(nGC_4774) = -cima*(ca - sa)*(ca + sa)*(l2 - 2d0*l3)/2d0
    coupl(nGC_4773) = -ca*cima*sa/2d0
    coupl(nGC_4783) = -3d0*ca**3d0*cima*sa/2d0
    coupl(nGC_4785) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_4782) = 3d0*ca*cima*sa**3d0
    coupl(nGC_4784) = 3d0*cima*(-ca**4d0*l2 + 2d0*ca**4d0*l3 + 6d0*ca**2d0*l1* &
                      sa**2d0 + 3d0*ca**2d0*l2*sa**2d0 - 12d0*ca**2d0*l3*sa**  &
                      2d0 - 2d0*l1*sa**4d0 + 2d0*l3*sa**4d0)/2d0
    coupl(nGC_4731) = cima*sa*vevs
    coupl(nGC_4730) = cima*(2d0*ca*l3*vevs + l2*sa*vev)/2d0
    coupl(nGC_4727) = cima*l3*sa
    coupl(nGC_4729) = -ca*cima*l2/2d0
    coupl(nGC_4728) = -ca*cima*vev/2d0
    coupl(nGC_207) = -3d0*ca**3d0*cima*vev/2d0
    coupl(nGC_205) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
    coupl(nGC_209) = -3d0*ca*cima*(ca**2d0*l2 + 2d0*l3*sa**2d0)/2d0
    coupl(nGC_203) = 3d0*cima*sa**3d0*vevs
    coupl(nGC_211) = 3d0*cima*(2d0*ca**3d0*l3*vevs + 3d0*ca**2d0*l2*sa*vev -   &
                     4d0*ca**2d0*l3*sa*vev + 6d0*ca*l1*sa**2d0*vevs - 4d0*ca*l3&
                     *sa**2d0*vevs + 2d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_213) = 3d0*ca*cima*sa*(ca*vevs - sa*vev)
    coupl(nGC_227) = -cima*(ca**3d0*vev + 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**2d0*&
                     vev - sa**3d0*vevs)
    coupl(nGC_217) = 3d0*ca**2d0*cima*sa*vevs
    coupl(nGC_219) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
    coupl(nGC_223) = -ca*cima*(2d0*ca**2d0*l3 + 3d0*l2*sa**2d0 - 4d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_225) = cima*(6d0*ca**3d0*l1*vevs - 4d0*ca**3d0*l3*vevs - 6d0*ca**&
                     2d0*l2*sa*vev + 14d0*ca**2d0*l3*sa*vev - 12d0*ca*l1*sa**  &
                     2d0*vevs + 14d0*ca*l3*sa**2d0*vevs + 3d0*l2*sa**3d0*vev - &
                     4d0*l3*sa**3d0*vev)/2d0
    coupl(nGC_221) = -3d0*ca*cima*sa**2d0*vev/2d0
    coupl(nGC_4740) = -cima*(ca*l2*vev - 2d0*l3*sa*vevs)/2d0
    coupl(nGC_4741) = -ca*cima*vevs
    coupl(nGC_4738) = -cima*sa*vev/2d0
    coupl(nGC_4739) = -cima*l2*sa/2d0
    coupl(nGC_4737) = -ca*cima*l3
    coupl(nGC_231) = -3d0*ca*cima*sa**2d0*vevs
    coupl(nGC_237) = -cima*sa*(3d0*ca**2d0*l2 - 4d0*ca**2d0*l3 + 2d0*l3*sa**2d0&
                     )/2d0
    coupl(nGC_239) = -cima*(3d0*ca**3d0*l2*vev - 4d0*ca**3d0*l3*vev + 12d0*ca**&
                     2d0*l1*sa*vevs - 14d0*ca**2d0*l3*sa*vevs - 6d0*ca*l2*sa** &
                     2d0*vev + 14d0*ca*l3*sa**2d0*vev - 6d0*l1*sa**3d0*vevs +  &
                     4d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_235) = -3d0*ca**2d0*cima*sa*vev/2d0
    coupl(nGC_233) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
    coupl(nGC_241) = -cima*(ca**3d0*vevs - 2d0*ca**2d0*sa*vev - 2d0*ca*sa**2d0*&
                     vevs + sa**3d0*vev)
    coupl(nGC_245) = -3d0*ca**3d0*cima*vevs
    coupl(nGC_255) = -3d0*ca*cima*sa*(ca*vev + sa*vevs)
    coupl(nGC_247) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
    coupl(nGC_253) = 3d0*cima*(-2d0*ca**3d0*l3*vev + 6d0*ca**2d0*l1*sa*vevs -  &
                     4d0*ca**2d0*l3*sa*vevs - 3d0*ca*l2*sa**2d0*vev + 4d0*ca*l3&
                     *sa**2d0*vev + 2d0*l3*sa**3d0*vevs)/2d0
    coupl(nGC_249) = -3d0*cima*sa**3d0*vev/2d0
    coupl(nGC_251) = -3d0*cima*sa*(2d0*ca**2d0*l3 + l2*sa**2d0)/2d0
    coupl(nGC_4756) = 4d0*cima*ee**2d0
    coupl(nGC_4754) = cima*ee
    coupl(nGC_4580) = -ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4581) = ee**2d0/sw
    coupl(nGC_4584) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4586) = cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_4585) = -ca*cima*ee**2d0/sw
    coupl(nGC_4615) = -ca*cima*ee**2d0/(2d0*sw)
    coupl(nGC_4614) = -cima*ee**2d0*sa/sw
    coupl(nGC_4613) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_4722) = -cima*ee**2d0*vev/sw
    coupl(nGC_4721) = cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4720) = -cima*ee**2d0/(2d0*sw)
    coupl(nGC_4819) = ee/(2d0*sw)
    coupl(nGC_4818) = -ee/(2d0*sw**2d0)
    coupl(nGC_4826) = ca*cima*ee/(2d0*sw)
    coupl(nGC_4827) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_4825) = -ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4610) = -cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4612) = ca*cima*ee/(2d0*sw)
    coupl(nGC_4611) = cima*ee*sa/(2d0*sw)
    coupl(nGC_4571) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4572) = -ee**2d0/sw
    coupl(nGC_4821) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_4820) = ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4822) = cima*ee*sa/(2d0*sw)
    coupl(nGC_4604) = cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4605) = -cima*ee*sa/(2d0*sw)
    coupl(nGC_4606) = -ca*cima*ee/(2d0*sw)
    coupl(nGC_4800) = -cima*ee**2d0/sw**3d0
    coupl(nGC_4801) = cima*ee**2d0/sw**2d0
    coupl(nGC_4803) = ca**2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_4804) = -ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4802) = -ca**2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_4812) = -ca*cima*ee**2d0*sa/sw**3d0
    coupl(nGC_4813) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4814) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
    coupl(nGC_4815) = -cima*ee**2d0*sa**2d0/sw**3d0
    coupl(nGC_4816) = cima*ee**2d0*sa**2d0/sw**2d0
    coupl(nGC_4817) = ca*cima*ee**2d0*sa/sw**2d0
    coupl(nGC_4713) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
    coupl(nGC_4711) = -ca*cima*ee**2d0*vev/sw**3d0
    coupl(nGC_4712) = ca*cima*ee**2d0*vev/sw**2d0
    coupl(nGC_4710) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_4717) = -cima*ee**2d0*sa*vev/sw**3d0
    coupl(nGC_4719) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
    coupl(nGC_4718) = cima*ee**2d0*sa*vev/sw**2d0
    coupl(nGC_4716) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_4658) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
    coupl(nGC_4657) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_4659) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
    coupl(nGC_4653) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4656) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4655) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4654) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4670) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4672) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4669) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4671) = -ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4642) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4644) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4643) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4757) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4758) = ee**2d0/cw
    coupl(nGC_4761) = cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_4759) = ca*cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4760) = -ca*cima*ee**2d0/cw
    coupl(nGC_4771) = -cima*ee**2d0*sa/cw
    coupl(nGC_4770) = cima*ee**2d0*sa/(2d0*cw**2d0)
    coupl(nGC_4772) = -ca*cima*ee**2d0/(2d0*cw)
    coupl(nGC_4704) = cima*ee**2d0*vev/(2d0*cw**2d0)
    coupl(nGC_4705) = -cima*ee**2d0*vev/cw
    coupl(nGC_4703) = -cima*ee**2d0/(2d0*cw)
    coupl(nGC_4763) = -ee**2d0/cw
    coupl(nGC_4762) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_4687) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4688) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4689) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_4679) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_4680) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4681) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw** &
                      2d0)
    coupl(nGC_4692) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4693) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                      **2d0)
    coupl(nGC_4691) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4694) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4700) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0&
                      )/(cw**3d0*sw**2d0)
    coupl(nGC_4699) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4702) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**2d0&
                      /(2d0*cw**2d0*sw**2d0)
    coupl(nGC_4701) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_4706) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4709) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**&
                      2d0)
    coupl(nGC_4708) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                      **2d0)
    coupl(nGC_4707) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4744) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                      **2d0)
    coupl(nGC_4747) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4746) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4745) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4748) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**  &
                      2d0*sw**2d0)
    coupl(nGC_4736) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                      *sw**2d0)
    coupl(nGC_4733) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                      2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_4734) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**  &
                      2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_4735) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw &
                      **2d0)
    coupl(nGC_4732) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                      **2d0)
    coupl(nGC_4750) = -2d0*cima*ee/3d0
    coupl(nGC_4753) = cima*ee/3d0
    coupl(nGC_259) = cima*gs
    coupl(nGC_4824) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_4823) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4624) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_4626) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_4625) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4641) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4639) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4640) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4618) = cima*ee*sw/(3d0*cw)
    coupl(nGC_4616) = cima*ee/(3d0*cw)
    coupl(nGC_4617) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_4636) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_4635) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4637) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_4646) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4647) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4645) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4631) = cima*ee*sw/cw
    coupl(nGC_4630) = -cima*ee*sw/cw**2d0
    coupl(nGC_4629) = cima*ee/cw
    coupl(nGC_4638) = sqrt(2d0)/2d0
    coupl(nGC_4634) = -sqrt(2d0)/2d0
    coupl(nGC_4660) = sqrt(2d0)/2d0
    coupl(nGC_4652) = -sqrt(2d0)/2d0
    coupl(nGC_4724) = sqrt(2d0)/2d0
    coupl(nGC_4723) = -sqrt(2d0)/2d0
    coupl(nGC_4648) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4649) = sqrt(2d0)*cima*sa*ye/2d0
    coupl(nGC_4662) = sqrt(2d0)*cima*sa*ym/2d0
    coupl(nGC_4661) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_265) = sqrt(2d0)*cima*sa*ytau/2d0
    coupl(nGC_263) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4651) = -sqrt(2d0)*ca*cima*ye/2d0
    coupl(nGC_4650) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4667) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4668) = -sqrt(2d0)*ca*cima*ym/2d0
    coupl(nGC_271) = -sqrt(2d0)*ca*cima*ytau/2d0
    coupl(nGC_269) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4769) = cima*ee/(2d0*cMW)
    coupl(nGC_4768) = cMW*cima*ee
    coupl(nGC_4589) = -ee/(4d0*cMW*sw)
    coupl(nGC_4588) = -cMW*ee/(2d0*sw)
    coupl(nGC_4587) = cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4594) = cMW*ca*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4597) = cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_4596) = -ca*cima*ee/(4d0*cMW*sw)
    coupl(nGC_4595) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_4620) = -cMW*cima*ee*sa/(2d0*sw)
    coupl(nGC_4619) = cMW*cima*ee*sa/(2d0*sw**2d0)
    coupl(nGC_4622) = -cMW*ca*cima*ee/(2d0*sw)
    coupl(nGC_4621) = -cima*ee*sa/(4d0*cMW*sw)
  end subroutine fill_couplings_mdl1
end module fill_couplings1
