!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_4663) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_4666) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_4665) = -cMW*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_4664) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_4828) = cima*cw*ee/sw**2d0
    coupl(nGC_4830) = -cima*cw*ee/sw
    coupl(nGC_4829) = -cima*ee/sw
    coupl(nGC_4591) = cMW*ee/(2d0*sw)
    coupl(nGC_4592) = ee/(4d0*cMW*sw)
    coupl(nGC_4590) = -cMW*ee/(2d0*sw**2d0)
    coupl(nGC_4602) = cMZ*cima*ee/(2d0*sw)
    coupl(nGC_4603) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_4601) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_4673) = cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4674) = -cMZ*ca*cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4675) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4676) = -ca*cima*ee*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4677) = cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4683) = -cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_4686) = -cMZ*ca*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_4685) = -cima*ee*sa*(cw**2d0 + sw**2d0)/(4d0*cMZ*cw*sw)
    coupl(nGC_4682) = cMZ*cima*ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_4684) = -cMZ*cima*ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_405) = cima/(2d0*cMW)
    coupl(nGC_409) = -cima/(2d0*cMW)
    coupl(nGC_413) = 1d0/(2d0*cMZ)
    coupl(nGC_4627) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4632) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4695) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4697) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4577) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4582) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4742) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4751) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4599) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_4608) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_275) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_281) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_4623) = sqrt(2d0)/2d0
    coupl(nGC_4607) = -sqrt(2d0)/2d0
    coupl(nGC_4690) = sqrt(2d0)/2d0
    coupl(nGC_4678) = -sqrt(2d0)/2d0
    coupl(nGC_4579) = sqrt(2d0)/2d0
    coupl(nGC_4573) = -sqrt(2d0)/2d0
    coupl(nGC_4628) = sqrt(2d0)*cima*sa*ydo/2d0
    coupl(nGC_4633) = -sqrt(2d0)*ca*cima*ydo/2d0
    coupl(nGC_4696) = sqrt(2d0)*cima*sa*ys/2d0
    coupl(nGC_4698) = -sqrt(2d0)*ca*cima*ys/2d0
    coupl(nGC_4578) = sqrt(2d0)*cima*sa*yb/2d0
    coupl(nGC_4583) = -sqrt(2d0)*ca*cima*yb/2d0
    coupl(nGC_4725) = -sqrt(2d0)/2d0
    coupl(nGC_4726) = sqrt(2d0)/2d0
    coupl(nGC_4593) = -sqrt(2d0)/2d0
    coupl(nGC_4598) = sqrt(2d0)/2d0
    coupl(nGC_4714) = -sqrt(2d0)/2d0
    coupl(nGC_4715) = sqrt(2d0)/2d0
    coupl(nGC_4743) = sqrt(2d0)*cima*sa*yup/2d0
    coupl(nGC_4752) = -sqrt(2d0)*ca*cima*yup/2d0
    coupl(nGC_4600) = sqrt(2d0)*cima*sa*yc/2d0
    coupl(nGC_4609) = -sqrt(2d0)*ca*cima*yc/2d0
    coupl(nGC_277) = sqrt(2d0)*cima*sa*yt/2d0
    coupl(nGC_283) = -sqrt(2d0)*ca*cima*yt/2d0
  end subroutine fill_couplings_mdl2
end module fill_couplings2
