!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_5213) = -cima*dl2_QED4
    coupl(nGC_5307) = -cima*dye_QED3
    coupl(nGC_5308) = -cima*dym_QED3
    coupl(nGC_5309) = -cima*dytau_QED3
    coupl(nGC_TS_GC_93_Hl) = -coupl(nGC_93)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_83_Hl) = -coupl(nGC_83)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_109_Hh) = -coupl(nGC_109)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_84_Hh) = -coupl(nGC_84)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_98_Hl) = -coupl(nGC_98)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_104_Hh) = -coupl(nGC_104)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_119_Hh) = -coupl(nGC_119)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_123_Hl) = -coupl(nGC_123)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_88_Hl) = -coupl(nGC_88)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_124_Hh) = -coupl(nGC_124)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_89_Hh) = -coupl(nGC_89)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_114_Hh) = -coupl(nGC_114)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_18_Hh) = -coupl(nGC_18)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_21_Hh) = -coupl(nGC_21)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_75_Hl) = -coupl(nGC_75)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_78_Hl) = -coupl(nGC_78)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_79_Hl) = -coupl(nGC_79)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_79_Hh) = -coupl(nGC_79)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_74_Hh) = -coupl(nGC_74)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_76_Hl) = -coupl(nGC_76)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_76_Hh) = -coupl(nGC_76)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_77_Hh) = -coupl(nGC_77)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_30_Hh) = -coupl(nGC_30)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_57_Hl) = -coupl(nGC_57)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_66_Hl) = -coupl(nGC_66)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_67_Hh) = -coupl(nGC_67)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_72_Hl) = -coupl(nGC_72)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_73_Hh) = -coupl(nGC_73)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_24_Hh) = -coupl(nGC_24)*dtHh_QED1/cMHH**2d0
    coupl(nGC_5416) = -cima*dMHL2_QED2
    coupl(nGC_5418) = -cima*dMHH2_QED2
    coupl(nGC_5420) = -cima*dME_QED2
    coupl(nGC_5421) = -cima*dMM_QED2
    coupl(nGC_5422) = -cima*dMTA_QED2
    coupl(nGC_5435) = cima*dMZ2_QED2
    coupl(nGC_5436) = cima*dMW2_QED2
    coupl(nGC_7046) = coupl(nGC_41)*dZZA_QED2
    coupl(nGC_7054) = coupl(nGC_29)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_7072) = coupl(nGC_41)*dZAZ_QED2
    coupl(nGC_7375) = coupl(nGC_57)*dZZA_QED2/2d0
    coupl(nGC_7380) = coupl(nGC_61)*dZZA_QED2/2d0
    coupl(nGC_7448) = coupl(nGC_64)*dZZA_QED2/2d0
    coupl(nGC_7453) = coupl(nGC_65)*dZZA_QED2/2d0
    coupl(nGC_7459) = coupl(nGC_66)*dZZA_QED2/2d0
    coupl(nGC_7464) = coupl(nGC_67)*dZZA_QED2/2d0
    coupl(nGC_7475) = coupl(nGC_72)*dZZA_QED2/2d0
    coupl(nGC_7482) = coupl(nGC_73)*dZZA_QED2/2d0
    coupl(nGC_7489) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_7490) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_7494) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_7509) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_7510) = coupl(nGC_4)*dZmuMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_7528) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_55)*dZZA_QED2/ &
                      2d0
    coupl(nGC_7529) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_52)*dZZA_QED2/ &
                      2d0
    coupl(nGC_7541) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_7544) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_7549) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_7550) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_7554) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_7557) = coupl(nGC_51)*dZuR_QCD2
    coupl(nGC_7560) = coupl(nGC_54)*dZuL_QCD2
    coupl(nGC_7565) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_7568) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_7573) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_7574) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_7580) = coupl(nGC_51)*dZcR_QCD2
    coupl(nGC_7583) = coupl(nGC_54)*dZcL_QCD2
    coupl(nGC_7596) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_54)*dZZA_QED2/2d0
    coupl(nGC_7597) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_51)*dZZA_QED2/2d0
    coupl(nGC_7588) = coupl(nGC_2)*dZtL_QCD2
    coupl(nGC_7591) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_7603) = coupl(nGC_51)*dZtR_QCD2
    coupl(nGC_7606) = coupl(nGC_54)*dZtL_QCD2
    coupl(nGC_7619) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7620) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_7611) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_7614) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_7624) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_7627) = coupl(nGC_50)*dZdR_QCD2
    coupl(nGC_7630) = coupl(nGC_53)*dZdL_QCD2
    coupl(nGC_7635) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_7638) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_7643) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7644) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_7650) = coupl(nGC_50)*dZsR_QCD2
    coupl(nGC_7653) = coupl(nGC_53)*dZsL_QCD2
    coupl(nGC_7658) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_7661) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_7666) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_53)*dZZA_QED2/2d0
    coupl(nGC_7667) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_50)*dZZA_QED2/2d0
    coupl(nGC_7673) = coupl(nGC_50)*dZbR_QCD2
    coupl(nGC_7676) = coupl(nGC_53)*dZbL_QCD2
    coupl(nGC_7682) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_7684) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_7681) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_7683) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_7696) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_7698) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_7697) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_7699) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_7711) = coupl(nGC_11)*dZtL_QED2
    coupl(nGC_7713) = coupl(nGC_11)*dZtR_QED2
    coupl(nGC_7710) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_7712) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_7724) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_7726) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_7725) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_7727) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_7739) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_7741) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_7738) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_7740) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_7753) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_7755) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_7752) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_7754) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_7768) = coupl(nGC_33)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_7772) = coupl(nGC_33)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_7776) = coupl(nGC_33)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_7805) = coupl(nGC_56)*dZZA_QED2/2d0
    coupl(nGC_7889) = coupl(nGC_93)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7888) = coupl(nGC_93)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7903) = coupl(nGC_94)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_7904) = coupl(nGC_94)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_7910) = coupl(nGC_108)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7911) = coupl(nGC_108)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_7925) = coupl(nGC_109)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7926) = coupl(nGC_109)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_7932) = coupl(nGC_83)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7933) = coupl(nGC_83)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7947) = coupl(nGC_84)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_7948) = coupl(nGC_84)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7954) = coupl(nGC_5307) + coupl(nGC_95)*dZeMinusR_QED2/2d0 +     &
                      coupl(nGC_95)*dZnu_eL_QED2/2d0
    coupl(nGC_7957) = coupl(nGC_100)*dZmuMinusR_QED2/2d0 + coupl(nGC_100)*     &
                      dZnu_muL_QED2/2d0 + coupl(nGC_5308)
    coupl(nGC_7960) = coupl(nGC_115)*dZnu_tauL_QED2/2d0 + coupl(nGC_115)*      &
                      dZtauMinusR_QED2/2d0 + coupl(nGC_5309)
    coupl(nGC_7980) = coupl(nGC_98)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_7990) = coupl(nGC_99)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_7994) = coupl(nGC_103)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_8004) = coupl(nGC_104)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_8008) = coupl(nGC_118)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8018) = coupl(nGC_119)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8083) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8084) = coupl(nGC_123)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_8098) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8099) = coupl(nGC_124)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_8106) = coupl(nGC_88)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_8105) = coupl(nGC_88)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_8120) = coupl(nGC_89)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_8121) = coupl(nGC_89)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_8127) = coupl(nGC_113)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8128) = coupl(nGC_113)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_8142) = coupl(nGC_114)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8143) = coupl(nGC_114)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_5429) = -cima*dMD_QCD2
    coupl(nGC_8239) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_8241) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_8243) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_8245) = coupl(nGC_5429) + coupl(nGC_8239)
    coupl(nGC_8240) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_8242) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_8244) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_5431) = -cima*dMS_QCD2
    coupl(nGC_8254) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_8256) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_8258) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_8260) = coupl(nGC_5431) + coupl(nGC_8254)
    coupl(nGC_8255) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_8257) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_8259) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_5433) = -cima*dMB_QCD2
    coupl(nGC_8269) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_8271) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_8273) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_8275) = coupl(nGC_5433) + coupl(nGC_8269)
    coupl(nGC_8270) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_8272) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_8274) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_8285) = coupl(nGC_5420) + coupl(nGC_TS_GC_98_Hl) + coupl(        &
                      nGC_TS_GC_99_Hh)
    coupl(nGC_8282) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_8283) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_8284) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_8286) = coupl(nGC_8282) + coupl(nGC_8285)
    coupl(nGC_8294) = coupl(nGC_5421) + coupl(nGC_TS_GC_103_Hl) + coupl(       &
                      nGC_TS_GC_104_Hh)
    coupl(nGC_8291) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_8292) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_8293) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_8295) = coupl(nGC_8291) + coupl(nGC_8294)
    coupl(nGC_8303) = coupl(nGC_5422) + coupl(nGC_TS_GC_118_Hl) + coupl(       &
                      nGC_TS_GC_119_Hh)
    coupl(nGC_8300) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8301) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_8302) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_8304) = coupl(nGC_8300) + coupl(nGC_8303)
    coupl(nGC_5423) = -cima*dMU_QCD2
    coupl(nGC_8311) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_8313) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_8315) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_8317) = coupl(nGC_5423) + coupl(nGC_8311)
    coupl(nGC_8312) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_8314) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_8316) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_5425) = -cima*dMC_QCD2
    coupl(nGC_8326) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_8328) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_8330) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_8332) = coupl(nGC_5425) + coupl(nGC_8326)
    coupl(nGC_8327) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_8329) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_8331) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_5427) = -cima*dMT_QCD2
    coupl(nGC_8341) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_8343) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_8345) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_8347) = coupl(nGC_5427) + coupl(nGC_8341)
    coupl(nGC_8342) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
