!******************************************************************************!
!                                                                              !
!    ctparameter102.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter102.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter102
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter102()
  dZtR_QED2 = (2d0*Ten396*coupl(nGC_2)**2d0 + 2d0*Ten397*coupl(nGC_2)**2d0 +   &
              Ten400*coupl(nGC_113)**2d0 + Ten401*coupl(nGC_114)**2d0 + Ten402 &
              *(-coupl(nGC_111)*coupl(nGC_112) - 2d0*coupl(nGC_51)**2d0) -     &
              Ten403*coupl(nGC_110)**2d0 + Ten404*coupl(nGC_113)**2d0 + Ten405*&
              coupl(nGC_114)**2d0 + Ten406*cMT*rMT*(coupl(nGC_111)**2d0 + coupl&
              (nGC_112)**2d0 - 8d0*coupl(nGC_51)*coupl(nGC_54)) + 4d0*Ten407*  &
              coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT) + 2d0*Ten408*cMB*coupl(   &
              nGC_110)*coupl(nGC_80)*rMT + 2d0*Ten409*coupl(nGC_113)**2d0*rMT*(&
              cMT + rMT) + 2d0*Ten410*coupl(nGC_114)**2d0*rMT*(cMT + rMT) + 2d0&
              *Ten411*rMT**2d0*(-coupl(nGC_111)*coupl(nGC_112) - coupl(nGC_51  &
              )**2d0 - coupl(nGC_54)**2d0) + 4d0*Ten412*coupl(nGC_2)**2d0*rMT**&
              2d0 + Ten413*rMT**2d0*(-coupl(nGC_110)**2d0 - 2d0*coupl(nGC_33)**&
              2d0 - coupl(nGC_80)**2d0) + 2d0*Ten414*coupl(nGC_113)**2d0*rMT** &
              2d0 + 2d0*Ten415*coupl(nGC_114)**2d0*rMT**2d0 + pi**2d0*(-coupl( &
              nGC_2)**2d0/pi**2d0 - coupl(nGC_51)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtR_QED2 = cone*real(dZtR_QED2,kind=dp)
    end if 
end subroutine set_ctparameter102
end module ctparameter102
