!******************************************************************************!
!                                                                              !
!    ctparameter105.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter105.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter105
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter105()
  if (dZeMinusL_QED2_scheme .eq. 0) then
    dZeMinusL_QED2 = (2d0*Ten419*coupl(nGC_4)**2d0 + 2d0*Ten420*coupl(nGC_4)** &
                     2d0 + Ten424*(-2d0*coupl(nGC_55)**2d0 - coupl(nGC_96)*    &
                     coupl(nGC_97)) - Ten425*coupl(nGC_99)**2d0 - Ten426*coupl(&
                     nGC_98)**2d0 - 2d0*Ten427*coupl(nGC_33)**2d0 + Ten428*cME &
                     **2d0*(-8d0*coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_96)** &
                     2d0 + coupl(nGC_97)**2d0) + 2d0*Ten429*cME**2d0*coupl(    &
                     nGC_99)**2d0 + 2d0*Ten430*cME**2d0*coupl(nGC_98)**2d0 -   &
                     4d0*Ten431*cME**2d0*coupl(nGC_4)**2d0 + 2d0*Ten432*cME**  &
                     2d0*(-coupl(nGC_52)**2d0 - coupl(nGC_55)**2d0 - coupl(    &
                     nGC_96)*coupl(nGC_97)) - 2d0*Ten433*cME**2d0*coupl(nGC_99 &
                     )**2d0 - 2d0*Ten434*cME**2d0*coupl(nGC_98)**2d0 + 4d0*    &
                     Ten435*cME**2d0*coupl(nGC_4)**2d0 + Ten436*cME**2d0*(-2d0*&
                     coupl(nGC_33)**2d0 - coupl(nGC_95)**2d0) + pi**2d0*(-coupl&
                     (nGC_33)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0 - coupl(&
                     nGC_55)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZeMinusL_QED2 = cone*real(dZeMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter105
end module ctparameter105
