!******************************************************************************!
!                                                                              !
!    ctparameter111.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter111.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter111
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter111()
  if (dME_QED2_scheme .eq. 0) then
    dME_QED2 = (2d0*Ten419*cME*coupl(nGC_4)**2d0 - 2d0*Ten420*cME*coupl(nGC_4  &
               )**2d0 + Ten421*cME*(8d0*coupl(nGC_52)*coupl(nGC_55) - coupl(   &
               nGC_96)**2d0 - coupl(nGC_97)**2d0)/2d0 - Ten422*cME*coupl(nGC_99&
               )**2d0 - Ten423*cME*coupl(nGC_98)**2d0 + Ten424*cME*(coupl(     &
               nGC_52)**2d0 + coupl(nGC_55)**2d0 + coupl(nGC_96)*coupl(nGC_97  &
               )) + Ten425*cME*coupl(nGC_99)**2d0 + Ten426*cME*coupl(nGC_98)** &
               2d0 + Ten427*cME*(2d0*coupl(nGC_33)**2d0 + coupl(nGC_95)**2d0)/ &
               2d0 + pi**2d0*(cME*coupl(nGC_33)**2d0/(2d0*pi**2d0) - cME*coupl(&
               nGC_4)**2d0/pi**2d0 + cME*coupl(nGC_52)**2d0/(2d0*pi**2d0) - 2d0&
               *cME*coupl(nGC_52)*coupl(nGC_55)/pi**2d0 + cME*coupl(nGC_55)**  &
               2d0/(2d0*pi**2d0)))/(16d0*pi**2d0) + cima*coupl(nGC_98)*        &
               dtHl_QED1/cMHL**2d0 + cima*coupl(nGC_99)*dtHh_QED1/cMHH**2d0
    dME_QED2 = cone*real(dME_QED2,kind=dp)
  end if 
end subroutine set_ctparameter111
end module ctparameter111
