!******************************************************************************!
!                                                                              !
!    ctparameter120.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter120.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter120
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter120()
  if (dZmuMinusR_QED2_scheme .eq. 0) then
    dZmuMinusR_QED2 = (2d0*Ten438*coupl(nGC_4)**2d0 + 2d0*Ten439*coupl(nGC_4)**&
                      2d0 + Ten441*coupl(nGC_104)**2d0 + Ten442*coupl(nGC_103  &
                      )**2d0 + Ten443*(-coupl(nGC_101)*coupl(nGC_102) - 2d0*   &
                      coupl(nGC_52)**2d0) + Ten444*coupl(nGC_104)**2d0 + Ten445&
                      *coupl(nGC_103)**2d0 - Ten446*coupl(nGC_100)**2d0 +      &
                      Ten447*cMM*rMM*(coupl(nGC_101)**2d0 + coupl(nGC_102)**2d0&
                       - 8d0*coupl(nGC_52)*coupl(nGC_55)) + 4d0*Ten448*coupl(  &
                      nGC_4)**2d0*rMM*(-2d0*cMM + rMM) + 2d0*Ten449*coupl(     &
                      nGC_104)**2d0*rMM*(cMM + rMM) + 2d0*Ten450*coupl(nGC_103 &
                      )**2d0*rMM*(cMM + rMM) + 2d0*Ten451*rMM**2d0*(-coupl(    &
                      nGC_101)*coupl(nGC_102) - coupl(nGC_52)**2d0 - coupl(    &
                      nGC_55)**2d0) + 4d0*Ten452*coupl(nGC_4)**2d0*rMM**2d0 +  &
                      Ten453*rMM**2d0*(-coupl(nGC_100)**2d0 - 2d0*coupl(nGC_33 &
                      )**2d0) + 2d0*Ten454*coupl(nGC_104)**2d0*rMM**2d0 + 2d0* &
                      Ten455*coupl(nGC_103)**2d0*rMM**2d0 + pi**2d0*(-coupl(   &
                      nGC_4)**2d0/pi**2d0 - coupl(nGC_52)**2d0/pi**2d0))/(16d0*&
                      pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter120
end module ctparameter120
