!******************************************************************************!
!                                                                              !
!    ctparameter121.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter121.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter121
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter121()
  if (dZmuMinusR_QED2_scheme .eq. 1) then
    dZmuMinusR_QED2 = (2d0*Ten456*coupl(nGC_4)**2d0 + 2d0*Ten457*coupl(nGC_4)**&
                      2d0 - 2d0*Ten461*coupl(nGC_52)**2d0 - 4d0*Ten466*cMM_reg &
                      **2d0*coupl(nGC_4)**2d0 + 4d0*Ten470*cMM_reg**2d0*coupl( &
                      nGC_4)**2d0 + pi**2d0*(-coupl(nGC_4)**2d0/pi**2d0 - coupl&
                      (nGC_52)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter121
end module ctparameter121
