!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  if (dZtauMinusL_QED2_scheme .eq. 0) then
    dZtauMinusL_QED2 = (2d0*Ten474*coupl(nGC_4)**2d0 + 2d0*Ten475*coupl(nGC_4  &
                       )**2d0 + Ten477*coupl(nGC_119)**2d0 + Ten478*coupl(     &
                       nGC_118)**2d0 + Ten479*(-coupl(nGC_116)*coupl(nGC_117   &
                       ) - 2d0*coupl(nGC_55)**2d0) + Ten480*coupl(nGC_119)**2d0&
                        + Ten481*coupl(nGC_118)**2d0 - 2d0*Ten482*coupl(nGC_33 &
                       )**2d0 + Ten483*cMTA*rMTA*(coupl(nGC_116)**2d0 + coupl( &
                       nGC_117)**2d0 - 8d0*coupl(nGC_52)*coupl(nGC_55)) + 4d0* &
                       Ten484*coupl(nGC_4)**2d0*rMTA*(-2d0*cMTA + rMTA) + 2d0* &
                       Ten485*coupl(nGC_119)**2d0*rMTA*(cMTA + rMTA) + 2d0*    &
                       Ten486*coupl(nGC_118)**2d0*rMTA*(cMTA + rMTA) + 2d0*    &
                       Ten487*rMTA**2d0*(-coupl(nGC_116)*coupl(nGC_117) - coupl&
                       (nGC_52)**2d0 - coupl(nGC_55)**2d0) + 4d0*Ten488*coupl( &
                       nGC_4)**2d0*rMTA**2d0 + Ten489*rMTA**2d0*(-coupl(nGC_115&
                       )**2d0 - 2d0*coupl(nGC_33)**2d0) + 2d0*Ten490*coupl(    &
                       nGC_119)**2d0*rMTA**2d0 + 2d0*Ten491*coupl(nGC_118)**2d0&
                       *rMTA**2d0 + pi**2d0*(-coupl(nGC_33)**2d0/pi**2d0 -     &
                       coupl(nGC_4)**2d0/pi**2d0 - coupl(nGC_55)**2d0/pi**2d0  &
                       ))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter126
end module ctparameter126
