!******************************************************************************!
!                                                                              !
!    ctparameter140.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter140.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter140
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter140()
  dMW2_QED2 = (Nc*Ten10*coupl(nGC_33)**2d0*(cMD**2d0*cMW**2d0 - cMD**2d0*rMW** &
              2d0 - cMU**2d0*cMW**2d0 + cMU**2d0*rMW**2d0)/(3d0*rMW**4d0) + Nc*&
              Ten11*coupl(nGC_33)**2d0*(-cMC**2d0*cMW**2d0 + cMC**2d0*rMW**2d0 &
               + cMS**2d0*cMW**2d0 - cMS**2d0*rMW**2d0)/(3d0*rMW**4d0) + Nc*   &
              Ten12*coupl(nGC_33)**2d0*(cMB**2d0*cMW**2d0 - cMB**2d0*rMW**2d0  &
               - cMT**2d0*cMW**2d0 + cMT**2d0*rMW**2d0)/(3d0*rMW**4d0) + 2d0*Nc&
              *Ten613*coupl(nGC_33)**2d0*rMW**2d0 + 2d0*Nc*Ten614*coupl(nGC_33 &
              )**2d0*rMW**2d0 + 2d0*Nc*Ten615*coupl(nGC_33)**2d0*rMW**2d0 + 4d0&
              *Nc*Ten622*coupl(nGC_33)**2d0 + 4d0*Nc*Ten623*coupl(nGC_33)**2d0 &
               + 4d0*Nc*Ten624*coupl(nGC_33)**2d0 + 2d0*Nc*Ten629*coupl(nGC_33 &
              )**2d0*rMW**2d0 + 2d0*Nc*Ten630*coupl(nGC_33)**2d0*rMW**2d0 + 2d0&
              *Nc*Ten631*coupl(nGC_33)**2d0*rMW**2d0 + Nc*Ten635*coupl(nGC_33  &
              )**2d0*(-cMD**4d0*cMW**2d0 + cMD**4d0*rMW**2d0 + 2d0*cMD**2d0*cMU&
              **2d0*cMW**2d0 - 2d0*cMD**2d0*cMU**2d0*rMW**2d0 - cMU**4d0*cMW** &
              2d0 + cMU**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(&
              3d0*rMW**4d0) + Nc*Ten636*coupl(nGC_33)**2d0*(-cMC**4d0*cMW**2d0 &
               + cMC**4d0*rMW**2d0 + 2d0*cMC**2d0*cMS**2d0*cMW**2d0 - 2d0*cMC**&
              2d0*cMS**2d0*rMW**2d0 - cMS**4d0*cMW**2d0 + cMS**4d0*rMW**2d0 -  &
              2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten637*&
              coupl(nGC_33)**2d0*(-cMB**4d0*cMW**2d0 + cMB**4d0*rMW**2d0 + 2d0*&
              cMB**2d0*cMT**2d0*cMW**2d0 - 2d0*cMB**2d0*cMT**2d0*rMW**2d0 - cMT&
              **4d0*cMW**2d0 + cMT**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*&
              rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten643*coupl(nGC_33)**2d0*(cMD**4d0&
              *cMW**2d0 - cMD**4d0*rMW**2d0 - 2d0*cMD**2d0*cMU**2d0*cMW**2d0 + &
              2d0*cMD**2d0*cMU**2d0*rMW**2d0 + cMD**2d0*cMW**2d0*rMW**2d0 - cMD&
              **2d0*rMW**4d0 + cMU**4d0*cMW**2d0 - cMU**4d0*rMW**2d0 + cMU**2d0&
              *cMW**2d0*rMW**2d0 - cMU**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + &
              2d0*rMW**6d0)/(3d0*rMW**2d0) + Nc*Ten644*coupl(nGC_33)**2d0*(cMC &
              **4d0*cMW**2d0 - cMC**4d0*rMW**2d0 - 2d0*cMC**2d0*cMS**2d0*cMW** &
              2d0 + 2d0*cMC**2d0*cMS**2d0*rMW**2d0 + cMC**2d0*cMW**2d0*rMW**2d0&
               - cMC**2d0*rMW**4d0 + cMS**4d0*cMW**2d0 - cMS**4d0*rMW**2d0 +   &
              cMS**2d0*cMW**2d0*rMW**2d0 - cMS**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW&
              **4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Nc*Ten645*coupl(nGC_33)** &
              2d0*(cMB**4d0*cMW**2d0 - cMB**4d0*rMW**2d0 - 2d0*cMB**2d0*cMT**  &
              2d0*cMW**2d0 + 2d0*cMB**2d0*cMT**2d0*rMW**2d0 + cMB**2d0*cMW**2d0&
              *rMW**2d0 - cMB**2d0*rMW**4d0 + cMT**4d0*cMW**2d0 - cMT**4d0*rMW &
              **2d0 + cMT**2d0*cMW**2d0*rMW**2d0 - cMT**2d0*rMW**4d0 - 2d0*cMW &
              **2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Nc*Ten7*coupl(   &
              nGC_33)**2d0*(-cMD**2d0*cMW**2d0 + cMD**2d0*rMW**2d0 + cMU**2d0* &
              cMW**2d0 - cMU**2d0*rMW**2d0)/(3d0*rMW**4d0) + Nc*Ten8*coupl(    &
              nGC_33)**2d0*(cMC**2d0*cMW**2d0 - cMC**2d0*rMW**2d0 - cMS**2d0*  &
              cMW**2d0 + cMS**2d0*rMW**2d0)/(3d0*rMW**4d0) + Nc*Ten9*coupl(    &
              nGC_33)**2d0*(-cMB**2d0*cMW**2d0 + cMB**2d0*rMW**2d0 + cMT**2d0* &
              cMW**2d0 - cMT**2d0*rMW**2d0)/(3d0*rMW**4d0) + Ten0*(2d0*cMHL**  &
              2d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35) - 2d0*cMHL**2d0*coupl(  &
              nGC_34)*coupl(nGC_35)*rMW**2d0 - 2d0*cMW**4d0*coupl(nGC_34)*coupl&
              (nGC_35) + 2d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35)*rMW**2d0 -   &
              3d0*cima*coupl(nGC_28)*rMW**4d0)/(6d0*rMW**4d0) + Ten1*(-4d0*cMW &
              **4d0*coupl(nGC_32)**2d0 - cMW**4d0*coupl(nGC_36)**2d0 + 9d0*cMW &
              **4d0*coupl(nGC_37)**2d0 + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_32)** &
              2d0 + cMW**2d0*cMZ**2d0*coupl(nGC_36)**2d0 - 9d0*cMW**2d0*cMZ**  &
              2d0*coupl(nGC_37)**2d0 + 4d0*cMW**2d0*coupl(nGC_32)**2d0*rMW**2d0&
               + cMW**2d0*coupl(nGC_36)**2d0*rMW**2d0 - 9d0*cMW**2d0*coupl(    &
              nGC_37)**2d0*rMW**2d0 - 4d0*cMZ**2d0*coupl(nGC_32)**2d0*rMW**2d0 &
               - cMZ**2d0*coupl(nGC_36)**2d0*rMW**2d0 + 9d0*cMZ**2d0*coupl(    &
              nGC_37)**2d0*rMW**2d0 - 6d0*cima*coupl(nGC_26)*rMW**4d0 - 36d0*  &
              cima*coupl(nGC_29)*rMW**4d0)/(12d0*rMW**4d0) + Ten2*(2d0*cMHH**  &
              2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47) - 2d0*cMHH**2d0*coupl(  &
              nGC_46)*coupl(nGC_47)*rMW**2d0 - 2d0*cMW**4d0*coupl(nGC_46)*coupl&
              (nGC_47) + 2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47)*rMW**2d0 -   &
              3d0*cima*coupl(nGC_31)*rMW**4d0)/(6d0*rMW**4d0) + Ten3*(-4d0*cMHH&
              **2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47) + 4d0*cMHH**2d0*coupl(&
              nGC_46)*coupl(nGC_47)*rMW**2d0 - 4d0*cMHL**2d0*cMW**2d0*coupl(   &
              nGC_34)*coupl(nGC_35) + 4d0*cMHL**2d0*coupl(nGC_34)*coupl(nGC_35 &
              )*rMW**2d0 - 9d0*cMW**4d0*coupl(nGC_3)**2d0 + 4d0*cMW**4d0*coupl(&
              nGC_32)**2d0 + 4d0*cMW**4d0*coupl(nGC_34)*coupl(nGC_35) + cMW**  &
              4d0*coupl(nGC_36)**2d0 - 9d0*cMW**4d0*coupl(nGC_37)**2d0 + cMW** &
              4d0*coupl(nGC_4)**2d0 + 4d0*cMW**4d0*coupl(nGC_46)*coupl(nGC_47  &
              ) - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_32)**2d0 - cMW**2d0*cMZ**2d0*&
              coupl(nGC_36)**2d0 + 9d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)**2d0 +  &
              9d0*cMW**2d0*coupl(nGC_3)**2d0*rMW**2d0 - 4d0*cMW**2d0*coupl(    &
              nGC_32)**2d0*rMW**2d0 - 4d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35)*&
              rMW**2d0 - cMW**2d0*coupl(nGC_36)**2d0*rMW**2d0 + 9d0*cMW**2d0*  &
              coupl(nGC_37)**2d0*rMW**2d0 - cMW**2d0*coupl(nGC_4)**2d0*rMW**2d0&
               - 4d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47)*rMW**2d0 + 4d0*cMZ** &
              2d0*coupl(nGC_32)**2d0*rMW**2d0 + cMZ**2d0*coupl(nGC_36)**2d0*rMW&
              **2d0 - 9d0*cMZ**2d0*coupl(nGC_37)**2d0*rMW**2d0 - 12d0*cima*    &
              coupl(nGC_26)*rMW**4d0 + 36d0*cima*coupl(nGC_27)*rMW**4d0)/(12d0*&
              rMW**4d0) + Ten4*cME**2d0*coupl(nGC_33)**2d0*(cMW**2d0 - rMW**2d0&
              )/(3d0*rMW**4d0) + Ten5*cMM**2d0*coupl(nGC_33)**2d0*(cMW**2d0 -  &
              rMW**2d0)/(3d0*rMW**4d0) + Ten6*cMTA**2d0*coupl(nGC_33)**2d0*(cMW&
              **2d0 - rMW**2d0)/(3d0*rMW**4d0) + Ten601*(-4d0*cME**2d0*cMW**2d0&
              *coupl(nGC_33)**2d0 + 4d0*cME**2d0*coupl(nGC_33)**2d0*rMW**2d0 - &
              4d0*cMM**2d0*cMW**2d0*coupl(nGC_33)**2d0 + 4d0*cMM**2d0*coupl(   &
              nGC_33)**2d0*rMW**2d0 - 4d0*cMTA**2d0*cMW**2d0*coupl(nGC_33)**2d0&
               + 4d0*cMTA**2d0*coupl(nGC_33)**2d0*rMW**2d0 + 9d0*cMW**4d0*coupl&
              (nGC_3)**2d0 - cMW**4d0*coupl(nGC_4)**2d0 - 9d0*cMW**2d0*coupl(  &
              nGC_3)**2d0*rMW**2d0 + cMW**2d0*coupl(nGC_4)**2d0*rMW**2d0 - 36d0&
              *cima*coupl(nGC_5)*rMW**4d0)/(12d0*rMW**4d0) + Ten602*(9d0*cMW** &
              6d0*coupl(nGC_3)**2d0 - cMW**6d0*coupl(nGC_4)**2d0 - 9d0*cMW**4d0&
              *coupl(nGC_3)**2d0*rMW**2d0 + cMW**4d0*coupl(nGC_4)**2d0*rMW**2d0&
               + 39d0*cMW**2d0*coupl(nGC_3)**2d0*rMW**4d0 + cMW**2d0*coupl(    &
              nGC_4)**2d0*rMW**4d0 + 21d0*coupl(nGC_3)**2d0*rMW**6d0 - coupl(  &
              nGC_4)**2d0*rMW**6d0 - 12d0*coupl(nGC_71)**2d0*rMW**4d0)/(12d0*  &
              rMW**4d0) + 2d0*Ten603*coupl(nGC_3)**2d0*rMW**2d0 + Ten604*(17d0*&
              coupl(nGC_3)**2d0 - coupl(nGC_4)**2d0) + 2d0*Ten605*coupl(nGC_3  &
              )**2d0*rMW**2d0 + Ten606*(-4d0*cMW**6d0*coupl(nGC_32)**2d0 - cMW &
              **6d0*coupl(nGC_36)**2d0 + 9d0*cMW**6d0*coupl(nGC_37)**2d0 + 8d0*&
              cMW**4d0*cMZ**2d0*coupl(nGC_32)**2d0 + 2d0*cMW**4d0*cMZ**2d0*    &
              coupl(nGC_36)**2d0 - 18d0*cMW**4d0*cMZ**2d0*coupl(nGC_37)**2d0 + &
              4d0*cMW**4d0*coupl(nGC_32)**2d0*rMW**2d0 + cMW**4d0*coupl(nGC_36 &
              )**2d0*rMW**2d0 - 9d0*cMW**4d0*coupl(nGC_37)**2d0*rMW**2d0 - 4d0*&
              cMW**2d0*cMZ**4d0*coupl(nGC_32)**2d0 - cMW**2d0*cMZ**4d0*coupl(  &
              nGC_36)**2d0 + 9d0*cMW**2d0*cMZ**4d0*coupl(nGC_37)**2d0 - 8d0*cMW&
              **2d0*cMZ**2d0*coupl(nGC_32)**2d0*rMW**2d0 - 2d0*cMW**2d0*cMZ**  &
              2d0*coupl(nGC_36)**2d0*rMW**2d0 + 18d0*cMW**2d0*cMZ**2d0*coupl(  &
              nGC_37)**2d0*rMW**2d0 + 4d0*cMW**2d0*coupl(nGC_32)**2d0*rMW**4d0 &
               + cMW**2d0*coupl(nGC_36)**2d0*rMW**4d0 + 39d0*cMW**2d0*coupl(   &
              nGC_37)**2d0*rMW**4d0 + 4d0*cMZ**4d0*coupl(nGC_32)**2d0*rMW**2d0 &
               + cMZ**4d0*coupl(nGC_36)**2d0*rMW**2d0 - 9d0*cMZ**4d0*coupl(    &
              nGC_37)**2d0*rMW**2d0 - 4d0*coupl(nGC_32)**2d0*rMW**6d0 - coupl( &
              nGC_36)**2d0*rMW**6d0 + 21d0*coupl(nGC_37)**2d0*rMW**6d0 - 12d0* &
              coupl(nGC_68)**2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten607*(-cMHL**4d0&
              *cMW**2d0*coupl(nGC_34)*coupl(nGC_35) + cMHL**4d0*coupl(nGC_34)* &
              coupl(nGC_35)*rMW**2d0 + 2d0*cMHL**2d0*cMW**4d0*coupl(nGC_34)*   &
              coupl(nGC_35) - 2d0*cMHL**2d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_35&
              )*rMW**2d0 - cMW**6d0*coupl(nGC_34)*coupl(nGC_35) + cMW**4d0*    &
              coupl(nGC_34)*coupl(nGC_35)*rMW**2d0 + cMW**2d0*coupl(nGC_34)*   &
              coupl(nGC_35)*rMW**4d0 - coupl(nGC_34)*coupl(nGC_35)*rMW**6d0 -  &
              3d0*coupl(nGC_69)**2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten608*(-cMHH**&
              4d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47) + cMHH**4d0*coupl(nGC_46&
              )*coupl(nGC_47)*rMW**2d0 + 2d0*cMHH**2d0*cMW**4d0*coupl(nGC_46)* &
              coupl(nGC_47) - 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47&
              )*rMW**2d0 - cMW**6d0*coupl(nGC_46)*coupl(nGC_47) + cMW**4d0*    &
              coupl(nGC_46)*coupl(nGC_47)*rMW**2d0 + cMW**2d0*coupl(nGC_46)*   &
              coupl(nGC_47)*rMW**4d0 - coupl(nGC_46)*coupl(nGC_47)*rMW**6d0 -  &
              3d0*coupl(nGC_70)**2d0*rMW**4d0)/(3d0*rMW**4d0) + 2d0*Ten609*    &
              coupl(nGC_37)**2d0*rMW**2d0 + 2d0*Ten610*coupl(nGC_33)**2d0*rMW**&
              2d0 + 2d0*Ten611*coupl(nGC_33)**2d0*rMW**2d0 + 2d0*Ten612*coupl( &
              nGC_33)**2d0*rMW**2d0 + Ten616*(-4d0*coupl(nGC_32)**2d0 - coupl( &
              nGC_36)**2d0 + 17d0*coupl(nGC_37)**2d0) + 4d0*Ten617*coupl(nGC_33&
              )**2d0 + 4d0*Ten618*coupl(nGC_33)**2d0 + 4d0*Ten619*coupl(nGC_33 &
              )**2d0 - 4d0*Ten620*coupl(nGC_34)*coupl(nGC_35) - 4d0*Ten621*    &
              coupl(nGC_46)*coupl(nGC_47) + 2d0*Ten625*coupl(nGC_37)**2d0*rMW**&
              2d0 + 2d0*Ten626*coupl(nGC_33)**2d0*rMW**2d0 + 2d0*Ten627*coupl( &
              nGC_33)**2d0*rMW**2d0 + 2d0*Ten628*coupl(nGC_33)**2d0*rMW**2d0 + &
              Ten632*coupl(nGC_33)**2d0*(-cME**4d0*cMW**2d0 + cME**4d0*rMW**2d0&
               - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten633*&
              coupl(nGC_33)**2d0*(-cMM**4d0*cMW**2d0 + cMM**4d0*rMW**2d0 - 2d0*&
              cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten634*coupl( &
              nGC_33)**2d0*(-cMTA**4d0*cMW**2d0 + cMTA**4d0*rMW**2d0 - 2d0*cMW &
              **2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Ten638*(4d0*cMW**&
              6d0*coupl(nGC_32)**2d0 + cMW**6d0*coupl(nGC_36)**2d0 - 9d0*cMW** &
              6d0*coupl(nGC_37)**2d0 - 8d0*cMW**4d0*cMZ**2d0*coupl(nGC_32)**2d0&
               - 2d0*cMW**4d0*cMZ**2d0*coupl(nGC_36)**2d0 + 18d0*cMW**4d0*cMZ**&
              2d0*coupl(nGC_37)**2d0 - 12d0*cMW**4d0*coupl(nGC_32)**2d0*rMW**  &
              2d0 - 3d0*cMW**4d0*coupl(nGC_36)**2d0*rMW**2d0 + 39d0*cMW**4d0*  &
              coupl(nGC_37)**2d0*rMW**2d0 + 4d0*cMW**2d0*cMZ**4d0*coupl(nGC_32 &
              )**2d0 + cMW**2d0*cMZ**4d0*coupl(nGC_36)**2d0 - 9d0*cMW**2d0*cMZ &
              **4d0*coupl(nGC_37)**2d0 + 12d0*cMW**2d0*cMZ**2d0*coupl(nGC_37)**&
              2d0*rMW**2d0 + 12d0*cMW**2d0*coupl(nGC_32)**2d0*rMW**4d0 + 3d0*  &
              cMW**2d0*coupl(nGC_36)**2d0*rMW**4d0 + 9d0*cMW**2d0*coupl(nGC_37 &
              )**2d0*rMW**4d0 - 12d0*cMW**2d0*coupl(nGC_68)**2d0*rMW**2d0 - 4d0&
              *cMZ**4d0*coupl(nGC_32)**2d0*rMW**2d0 - cMZ**4d0*coupl(nGC_36)** &
              2d0*rMW**2d0 + 9d0*cMZ**4d0*coupl(nGC_37)**2d0*rMW**2d0 + 8d0*cMZ&
              **2d0*coupl(nGC_32)**2d0*rMW**4d0 + 2d0*cMZ**2d0*coupl(nGC_36)** &
              2d0*rMW**4d0 - 30d0*cMZ**2d0*coupl(nGC_37)**2d0*rMW**4d0 - 4d0*  &
              coupl(nGC_32)**2d0*rMW**6d0 - coupl(nGC_36)**2d0*rMW**6d0 - 39d0*&
              coupl(nGC_37)**2d0*rMW**6d0 + 12d0*coupl(nGC_68)**2d0*rMW**4d0)/(&
              12d0*rMW**2d0) + Ten639*(-9d0*cMW**6d0*coupl(nGC_3)**2d0 + cMW** &
              6d0*coupl(nGC_4)**2d0 + 39d0*cMW**4d0*coupl(nGC_3)**2d0*rMW**2d0 &
               - 3d0*cMW**4d0*coupl(nGC_4)**2d0*rMW**2d0 + 9d0*cMW**2d0*coupl( &
              nGC_3)**2d0*rMW**4d0 + 3d0*cMW**2d0*coupl(nGC_4)**2d0*rMW**4d0 - &
              12d0*cMW**2d0*coupl(nGC_71)**2d0*rMW**2d0 - 39d0*coupl(nGC_3)**  &
              2d0*rMW**6d0 - coupl(nGC_4)**2d0*rMW**6d0 + 12d0*coupl(nGC_71)** &
              2d0*rMW**4d0)/(12d0*rMW**2d0) + Ten640*coupl(nGC_33)**2d0*(cME** &
              4d0*cMW**2d0 - cME**4d0*rMW**2d0 + cME**2d0*cMW**2d0*rMW**2d0 -  &
              cME**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*  &
              rMW**2d0) + Ten641*coupl(nGC_33)**2d0*(cMM**4d0*cMW**2d0 - cMM** &
              4d0*rMW**2d0 + cMM**2d0*cMW**2d0*rMW**2d0 - cMM**2d0*rMW**4d0 -  &
              2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Ten642*   &
              coupl(nGC_33)**2d0*(cMTA**4d0*cMW**2d0 - cMTA**4d0*rMW**2d0 +    &
              cMTA**2d0*cMW**2d0*rMW**2d0 - cMTA**2d0*rMW**4d0 - 2d0*cMW**2d0* &
              rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) + Ten646*(cMHL**4d0*cMW**&
              2d0*coupl(nGC_34)*coupl(nGC_35) - cMHL**4d0*coupl(nGC_34)*coupl( &
              nGC_35)*rMW**2d0 - 2d0*cMHL**2d0*cMW**4d0*coupl(nGC_34)*coupl(   &
              nGC_35) + 2d0*cMHL**2d0*coupl(nGC_34)*coupl(nGC_35)*rMW**4d0 +   &
              cMW**6d0*coupl(nGC_34)*coupl(nGC_35) - 3d0*cMW**4d0*coupl(nGC_34 &
              )*coupl(nGC_35)*rMW**2d0 + 3d0*cMW**2d0*coupl(nGC_34)*coupl(     &
              nGC_35)*rMW**4d0 - 3d0*cMW**2d0*coupl(nGC_69)**2d0*rMW**2d0 -    &
              coupl(nGC_34)*coupl(nGC_35)*rMW**6d0 + 3d0*coupl(nGC_69)**2d0*rMW&
              **4d0)/(3d0*rMW**2d0) + Ten647*(cMHH**4d0*cMW**2d0*coupl(nGC_46)*&
              coupl(nGC_47) - cMHH**4d0*coupl(nGC_46)*coupl(nGC_47)*rMW**2d0 - &
              2d0*cMHH**2d0*cMW**4d0*coupl(nGC_46)*coupl(nGC_47) + 2d0*cMHH**  &
              2d0*coupl(nGC_46)*coupl(nGC_47)*rMW**4d0 + cMW**6d0*coupl(nGC_46 &
              )*coupl(nGC_47) - 3d0*cMW**4d0*coupl(nGC_46)*coupl(nGC_47)*rMW** &
              2d0 + 3d0*cMW**2d0*coupl(nGC_46)*coupl(nGC_47)*rMW**4d0 - 3d0*cMW&
              **2d0*coupl(nGC_70)**2d0*rMW**2d0 - coupl(nGC_46)*coupl(nGC_47)* &
              rMW**6d0 + 3d0*coupl(nGC_70)**2d0*rMW**4d0)/(3d0*rMW**2d0) + pi**&
              2d0*(-Nc*cMB**2d0*coupl(nGC_33)**2d0/pi**2d0 - Nc*cMC**2d0*coupl(&
              nGC_33)**2d0/pi**2d0 - Nc*cMD**2d0*coupl(nGC_33)**2d0/pi**2d0 -  &
              Nc*cMS**2d0*coupl(nGC_33)**2d0/pi**2d0 - Nc*cMT**2d0*coupl(nGC_33&
              )**2d0/pi**2d0 - Nc*cMU**2d0*coupl(nGC_33)**2d0/pi**2d0 + 2d0*Nc*&
              cMW**2d0*coupl(nGC_33)**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_33)**2d0&
              *rMW**2d0/(3d0*pi**2d0) - 16d0*aEW*cMW**2d0/pi + 16d0*aEW*rMW**  &
              2d0/pi - cME**2d0*coupl(nGC_33)**2d0/pi**2d0 - cMM**2d0*coupl(   &
              nGC_33)**2d0/pi**2d0 - cMTA**2d0*coupl(nGC_33)**2d0/pi**2d0 - 2d0&
              *cima*cMW**2d0*coupl(nGC_27)/pi**2d0 - 17d0*cMW**2d0*coupl(nGC_3 &
              )**2d0/(6d0*pi**2d0) + 2d0*cMW**2d0*coupl(nGC_32)**2d0/(9d0*pi** &
              2d0) + 2d0*cMW**2d0*coupl(nGC_33)**2d0/(3d0*pi**2d0) + 2d0*cMW** &
              2d0*coupl(nGC_34)*coupl(nGC_35)/(9d0*pi**2d0) + cMW**2d0*coupl(  &
              nGC_36)**2d0/(18d0*pi**2d0) - 17d0*cMW**2d0*coupl(nGC_37)**2d0/( &
              6d0*pi**2d0) + cMW**2d0*coupl(nGC_4)**2d0/(18d0*pi**2d0) + 2d0*  &
              cMW**2d0*coupl(nGC_46)*coupl(nGC_47)/(9d0*pi**2d0) + 2d0*cima*cMZ&
              **2d0*coupl(nGC_29)/pi**2d0 - 3d0*cMZ**2d0*coupl(nGC_37)**2d0/pi &
              **2d0 + 5d0*coupl(nGC_3)**2d0*rMW**2d0/(6d0*pi**2d0) - 2d0*coupl(&
              nGC_32)**2d0*rMW**2d0/(9d0*pi**2d0) + coupl(nGC_33)**2d0*rMW**2d0&
              /(3d0*pi**2d0) - 2d0*coupl(nGC_34)*coupl(nGC_35)*rMW**2d0/(9d0*pi&
              **2d0) - coupl(nGC_36)**2d0*rMW**2d0/(18d0*pi**2d0) + 5d0*coupl( &
              nGC_37)**2d0*rMW**2d0/(6d0*pi**2d0) - coupl(nGC_4)**2d0*rMW**2d0 &
              /(18d0*pi**2d0) - 2d0*coupl(nGC_46)*coupl(nGC_47)*rMW**2d0/(9d0* &
              pi**2d0)))/(16d0*pi**2d0) - cima*coupl(nGC_69)*dtHl_QED1/cMHL**  &
              2d0 - cima*coupl(nGC_70)*dtHh_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMW2_QED2 = cone*real(dMW2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter140
end module ctparameter140
