!******************************************************************************!
!                                                                              !
!    ctparameter66.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter66.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter66
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter66()
  if (dMS_QCD2_scheme .eq. 0) then
    dMS_QCD2 = (pi**2d0*(-Nc*cMS*coupl(nGC_11)**2d0/(2d0*pi**2d0) + cMS*coupl( &
               nGC_11)**2d0/(2d0*pi**2d0*Nc)) + Ten332*cMS*coupl(nGC_11)**2d0*(&
               Nc**2d0 - 1d0)/Nc + Ten333*cMS*coupl(nGC_11)**2d0*(1d0 - Nc**2d0&
               )/Nc)/(16d0*pi**2d0)
    dMS_QCD2 = cone*real(dMS_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter66
end module ctparameter66
