!******************************************************************************!
!                                                                              !
!    ctparameter88.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter88.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter88
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter88()
  if (dZbL_QED2_scheme .eq. 1) then
    dZbL_QED2 = (2d0*Ten374*coupl(nGC_1)**2d0 + 2d0*Ten375*coupl(nGC_1)**2d0 - &
                2d0*Ten380*coupl(nGC_53)**2d0 + Ten383*(-coupl(nGC_110)**2d0 - &
                2d0*coupl(nGC_33)**2d0) - 4d0*Ten387*cMB_reg**2d0*coupl(nGC_1  &
                )**2d0 + 4d0*Ten392*cMB_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-&
                coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_33)**2d0/pi**2d0 - coupl(&
                nGC_53)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter88
end module ctparameter88
