!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 23.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2020-07-29 17:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_8344) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_8346) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_8352) = coupl(nGC_TS_GC_74_Hh) + coupl(nGC_TS_GC_75_Hl)
    coupl(nGC_8360) = coupl(nGC_5416) + coupl(nGC_MHL)*dZHl_QED2 + coupl(      &
                      nGC_TS_GC_76_Hh) + coupl(nGC_TS_GC_78_Hl)
    coupl(nGC_8359) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_8366) = coupl(nGC_5418) + coupl(nGC_MHH)*dZHh_QED2 + coupl(      &
                      nGC_TS_GC_77_Hh) + coupl(nGC_TS_GC_79_Hl)
    coupl(nGC_8365) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_8373) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*         &
                      dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_76_Hl) + coupl(        &
                      nGC_TS_GC_79_Hh)
    coupl(nGC_8371) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_8372) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_8378) = coupl(nGC_TS_GC_35_Hl) + coupl(nGC_TS_GC_47_Hh)
    coupl(nGC_8384) = coupl(nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
    coupl(nGC_8391) = coupl(nGC_5436) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(   &
                      nGC_TS_GC_69_Hl) + coupl(nGC_TS_GC_70_Hh)
    coupl(nGC_8390) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_8392) = -coupl(nGC_8390)
    coupl(nGC_8397) = coupl(nGC_TS_GC_57_Hl) + coupl(nGC_TS_GC_61_Hh)
    coupl(nGC_8404) = coupl(nGC_5435) + coupl(nGC_MZ)*dZZ_QED2 + coupl(        &
                      nGC_TS_GC_72_Hl) + coupl(nGC_TS_GC_73_Hh)
    coupl(nGC_8403) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_8405) = -coupl(nGC_8403)
    coupl(nGC_8412) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_8413) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_8414) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_8415) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_8416) = -coupl(nGC_8415)
    coupl(nGC_8417) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_8418) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_8419) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_8428) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_8429) = -coupl(nGC_8428)
    coupl(nGC_8431) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_10575) = -coupl(nGC_7375)
    coupl(nGC_10597) = -coupl(nGC_7380)
    coupl(nGC_4834) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMC**  &
                      2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_33)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_33)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_33)**2d0 + 2d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_33)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_33&
                      )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_33)**2d0 + 2d0*cMTA &
                      **2d0*cima*coupl(nGC_33)**2d0 + 3d0*cMW**2d0*cima*coupl( &
                      nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_37)**2d0 + 3d0*&
                      cMW**2d0*cima*coupl(nGC_809)**2d0 + 3d0*cMW**2d0*cima*   &
                      coupl(nGC_825)**2d0 - 4d0*cMW**2d0*coupl(nGC_27) + 3d0*  &
                      cMZ**2d0*cima*coupl(nGC_37)**2d0 + 3d0*cMZ**2d0*cima*    &
                      coupl(nGC_825)**2d0 - 2d0*cMZ**2d0*coupl(nGC_457))/(32d0*&
                      pi**2d0)
    coupl(nGC_4835) = cima*(-2d0*Nc*coupl(nGC_33)**2d0 - coupl(nGC_3)**2d0 -   &
                      2d0*coupl(nGC_33)**2d0 - coupl(nGC_37)**2d0 - coupl(     &
                      nGC_809)**2d0 - coupl(nGC_825)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4836) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_37)**2d0 + coupl(    &
                      nGC_809)**2d0 + coupl(nGC_825)**2d0)/(48d0*pi**2d0)
    coupl(nGC_4837) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_83)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_93)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_108)**2d0  &
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_113)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_123)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_98)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_103)**2d0 -   &
                      4d0*cMTA**2d0*cima*coupl(nGC_118)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1405)*coupl(nGC_34) - cMW**2d0*cima*coupl(     &
                      nGC_1587)*coupl(nGC_35) - 2d0*cMW**2d0*coupl(nGC_28) -   &
                      cMZ**2d0*cima*coupl(nGC_1835)*coupl(nGC_57) - cMZ**2d0*  &
                      coupl(nGC_65) + 2d0*cima*coupl(nGC_69)**2d0 + cima*coupl(&
                      nGC_72)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4838) = cima*(4d0*Nc*coupl(nGC_108)**2d0 + 4d0*Nc*coupl(nGC_113  &
                      )**2d0 + 4d0*Nc*coupl(nGC_123)**2d0 + 4d0*Nc*coupl(nGC_83&
                      )**2d0 + 4d0*Nc*coupl(nGC_88)**2d0 + 4d0*Nc*coupl(nGC_93 &
                      )**2d0 + 4d0*coupl(nGC_103)**2d0 + 4d0*coupl(nGC_118)**  &
                      2d0 + coupl(nGC_1405)*coupl(nGC_34) + coupl(nGC_1587)*   &
                      coupl(nGC_35) + coupl(nGC_1835)*coupl(nGC_57) + 4d0*coupl&
                      (nGC_98)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4839) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3  &
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_809)**2d0 - 2d0*cMW &
                      **2d0*coupl(nGC_443))/(16d0*pi**2d0)
    coupl(nGC_4840) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - 4d0*coupl(nGC_4)**2d0 - coupl( &
                      nGC_809)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4841) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_809)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_4842) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_83)*coupl(nGC_84) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_88)*coupl(nGC_89) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_93)*coupl(nGC_94) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_108)*coupl(nGC_109) - 8d0*Nc*cMT**2d0*cima&
                      *coupl(nGC_113)*coupl(nGC_114) - 8d0*Nc*cMU**2d0*cima*   &
                      coupl(nGC_123)*coupl(nGC_124) - 8d0*cME**2d0*cima*coupl( &
                      nGC_98)*coupl(nGC_99) - 8d0*cMM**2d0*cima*coupl(nGC_103)*&
                      coupl(nGC_104) - 8d0*cMTA**2d0*cima*coupl(nGC_118)*coupl(&
                      nGC_119) - cMW**2d0*cima*coupl(nGC_1405)*coupl(nGC_46) - &
                      cMW**2d0*cima*coupl(nGC_1419)*coupl(nGC_34) - cMW**2d0*  &
                      cima*coupl(nGC_1587)*coupl(nGC_47) - cMW**2d0*cima*coupl(&
                      nGC_1599)*coupl(nGC_35) - 4d0*cMW**2d0*coupl(nGC_30) -   &
                      cMZ**2d0*cima*coupl(nGC_1835)*coupl(nGC_61) - cMZ**2d0*  &
                      cima*coupl(nGC_1847)*coupl(nGC_57) - 2d0*cMZ**2d0*coupl( &
                      nGC_66) + 4d0*cima*coupl(nGC_69)*coupl(nGC_70) + 2d0*cima&
                      *coupl(nGC_72)*coupl(nGC_73))/(32d0*pi**2d0)
    coupl(nGC_4843) = cima*(8d0*Nc*coupl(nGC_108)*coupl(nGC_109) + 8d0*Nc*coupl&
                      (nGC_113)*coupl(nGC_114) + 8d0*Nc*coupl(nGC_123)*coupl(  &
                      nGC_124) + 8d0*Nc*coupl(nGC_83)*coupl(nGC_84) + 8d0*Nc*  &
                      coupl(nGC_88)*coupl(nGC_89) + 8d0*Nc*coupl(nGC_93)*coupl(&
                      nGC_94) + 8d0*coupl(nGC_103)*coupl(nGC_104) + 8d0*coupl( &
                      nGC_118)*coupl(nGC_119) + coupl(nGC_1405)*coupl(nGC_46   &
                      ) + coupl(nGC_1419)*coupl(nGC_34) + coupl(nGC_1587)*coupl&
                      (nGC_47) + coupl(nGC_1599)*coupl(nGC_35) + coupl(nGC_1835&
                      )*coupl(nGC_61) + coupl(nGC_1847)*coupl(nGC_57) + 8d0*   &
                      coupl(nGC_98)*coupl(nGC_99))/(192d0*pi**2d0)
    coupl(nGC_4844) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_81)*coupl(nGC_82) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_86)*coupl(nGC_87) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_91)*coupl(nGC_92) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_106)*coupl(nGC_107) - 8d0*Nc*cMT**2d0*cima&
                      *coupl(nGC_111)*coupl(nGC_112) - 8d0*Nc*cMU**2d0*cima*   &
                      coupl(nGC_121)*coupl(nGC_122) - 8d0*cME**2d0*cima*coupl( &
                      nGC_96)*coupl(nGC_97) - cMHH**2d0*cima*coupl(nGC_1847)*  &
                      coupl(nGC_61) - cMHL**2d0*cima*coupl(nGC_1835)*coupl(    &
                      nGC_57) - 8d0*cMM**2d0*cima*coupl(nGC_101)*coupl(nGC_102 &
                      ) - 8d0*cMTA**2d0*cima*coupl(nGC_116)*coupl(nGC_117) -   &
                      4d0*cMW**2d0*cima*coupl(nGC_1393)*coupl(nGC_32) - 4d0*cMW&
                      **2d0*coupl(nGC_26) - cMZ**2d0*cima*coupl(nGC_1835)*coupl&
                      (nGC_57) - cMZ**2d0*cima*coupl(nGC_1847)*coupl(nGC_61) - &
                      2d0*cMZ**2d0*coupl(nGC_64))/(32d0*pi**2d0)
    coupl(nGC_4845) = cima*(4d0*Nc*coupl(nGC_106)*coupl(nGC_107) + 4d0*Nc*coupl&
                      (nGC_111)*coupl(nGC_112) + 4d0*Nc*coupl(nGC_121)*coupl(  &
                      nGC_122) + 4d0*Nc*coupl(nGC_81)*coupl(nGC_82) + 4d0*Nc*  &
                      coupl(nGC_86)*coupl(nGC_87) + 4d0*Nc*coupl(nGC_91)*coupl(&
                      nGC_92) + 4d0*coupl(nGC_101)*coupl(nGC_102) + 4d0*coupl( &
                      nGC_116)*coupl(nGC_117) + 2d0*coupl(nGC_1393)*coupl(     &
                      nGC_32) + coupl(nGC_1835)*coupl(nGC_57) + coupl(nGC_1847 &
                      )*coupl(nGC_61) + 4d0*coupl(nGC_96)*coupl(nGC_97))/(96d0*&
                      pi**2d0)
    coupl(nGC_4846) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_110)**2d0 - 4d0*Nc*cMB**&
                      2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_105)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_85)**2d0  &
                       - 4d0*Nc*cMD**2d0*cima*coupl(nGC_120)**2d0 - 4d0*Nc*cMD &
                      **2d0*cima*coupl(nGC_90)**2d0 - 4d0*Nc*cMS**2d0*cima*    &
                      coupl(nGC_105)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_85  &
                      )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_110)**2d0 - 4d0* &
                      Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 - 4d0*Nc*cMU**2d0*   &
                      cima*coupl(nGC_120)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_90)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_95)**2d0 -    &
                      cMHH**2d0*cima*coupl(nGC_1419)*coupl(nGC_46) - cMHH**2d0*&
                      cima*coupl(nGC_1599)*coupl(nGC_47) - cMHL**2d0*cima*coupl&
                      (nGC_1405)*coupl(nGC_34) - cMHL**2d0*cima*coupl(nGC_1587 &
                      )*coupl(nGC_35) - 4d0*cMM**2d0*cima*coupl(nGC_100)**2d0  &
                       - 4d0*cMTA**2d0*cima*coupl(nGC_115)**2d0 - 2d0*cMW**2d0*&
                      cima*coupl(nGC_1393)*coupl(nGC_32) - cMW**2d0*cima*coupl(&
                      nGC_1405)*coupl(nGC_34) - cMW**2d0*cima*coupl(nGC_1419)* &
                      coupl(nGC_46) - cMW**2d0*cima*coupl(nGC_1587)*coupl(     &
                      nGC_35) - cMW**2d0*cima*coupl(nGC_1599)*coupl(nGC_47) -  &
                      cMW**2d0*cima*coupl(nGC_1861)**2d0 - cMW**2d0*cima*coupl(&
                      nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_55)**2d0 - cMW**2d0&
                      *cima*coupl(nGC_805)**2d0 - 8d0*cMW**2d0*coupl(nGC_26) - &
                      2d0*cMZ**2d0*cima*coupl(nGC_1393)*coupl(nGC_32) - cMZ**  &
                      2d0*cima*coupl(nGC_1861)**2d0 - cMZ**2d0*cima*coupl(     &
                      nGC_55)**2d0 - 4d0*cMZ**2d0*coupl(nGC_63) + 8d0*cima*    &
                      coupl(nGC_68)**2d0 + 8d0*cima*coupl(nGC_71)**2d0)/(64d0* &
                      pi**2d0)
    coupl(nGC_4847) = cima*(4d0*Nc*coupl(nGC_105)**2d0 + 4d0*Nc*coupl(nGC_110  &
                      )**2d0 + 4d0*Nc*coupl(nGC_120)**2d0 + 4d0*Nc*coupl(nGC_80&
                      )**2d0 + 4d0*Nc*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_90 &
                      )**2d0 + 4d0*coupl(nGC_100)**2d0 + 4d0*coupl(nGC_115)**  &
                      2d0 + 2d0*coupl(nGC_1393)*coupl(nGC_32) + coupl(nGC_1405 &
                      )*coupl(nGC_34) + coupl(nGC_1419)*coupl(nGC_46) + coupl( &
                      nGC_1587)*coupl(nGC_35) + coupl(nGC_1599)*coupl(nGC_47   &
                      ) + coupl(nGC_1861)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_55)**2d0 + coupl(nGC_805)**2d0 + 4d0*coupl(nGC_95)** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_4848) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_53) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_50) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_53) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_50) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_53) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_51 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_51) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_54) + 2d0*cME**2d0*cima&
                      *coupl(nGC_4)*coupl(nGC_52) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_55) + 2d0*cMM**2d0*cima*coupl(nGC_4)*   &
                      coupl(nGC_52) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_55) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_52   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_55) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_3)*coupl(nGC_37) + 3d0*cMW**2d0* &
                      cima*coupl(nGC_809)*coupl(nGC_825) - 2d0*cMW**2d0*coupl( &
                      nGC_41))/(16d0*pi**2d0)
    coupl(nGC_4849) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_50) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_53) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_51  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_54) - coupl(nGC_3)*    &
                      coupl(nGC_37) - 2d0*coupl(nGC_4)*coupl(nGC_52) - 2d0*    &
                      coupl(nGC_4)*coupl(nGC_55) - coupl(nGC_809)*coupl(nGC_825&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4850) = cima*(coupl(nGC_3)*coupl(nGC_37) + coupl(nGC_809)*coupl( &
                      nGC_825))/(48d0*pi**2d0)
    coupl(nGC_4851) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_89)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_94)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_109)**2d0  &
                       - 4d0*Nc*cMT**2d0*cima*coupl(nGC_114)**2d0 - 4d0*Nc*cMU &
                      **2d0*cima*coupl(nGC_124)**2d0 - 4d0*cME**2d0*cima*coupl(&
                      nGC_99)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_104)**2d0 -   &
                      4d0*cMTA**2d0*cima*coupl(nGC_119)**2d0 - cMW**2d0*cima*  &
                      coupl(nGC_1419)*coupl(nGC_46) - cMW**2d0*cima*coupl(     &
                      nGC_1599)*coupl(nGC_47) - 2d0*cMW**2d0*coupl(nGC_31) -   &
                      cMZ**2d0*cima*coupl(nGC_1847)*coupl(nGC_61) - cMZ**2d0*  &
                      coupl(nGC_67) + 2d0*cima*coupl(nGC_70)**2d0 + cima*coupl(&
                      nGC_73)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4852) = cima*(4d0*Nc*coupl(nGC_109)**2d0 + 4d0*Nc*coupl(nGC_114  &
                      )**2d0 + 4d0*Nc*coupl(nGC_124)**2d0 + 4d0*Nc*coupl(nGC_84&
                      )**2d0 + 4d0*Nc*coupl(nGC_89)**2d0 + 4d0*Nc*coupl(nGC_94 &
                      )**2d0 + 4d0*coupl(nGC_104)**2d0 + 4d0*coupl(nGC_119)**  &
                      2d0 + coupl(nGC_1419)*coupl(nGC_46) + coupl(nGC_1599)*   &
                      coupl(nGC_47) + coupl(nGC_1847)*coupl(nGC_61) + 4d0*coupl&
                      (nGC_99)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4853) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_51)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_54)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_50)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_53)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_50)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_53)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_51)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_54)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_51)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_54)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_52)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_55)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_52)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_55)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_52)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_55&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_37)**2d0 + 3d0*cMW**&
                      2d0*cima*coupl(nGC_825)**2d0 - 2d0*cMW**2d0*coupl(nGC_457&
                      ))/(16d0*pi**2d0)
    coupl(nGC_4854) = cima*(-2d0*Nc*coupl(nGC_50)**2d0 - 2d0*Nc*coupl(nGC_51)**&
                      2d0 - 2d0*Nc*coupl(nGC_53)**2d0 - 2d0*Nc*coupl(nGC_54)** &
                      2d0 - coupl(nGC_37)**2d0 - 2d0*coupl(nGC_52)**2d0 - 2d0* &
                      coupl(nGC_55)**2d0 - 2d0*coupl(nGC_56)**2d0 - coupl(     &
                      nGC_825)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4855) = cima*(coupl(nGC_37)**2d0 + coupl(nGC_825)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_4856) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_33)**2d0 - coupl(   &
                      nGC_53)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4857) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4858) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4859) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4860) = cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(64d0*pi&
                      **2d0*Nc)
    coupl(nGC_4861) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(   &
                      nGC_54)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4862) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_4863) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4864) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4865) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4866) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4867) = cima*(coupl(nGC_33)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_55)**2d0)/(16d0*pi**2d0)
    coupl(nGC_4868) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(nGC_55&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4869) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_52)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_4870) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_4871) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_4872) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4873) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_4874) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_4875) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_4876) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(nGC_55&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4877) = cima*(-coupl(nGC_33)**2d0 - coupl(nGC_56)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_4878) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_50)*coupl(nGC_53&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4879) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4880) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4881) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4882) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_52)*coupl(     &
                      nGC_55))/(8d0*pi**2d0)
    coupl(nGC_4883) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_51)*coupl(nGC_54&
                      ))/(8d0*pi**2d0)
    coupl(nGC_4884) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(1d0 - Nc**2d0)/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_4885) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90) - 2d0*Nc&
                      *cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33) - 2d0*Nc* &
                      cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33) - 2d0*Nc*  &
                      cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33) + 4d0*cima*&
                      coupl(nGC_453)*coupl(nGC_68) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_71) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_71   &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_71)*coupl(nGC_809) - coupl&
                      (nGC_35)*coupl(nGC_69)*coupl(nGC_809) - coupl(nGC_37)*   &
                      coupl(nGC_55)*coupl(nGC_71) + 6d0*coupl(nGC_37)*coupl(   &
                      nGC_68)*coupl(nGC_809) - coupl(nGC_47)*coupl(nGC_70)*    &
                      coupl(nGC_809))/(32d0*pi**2d0)
    coupl(nGC_4886) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_80) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_33)*coupl(nGC_85) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_33)*coupl(nGC_90) - 2d0*Nc&
                      *cMS*coupl(nGC_105)*coupl(nGC_2)*coupl(nGC_33) - 2d0*Nc* &
                      cMT*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_33) - 2d0*Nc*  &
                      cMU*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_33) + 4d0*cima*&
                      coupl(nGC_453)*coupl(nGC_68) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_71) - coupl(nGC_1861)*coupl(nGC_71)*coupl(     &
                      nGC_825) - coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_69) -    &
                      coupl(nGC_3)*coupl(nGC_46)*coupl(nGC_70) + 6d0*coupl(    &
                      nGC_3)*coupl(nGC_68)*coupl(nGC_825) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_71)*coupl(nGC_809) - coupl(nGC_71)*coupl(      &
                      nGC_805)*coupl(nGC_809))/(32d0*pi**2d0)
    coupl(nGC_4887) = (-4d0*Nc*coupl(nGC_1)*coupl(nGC_105)**2d0 - 4d0*Nc*coupl(&
                      nGC_1)*coupl(nGC_110)**2d0 - 4d0*Nc*coupl(nGC_1)*coupl(  &
                      nGC_120)**2d0 - 4d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0 - &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_90)**2d0 + 4d0*Nc*coupl(nGC_105)**2d0*  &
                      coupl(nGC_2) + 4d0*Nc*coupl(nGC_110)**2d0*coupl(nGC_2) + &
                      4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_2) + 4d0*Nc*coupl(  &
                      nGC_2)*coupl(nGC_80)**2d0 + 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_85)**2d0 + 4d0*Nc*coupl(nGC_2)*coupl(nGC_90)**2d0 -  &
                      4d0*coupl(nGC_100)**2d0*coupl(nGC_4) - 4d0*coupl(nGC_115 &
                      )**2d0*coupl(nGC_4) + 6d0*coupl(nGC_1393)*coupl(nGC_3)*  &
                      coupl(nGC_32) + 6d0*coupl(nGC_1405)*coupl(nGC_3)*coupl(  &
                      nGC_34) + 6d0*coupl(nGC_1419)*coupl(nGC_3)*coupl(nGC_46  &
                      ) - coupl(nGC_1861)**2d0*coupl(nGC_4) - coupl(nGC_4)*    &
                      coupl(nGC_805)**2d0 - 4d0*coupl(nGC_4)*coupl(nGC_95)**2d0&
                      )/(96d0*pi**2d0)
    coupl(nGC_13704) = -coupl(nGC_4887)
    coupl(nGC_4888) = (-coupl(nGC_1393)*coupl(nGC_1405)*coupl(nGC_805) - coupl(&
                      nGC_1393)*coupl(nGC_1587)*coupl(nGC_4) + 6d0*coupl(nGC_3 &
                      )*coupl(nGC_32)*coupl(nGC_35) + 6d0*coupl(nGC_32)*coupl( &
                      nGC_34)*coupl(nGC_809))/(96d0*pi**2d0)
    coupl(nGC_13711) = -coupl(nGC_4888)
    coupl(nGC_4889) = (-coupl(nGC_1393)*coupl(nGC_1419)*coupl(nGC_805) - coupl(&
                      nGC_1393)*coupl(nGC_1599)*coupl(nGC_4) + 6d0*coupl(nGC_3 &
                      )*coupl(nGC_32)*coupl(nGC_47) + 6d0*coupl(nGC_32)*coupl( &
                      nGC_46)*coupl(nGC_809))/(96d0*pi**2d0)
    coupl(nGC_13717) = -coupl(nGC_4889)
    coupl(nGC_4890) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_84) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_94) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_109) - 8d0*Nc*cMT*coupl(nGC_114)*coupl(nGC_2)**2d0  &
                       - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_2)**2d0 - 8d0*cME*&
                      coupl(nGC_4)**2d0*coupl(nGC_99) - 8d0*cMM*coupl(nGC_104)*&
                      coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_119)*coupl(nGC_4  &
                      )**2d0 + 4d0*cima*coupl(nGC_443)*coupl(nGC_70) - coupl(  &
                      nGC_1419)*coupl(nGC_71)*coupl(nGC_809) - coupl(nGC_1599)*&
                      coupl(nGC_3)*coupl(nGC_71) + 6d0*coupl(nGC_3)**2d0*coupl(&
                      nGC_70) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_71) -     &
                      coupl(nGC_46)*coupl(nGC_71)*coupl(nGC_809) + 6d0*coupl(  &
                      nGC_70)*coupl(nGC_809)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4891) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_83) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_93) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_108) - 8d0*Nc*cMT*coupl(nGC_113)*coupl(nGC_2)**2d0  &
                       - 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_2)**2d0 - 8d0*cME*&
                      coupl(nGC_4)**2d0*coupl(nGC_98) - 8d0*cMM*coupl(nGC_103)*&
                      coupl(nGC_4)**2d0 - 8d0*cMTA*coupl(nGC_118)*coupl(nGC_4  &
                      )**2d0 + 4d0*cima*coupl(nGC_443)*coupl(nGC_69) - coupl(  &
                      nGC_1405)*coupl(nGC_71)*coupl(nGC_809) - coupl(nGC_1587)*&
                      coupl(nGC_3)*coupl(nGC_71) + 6d0*coupl(nGC_3)**2d0*coupl(&
                      nGC_69) - coupl(nGC_3)*coupl(nGC_35)*coupl(nGC_71) -     &
                      coupl(nGC_34)*coupl(nGC_71)*coupl(nGC_809) + 6d0*coupl(  &
                      nGC_69)*coupl(nGC_809)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4892) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_84) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_84) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_89) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_89) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_94) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_94) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_50) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_109)*coupl(nGC_53) - 4d0*Nc*cMT*  &
                      coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMT*  &
                      coupl(nGC_114)*coupl(nGC_2)*coupl(nGC_54) - 4d0*Nc*cMU*  &
                      coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMU*  &
                      coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_54) - 4d0*cME*coupl&
                      (nGC_4)*coupl(nGC_52)*coupl(nGC_99) - 4d0*cME*coupl(nGC_4&
                      )*coupl(nGC_55)*coupl(nGC_99) - 4d0*cMM*coupl(nGC_104)*  &
                      coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*coupl(nGC_104)*coupl&
                      (nGC_4)*coupl(nGC_55) - 4d0*cMTA*coupl(nGC_119)*coupl(   &
                      nGC_4)*coupl(nGC_52) - 4d0*cMTA*coupl(nGC_119)*coupl(    &
                      nGC_4)*coupl(nGC_55) + 4d0*cima*coupl(nGC_41)*coupl(     &
                      nGC_70) - coupl(nGC_1419)*coupl(nGC_68)*coupl(nGC_809) - &
                      coupl(nGC_1599)*coupl(nGC_3)*coupl(nGC_68) + 6d0*coupl(  &
                      nGC_3)*coupl(nGC_37)*coupl(nGC_70) - coupl(nGC_37)*coupl(&
                      nGC_47)*coupl(nGC_71) - coupl(nGC_46)*coupl(nGC_71)*coupl&
                      (nGC_825) + 6d0*coupl(nGC_70)*coupl(nGC_809)*coupl(      &
                      nGC_825))/(32d0*pi**2d0)
    coupl(nGC_4893) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_83) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_83) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_51)*coupl(nGC_88) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_54)*coupl(nGC_88) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_50)*coupl(nGC_93) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_53)*coupl(nGC_93) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_50) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_108)*coupl(nGC_53) - 4d0*Nc*cMT*  &
                      coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMT*  &
                      coupl(nGC_113)*coupl(nGC_2)*coupl(nGC_54) - 4d0*Nc*cMU*  &
                      coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_51) - 4d0*Nc*cMU*  &
                      coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_54) - 4d0*cME*coupl&
                      (nGC_4)*coupl(nGC_52)*coupl(nGC_98) - 4d0*cME*coupl(nGC_4&
                      )*coupl(nGC_55)*coupl(nGC_98) - 4d0*cMM*coupl(nGC_103)*  &
                      coupl(nGC_4)*coupl(nGC_52) - 4d0*cMM*coupl(nGC_103)*coupl&
                      (nGC_4)*coupl(nGC_55) - 4d0*cMTA*coupl(nGC_118)*coupl(   &
                      nGC_4)*coupl(nGC_52) - 4d0*cMTA*coupl(nGC_118)*coupl(    &
                      nGC_4)*coupl(nGC_55) + 4d0*cima*coupl(nGC_41)*coupl(     &
                      nGC_69) - coupl(nGC_1405)*coupl(nGC_68)*coupl(nGC_809) - &
                      coupl(nGC_1587)*coupl(nGC_3)*coupl(nGC_68) + 6d0*coupl(  &
                      nGC_3)*coupl(nGC_37)*coupl(nGC_69) - coupl(nGC_34)*coupl(&
                      nGC_71)*coupl(nGC_825) - coupl(nGC_35)*coupl(nGC_37)*    &
                      coupl(nGC_71) + 6d0*coupl(nGC_69)*coupl(nGC_809)*coupl(  &
                      nGC_825))/(32d0*pi**2d0)
    coupl(nGC_4894) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_33)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_33)**2d0 - 11d0*coupl(nGC_3)*coupl(     &
                      nGC_809)**2d0 - 11d0*coupl(nGC_3)*coupl(nGC_825)**2d0 +  &
                      12d0*coupl(nGC_33)**2d0*coupl(nGC_4))/(96d0*pi**2d0)
    coupl(nGC_13742) = -coupl(nGC_4894)
    coupl(nGC_4895) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) + coupl(  &
                      nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(nGC_84)** &
                      2d0 + coupl(nGC_110)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2 &
                      )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(     &
                      nGC_809))/(32d0*pi**2d0)
    coupl(nGC_4896) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_81)*coupl(nGC_82) + coupl(  &
                      nGC_1)*coupl(nGC_83)**2d0 + coupl(nGC_1)*coupl(nGC_84)** &
                      2d0 + coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4897) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4898) = (coupl(nGC_1)*coupl(nGC_105)**2d0 + 4d0*coupl(nGC_1)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(  &
                      nGC_2)*coupl(nGC_54)**2d0 + coupl(nGC_2)*coupl(nGC_86)*  &
                      coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88)**2d0 + coupl( &
                      nGC_2)*coupl(nGC_89)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4899) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_87) + coupl(nGC_2)*coupl(nGC_88  &
                      )**2d0 + coupl(nGC_2)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4900) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_4901) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_53)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) + coupl(  &
                      nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(nGC_94)** &
                      2d0 + coupl(nGC_120)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2 &
                      )*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(     &
                      nGC_809))/(32d0*pi**2d0)
    coupl(nGC_4902) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_50)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_91)*coupl(nGC_92) + coupl(  &
                      nGC_1)*coupl(nGC_93)**2d0 + coupl(nGC_1)*coupl(nGC_94)** &
                      2d0 + coupl(nGC_2)*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4903) = (-4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_4)*coupl( &
                      nGC_98)**2d0 + coupl(nGC_4)*coupl(nGC_99)**2d0)/(32d0*pi &
                      **2d0)
    coupl(nGC_4904) = coupl(nGC_4)*(4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_52)**&
                      2d0 + coupl(nGC_96)*coupl(nGC_97) + coupl(nGC_98)**2d0 + &
                      coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4905) = (coupl(nGC_101)*coupl(nGC_102)*coupl(nGC_4) + coupl(     &
                      nGC_103)**2d0*coupl(nGC_4) + coupl(nGC_104)**2d0*coupl(  &
                      nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(&
                      nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(32d0*&
                      pi**2d0)
    coupl(nGC_4906) = coupl(nGC_4)*(coupl(nGC_101)*coupl(nGC_102) + coupl(     &
                      nGC_103)**2d0 + coupl(nGC_104)**2d0 + 4d0*coupl(nGC_4)** &
                      2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4907) = (4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_95)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4908) = (coupl(nGC_100)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4909) = (coupl(nGC_115)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_3)*    &
                      coupl(nGC_33)**2d0 + 4d0*coupl(nGC_33)**2d0*coupl(nGC_4  &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4910) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*    &
                      coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 + coupl&
                      (nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*coupl(    &
                      nGC_53)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_33)**2d0 +     &
                      coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_33)**2d0*&
                      coupl(nGC_809))/(32d0*pi**2d0)
    coupl(nGC_4911) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_106)*    &
                      coupl(nGC_107) + coupl(nGC_1)*coupl(nGC_108)**2d0 + coupl&
                      (nGC_1)*coupl(nGC_109)**2d0 + 4d0*coupl(nGC_1)*coupl(    &
                      nGC_50)**2d0 + coupl(nGC_105)**2d0*coupl(nGC_2))/(32d0*pi&
                      **2d0)
    coupl(nGC_4912) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_80)**2d0 + coupl(nGC_111)*coupl(nGC_112)*coupl(nGC_2&
                      ) + coupl(nGC_113)**2d0*coupl(nGC_2) + coupl(nGC_114)**  &
                      2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(    &
                      nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4913) = (coupl(nGC_1)*coupl(nGC_110)**2d0 + coupl(nGC_111)*coupl(&
                      nGC_112)*coupl(nGC_2) + coupl(nGC_113)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_114)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**&
                      3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4914) = (coupl(nGC_116)*coupl(nGC_117)*coupl(nGC_4) + coupl(     &
                      nGC_118)**2d0*coupl(nGC_4) + coupl(nGC_119)**2d0*coupl(  &
                      nGC_4) - 4d0*coupl(nGC_3)*coupl(nGC_33)**2d0 + 4d0*coupl(&
                      nGC_4)**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_55)**2d0)/(32d0*&
                      pi**2d0)
    coupl(nGC_4915) = coupl(nGC_4)*(coupl(nGC_116)*coupl(nGC_117) + coupl(     &
                      nGC_118)**2d0 + coupl(nGC_119)**2d0 + 4d0*coupl(nGC_4)** &
                      2d0 + 4d0*coupl(nGC_52)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4916) = (4d0*coupl(nGC_1)*coupl(nGC_33)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_90)**2d0 + coupl(nGC_121)*coupl(nGC_122)*coupl(nGC_2&
                      ) + coupl(nGC_123)**2d0*coupl(nGC_2) + coupl(nGC_124)**  &
                      2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(    &
                      nGC_2)*coupl(nGC_54)**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_33&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4917) = (coupl(nGC_1)*coupl(nGC_120)**2d0 + coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_2) + coupl(nGC_123)**2d0*coupl(nGC_2  &
                      ) + coupl(nGC_124)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**&
                      3d0 + 4d0*coupl(nGC_2)*coupl(nGC_51)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4918) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_84) + 4d0*Nc*  &
                      cMB*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_80) + 4d0*Nc*&
                      cMB*coupl(nGC_80)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl( &
                      nGC_105)**2d0*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_105)* &
                      coupl(nGC_109)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85)**&
                      2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*coupl(&
                      nGC_94) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_124)*coupl(&
                      nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(nGC_94) +  &
                      4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_109) + 4d0*Nc*  &
                      cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc* &
                      cMS*coupl(nGC_109)*coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(&
                      nGC_110)**2d0*coupl(nGC_114) + 4d0*Nc*cMT*coupl(nGC_110)*&
                      coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl&
                      (nGC_124) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*coupl&
                      (nGC_94) + 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_90)**2d0  &
                       + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_99) + 4d0*cMM*   &
                      coupl(nGC_100)**2d0*coupl(nGC_104) + 4d0*cMTA*coupl(     &
                      nGC_115)**2d0*coupl(nGC_119) + 8d0*cima*coupl(nGC_17)*   &
                      coupl(nGC_68) + 4d0*cima*coupl(nGC_26)*coupl(nGC_70) +   &
                      8d0*cima*coupl(nGC_48)*coupl(nGC_71) + 2d0*cima*coupl(   &
                      nGC_63)*coupl(nGC_73) - coupl(nGC_1393)*coupl(nGC_32)*   &
                      coupl(nGC_70) + coupl(nGC_1393)*coupl(nGC_32)*coupl(     &
                      nGC_74) - coupl(nGC_1393)*coupl(nGC_61)*coupl(nGC_68) +  &
                      coupl(nGC_1405)*coupl(nGC_1599)*coupl(nGC_75) - coupl(   &
                      nGC_1405)*coupl(nGC_34)*coupl(nGC_70) + coupl(nGC_1419)* &
                      coupl(nGC_1599)*coupl(nGC_74) - coupl(nGC_1419)*coupl(   &
                      nGC_46)*coupl(nGC_70) + coupl(nGC_1587)*coupl(nGC_35)*   &
                      coupl(nGC_76) + coupl(nGC_1587)*coupl(nGC_47)*coupl(     &
                      nGC_79) - coupl(nGC_1599)*coupl(nGC_1861)*coupl(nGC_68   &
                      ) + coupl(nGC_1599)*coupl(nGC_35)*coupl(nGC_79) + coupl( &
                      nGC_1599)*coupl(nGC_47)*coupl(nGC_77) - coupl(nGC_1599)* &
                      coupl(nGC_71)*coupl(nGC_805) - coupl(nGC_1847)*coupl(    &
                      nGC_32)*coupl(nGC_68) + coupl(nGC_1861)**2d0*coupl(nGC_74&
                      ) - coupl(nGC_1861)*coupl(nGC_47)*coupl(nGC_68) + coupl( &
                      nGC_34)*coupl(nGC_47)*coupl(nGC_75) + coupl(nGC_46)*coupl&
                      (nGC_47)*coupl(nGC_74) - coupl(nGC_47)*coupl(nGC_71)*    &
                      coupl(nGC_805) - coupl(nGC_55)**2d0*coupl(nGC_73) + coupl&
                      (nGC_74)*coupl(nGC_805)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4919) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_111)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_121)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_81) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_86) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_91) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_101)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_116&
                      )*coupl(nGC_33) + 6d0*coupl(nGC_1393)*coupl(nGC_3)*coupl(&
                      nGC_4) + 6d0*coupl(nGC_1393)*coupl(nGC_37)*coupl(nGC_55  &
                      ) - coupl(nGC_1587)**2d0*coupl(nGC_32) - coupl(nGC_1599  &
                      )**2d0*coupl(nGC_32) + 6d0*coupl(nGC_1835)*coupl(nGC_34)*&
                      coupl(nGC_825) + 6d0*coupl(nGC_1847)*coupl(nGC_46)*coupl(&
                      nGC_825) - coupl(nGC_1861)*coupl(nGC_34)*coupl(nGC_57) - &
                      coupl(nGC_1861)*coupl(nGC_46)*coupl(nGC_61) - coupl(     &
                      nGC_32)**3d0 + 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(    &
                      nGC_96))/(96d0*pi**2d0)
    coupl(nGC_13918) = -coupl(nGC_4919)
    coupl(nGC_4920) = (4d0*Nc*cMB*coupl(nGC_110)**2d0*coupl(nGC_83) + 4d0*Nc*  &
                      cMB*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_80) + 4d0*Nc*&
                      cMB*coupl(nGC_80)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl( &
                      nGC_105)**2d0*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_105)* &
                      coupl(nGC_108)*coupl(nGC_85) + 4d0*Nc*cMC*coupl(nGC_85)**&
                      2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_120)**2d0*coupl(&
                      nGC_93) + 4d0*Nc*cMD*coupl(nGC_120)*coupl(nGC_123)*coupl(&
                      nGC_90) + 4d0*Nc*cMD*coupl(nGC_90)**2d0*coupl(nGC_93) +  &
                      4d0*Nc*cMS*coupl(nGC_105)**2d0*coupl(nGC_108) + 4d0*Nc*  &
                      cMS*coupl(nGC_105)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc* &
                      cMS*coupl(nGC_108)*coupl(nGC_85)**2d0 + 4d0*Nc*cMT*coupl(&
                      nGC_110)**2d0*coupl(nGC_113) + 4d0*Nc*cMT*coupl(nGC_110)*&
                      coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_120)**2d0*coupl&
                      (nGC_123) + 4d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_90)*coupl&
                      (nGC_93) + 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_90)**2d0  &
                       + 4d0*cME*coupl(nGC_95)**2d0*coupl(nGC_98) + 4d0*cMM*   &
                      coupl(nGC_100)**2d0*coupl(nGC_103) + 4d0*cMTA*coupl(     &
                      nGC_115)**2d0*coupl(nGC_118) + 4d0*cima*coupl(nGC_26)*   &
                      coupl(nGC_69) + 8d0*cima*coupl(nGC_40)*coupl(nGC_71) +   &
                      2d0*cima*coupl(nGC_63)*coupl(nGC_72) + 8d0*cima*coupl(   &
                      nGC_68)*coupl(nGC_9) - coupl(nGC_1393)*coupl(nGC_32)*    &
                      coupl(nGC_69) + coupl(nGC_1393)*coupl(nGC_32)*coupl(     &
                      nGC_75) - coupl(nGC_1393)*coupl(nGC_57)*coupl(nGC_68) +  &
                      coupl(nGC_1405)*coupl(nGC_1587)*coupl(nGC_75) - coupl(   &
                      nGC_1405)*coupl(nGC_34)*coupl(nGC_69) + coupl(nGC_1419)* &
                      coupl(nGC_1587)*coupl(nGC_74) - coupl(nGC_1419)*coupl(   &
                      nGC_46)*coupl(nGC_69) - coupl(nGC_1587)*coupl(nGC_1861)* &
                      coupl(nGC_68) + coupl(nGC_1587)*coupl(nGC_35)*coupl(     &
                      nGC_78) + coupl(nGC_1587)*coupl(nGC_47)*coupl(nGC_76) -  &
                      coupl(nGC_1587)*coupl(nGC_71)*coupl(nGC_805) + coupl(    &
                      nGC_1599)*coupl(nGC_35)*coupl(nGC_76) + coupl(nGC_1599)* &
                      coupl(nGC_47)*coupl(nGC_79) - coupl(nGC_1835)*coupl(     &
                      nGC_32)*coupl(nGC_68) + coupl(nGC_1861)**2d0*coupl(nGC_75&
                      ) - coupl(nGC_1861)*coupl(nGC_35)*coupl(nGC_68) + coupl( &
                      nGC_34)*coupl(nGC_35)*coupl(nGC_75) + coupl(nGC_35)*coupl&
                      (nGC_46)*coupl(nGC_74) - coupl(nGC_35)*coupl(nGC_71)*    &
                      coupl(nGC_805) - coupl(nGC_55)**2d0*coupl(nGC_72) + coupl&
                      (nGC_75)*coupl(nGC_805)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4921) = (-4d0*Nc*coupl(nGC_105)**2d0*coupl(nGC_50) + 4d0*Nc*coupl&
                      (nGC_105)**2d0*coupl(nGC_54) + 4d0*Nc*coupl(nGC_110)**2d0&
                      *coupl(nGC_51) - 4d0*Nc*coupl(nGC_110)**2d0*coupl(nGC_53 &
                      ) + 4d0*Nc*coupl(nGC_120)**2d0*coupl(nGC_51) - 4d0*Nc*   &
                      coupl(nGC_120)**2d0*coupl(nGC_53) - 4d0*Nc*coupl(nGC_50)*&
                      coupl(nGC_80)**2d0 - 4d0*Nc*coupl(nGC_50)*coupl(nGC_90)**&
                      2d0 + 4d0*Nc*coupl(nGC_51)*coupl(nGC_85)**2d0 - 4d0*Nc*  &
                      coupl(nGC_53)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_54)* &
                      coupl(nGC_80)**2d0 + 4d0*Nc*coupl(nGC_54)*coupl(nGC_90)**&
                      2d0 - 4d0*coupl(nGC_100)**2d0*coupl(nGC_52) + 4d0*coupl( &
                      nGC_100)**2d0*coupl(nGC_56) - 4d0*coupl(nGC_115)**2d0*   &
                      coupl(nGC_52) + 4d0*coupl(nGC_115)**2d0*coupl(nGC_56) -  &
                      coupl(nGC_1393)*coupl(nGC_1587)*coupl(nGC_1835) - coupl( &
                      nGC_1393)*coupl(nGC_1599)*coupl(nGC_1847) + 6d0*coupl(   &
                      nGC_1393)*coupl(nGC_32)*coupl(nGC_37) + 6d0*coupl(       &
                      nGC_1405)*coupl(nGC_34)*coupl(nGC_37) + 6d0*coupl(       &
                      nGC_1419)*coupl(nGC_37)*coupl(nGC_46) - coupl(nGC_1861)**&
                      2d0*coupl(nGC_55) - coupl(nGC_32)*coupl(nGC_35)*coupl(   &
                      nGC_57) - coupl(nGC_32)*coupl(nGC_47)*coupl(nGC_61) - 4d0&
                      *coupl(nGC_52)*coupl(nGC_95)**2d0 - coupl(nGC_55)*coupl( &
                      nGC_805)**2d0 + 4d0*coupl(nGC_56)*coupl(nGC_95)**2d0)/(  &
                      96d0*pi**2d0)
    coupl(nGC_13931) = -coupl(nGC_4921)
    coupl(nGC_4922) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_89) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_94) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_104)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_119&
                      )*coupl(nGC_33) - coupl(nGC_1393)*coupl(nGC_1847)*coupl( &
                      nGC_1861) + 6d0*coupl(nGC_1393)*coupl(nGC_61)*coupl(     &
                      nGC_825) - coupl(nGC_1419)*coupl(nGC_1587)**2d0 - coupl( &
                      nGC_1419)*coupl(nGC_1599)**2d0 - coupl(nGC_1419)*coupl(  &
                      nGC_32)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_46&
                      ) + 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) + 6d0* &
                      coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_55))/(96d0*pi**2d0)
    coupl(nGC_13938) = -coupl(nGC_4922)
    coupl(nGC_4923) = (4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) - 4d0&
                      *Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) - 4d0*Nc*&
                      coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) + 4d0*Nc*    &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) - 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_88) + 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_93) + 4d0*coupl(nGC_100)*coupl(&
                      nGC_103)*coupl(nGC_33) + 4d0*coupl(nGC_115)*coupl(nGC_118&
                      )*coupl(nGC_33) - coupl(nGC_1393)*coupl(nGC_1835)*coupl( &
                      nGC_1861) + 6d0*coupl(nGC_1393)*coupl(nGC_57)*coupl(     &
                      nGC_825) - coupl(nGC_1405)*coupl(nGC_1587)**2d0 - coupl( &
                      nGC_1405)*coupl(nGC_1599)**2d0 - coupl(nGC_1405)*coupl(  &
                      nGC_32)**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_34)*coupl(nGC_4&
                      ) + 4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) + 6d0* &
                      coupl(nGC_34)*coupl(nGC_37)*coupl(nGC_55))/(96d0*pi**2d0)
    coupl(nGC_13945) = -coupl(nGC_4923)
    coupl(nGC_4924) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80) -  &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80) -   &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80) +   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85) +   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90) +   &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_50) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*cME*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0* &
                      cME*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME* &
                      coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl&
                      (nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(   &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(    &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl(   &
                      nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_453)*coupl(   &
                      nGC_71) - coupl(nGC_1587)*coupl(nGC_37)*coupl(nGC_72) -  &
                      coupl(nGC_1599)*coupl(nGC_37)*coupl(nGC_73) - coupl(     &
                      nGC_1861)*coupl(nGC_68)*coupl(nGC_825) - coupl(nGC_34)*  &
                      coupl(nGC_37)*coupl(nGC_69) - coupl(nGC_37)*coupl(nGC_46 &
                      )*coupl(nGC_70) + 6d0*coupl(nGC_37)*coupl(nGC_68)*coupl( &
                      nGC_825) + 6d0*coupl(nGC_37)*coupl(nGC_71)*coupl(nGC_809 &
                      ) - coupl(nGC_68)*coupl(nGC_805)*coupl(nGC_809))/(32d0*pi&
                      **2d0)
    coupl(nGC_4925) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_110)*coupl(nGC_805) - coupl(nGC_110)*   &
                      coupl(nGC_1861)*coupl(nGC_53) - coupl(nGC_110)*coupl(    &
                      nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_110)*coupl(nGC_51)*  &
                      coupl(nGC_53) - coupl(nGC_110)*coupl(nGC_51)*coupl(nGC_55&
                      ) - coupl(nGC_112)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                      nGC_112)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_113)*   &
                      coupl(nGC_1587)*coupl(nGC_33) - coupl(nGC_113)*coupl(    &
                      nGC_80)*coupl(nGC_83) - coupl(nGC_114)*coupl(nGC_1599)*  &
                      coupl(nGC_33) - coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4927) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) - coupl(    &
                      nGC_1)*coupl(nGC_80)*coupl(nGC_805) - coupl(nGC_110)*    &
                      coupl(nGC_111)*coupl(nGC_82) - coupl(nGC_110)*coupl(     &
                      nGC_113)*coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*  &
                      coupl(nGC_84) - coupl(nGC_1393)*coupl(nGC_33)*coupl(     &
                      nGC_82) - coupl(nGC_1861)*coupl(nGC_50)*coupl(nGC_80) -  &
                      coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_33)* &
                      coupl(nGC_34)*coupl(nGC_83) - coupl(nGC_33)*coupl(nGC_46 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl( &
                      nGC_80) - coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_80))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4926) = coupl(nGC_11)**2d0*coupl(nGC_110)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4928) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4929) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_105)*coupl(nGC_4) + coupl(nGC_105)*coupl&
                      (nGC_1861)*coupl(nGC_54) + coupl(nGC_105)*coupl(nGC_2)*  &
                      coupl(nGC_805) + 8d0*coupl(nGC_105)*coupl(nGC_50)*coupl( &
                      nGC_54) + coupl(nGC_105)*coupl(nGC_50)*coupl(nGC_55) +   &
                      coupl(nGC_107)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_107)*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_108)*   &
                      coupl(nGC_1587)*coupl(nGC_33) - coupl(nGC_108)*coupl(    &
                      nGC_85)*coupl(nGC_88) + coupl(nGC_109)*coupl(nGC_1599)*  &
                      coupl(nGC_33) - coupl(nGC_109)*coupl(nGC_85)*coupl(nGC_89&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4931) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_105)*coupl(&
                      nGC_106)*coupl(nGC_87) - coupl(nGC_105)*coupl(nGC_108)*  &
                      coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*coupl(     &
                      nGC_89) + coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_87) +  &
                      coupl(nGC_1861)*coupl(nGC_51)*coupl(nGC_85) + coupl(nGC_2&
                      )*coupl(nGC_805)*coupl(nGC_85) + coupl(nGC_33)*coupl(    &
                      nGC_34)*coupl(nGC_88) + coupl(nGC_33)*coupl(nGC_46)*coupl&
                      (nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_53)*coupl(nGC_85  &
                      ) + coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_85))/(32d0*pi**&
                      2d0)
    coupl(nGC_4930) = coupl(nGC_105)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4932) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4933) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_120)*coupl(nGC_805) - coupl(nGC_120)*   &
                      coupl(nGC_1861)*coupl(nGC_53) - coupl(nGC_120)*coupl(    &
                      nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_120)*coupl(nGC_51)*  &
                      coupl(nGC_53) - coupl(nGC_120)*coupl(nGC_51)*coupl(nGC_55&
                      ) - coupl(nGC_122)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                      nGC_122)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_123)*   &
                      coupl(nGC_1587)*coupl(nGC_33) - coupl(nGC_123)*coupl(    &
                      nGC_90)*coupl(nGC_93) - coupl(nGC_124)*coupl(nGC_1599)*  &
                      coupl(nGC_33) - coupl(nGC_124)*coupl(nGC_90)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4935) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) - coupl(    &
                      nGC_1)*coupl(nGC_805)*coupl(nGC_90) - coupl(nGC_120)*    &
                      coupl(nGC_121)*coupl(nGC_92) - coupl(nGC_120)*coupl(     &
                      nGC_123)*coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*  &
                      coupl(nGC_94) - coupl(nGC_1393)*coupl(nGC_33)*coupl(     &
                      nGC_92) - coupl(nGC_1861)*coupl(nGC_50)*coupl(nGC_90) -  &
                      coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_33)* &
                      coupl(nGC_34)*coupl(nGC_93) - coupl(nGC_33)*coupl(nGC_46 &
                      )*coupl(nGC_94) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl( &
                      nGC_90) - coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_90))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4934) = coupl(nGC_11)**2d0*coupl(nGC_120)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4936) = coupl(nGC_11)**2d0*coupl(nGC_90)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4937) = (-coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_97) - coupl(   &
                      nGC_1861)*coupl(nGC_52)*coupl(nGC_95) - coupl(nGC_33)*   &
                      coupl(nGC_34)*coupl(nGC_98) - coupl(nGC_33)*coupl(nGC_46 &
                      )*coupl(nGC_99) - coupl(nGC_4)*coupl(nGC_805)*coupl(     &
                      nGC_95) + 8d0*coupl(nGC_52)*coupl(nGC_56)*coupl(nGC_95   &
                      ) - coupl(nGC_55)*coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**&
                      2d0)
    coupl(nGC_4938) = (-coupl(nGC_100)*coupl(nGC_1861)*coupl(nGC_52) - coupl(  &
                      nGC_100)*coupl(nGC_4)*coupl(nGC_805) + 8d0*coupl(nGC_100 &
                      )*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_100)*coupl(    &
                      nGC_55)*coupl(nGC_56) - coupl(nGC_102)*coupl(nGC_1393)*  &
                      coupl(nGC_33) - coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_34&
                      ) - coupl(nGC_104)*coupl(nGC_33)*coupl(nGC_46))/(32d0*pi &
                      **2d0)
    coupl(nGC_4939) = (coupl(nGC_115)*coupl(nGC_1861)*coupl(nGC_56) + coupl(   &
                      nGC_115)*coupl(nGC_4)**2d0 + coupl(nGC_115)*coupl(nGC_52 &
                      )*coupl(nGC_55) + 8d0*coupl(nGC_115)*coupl(nGC_52)*coupl(&
                      nGC_56) + coupl(nGC_117)*coupl(nGC_32)*coupl(nGC_33) +   &
                      coupl(nGC_118)*coupl(nGC_1587)*coupl(nGC_33) + coupl(    &
                      nGC_119)*coupl(nGC_1599)*coupl(nGC_33))/(32d0*pi**2d0)
    coupl(nGC_4940) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_112)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_122)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_82) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_92) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_102)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_117&
                      )*coupl(nGC_33) + 6d0*coupl(nGC_1393)*coupl(nGC_1861)*   &
                      coupl(nGC_825) + 6d0*coupl(nGC_1393)*coupl(nGC_805)*coupl&
                      (nGC_809) - coupl(nGC_1405)**2d0*coupl(nGC_32) - coupl(  &
                      nGC_1419)**2d0*coupl(nGC_32) + 6d0*coupl(nGC_1835)*coupl(&
                      nGC_35)*coupl(nGC_37) + 6d0*coupl(nGC_1847)*coupl(nGC_37 &
                      )*coupl(nGC_47) - coupl(nGC_32)**3d0 - 4d0*coupl(nGC_33)*&
                      coupl(nGC_95)*coupl(nGC_97) - coupl(nGC_35)*coupl(nGC_55 &
                      )*coupl(nGC_57) - coupl(nGC_47)*coupl(nGC_55)*coupl(     &
                      nGC_61))/(96d0*pi**2d0)
    coupl(nGC_14047) = -coupl(nGC_4940)
    coupl(nGC_4941) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_114)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_124)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_84) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_89) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_94) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_104)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_119&
                      )*coupl(nGC_33) - coupl(nGC_1393)*coupl(nGC_1847)*coupl( &
                      nGC_55) + 6d0*coupl(nGC_1393)*coupl(nGC_37)*coupl(nGC_61 &
                      ) - coupl(nGC_1405)**2d0*coupl(nGC_1599) - coupl(nGC_1419&
                      )**2d0*coupl(nGC_1599) - coupl(nGC_1599)*coupl(nGC_32)** &
                      2d0 + 6d0*coupl(nGC_1861)*coupl(nGC_47)*coupl(nGC_825) - &
                      4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_99) + 6d0*coupl&
                      (nGC_47)*coupl(nGC_805)*coupl(nGC_809))/(96d0*pi**2d0)
    coupl(nGC_14054) = -coupl(nGC_4941)
    coupl(nGC_4942) = (-4d0*Nc*coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_33) +   &
                      4d0*Nc*coupl(nGC_110)*coupl(nGC_113)*coupl(nGC_33) + 4d0*&
                      Nc*coupl(nGC_120)*coupl(nGC_123)*coupl(nGC_33) - 4d0*Nc* &
                      coupl(nGC_33)*coupl(nGC_80)*coupl(nGC_83) + 4d0*Nc*coupl(&
                      nGC_33)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl(nGC_33&
                      )*coupl(nGC_90)*coupl(nGC_93) - 4d0*coupl(nGC_100)*coupl(&
                      nGC_103)*coupl(nGC_33) - 4d0*coupl(nGC_115)*coupl(nGC_118&
                      )*coupl(nGC_33) - coupl(nGC_1393)*coupl(nGC_1835)*coupl( &
                      nGC_55) + 6d0*coupl(nGC_1393)*coupl(nGC_37)*coupl(nGC_57 &
                      ) - coupl(nGC_1405)**2d0*coupl(nGC_1587) - coupl(nGC_1419&
                      )**2d0*coupl(nGC_1587) - coupl(nGC_1587)*coupl(nGC_32)** &
                      2d0 + 6d0*coupl(nGC_1861)*coupl(nGC_35)*coupl(nGC_825) - &
                      4d0*coupl(nGC_33)*coupl(nGC_95)*coupl(nGC_98) + 6d0*coupl&
                      (nGC_35)*coupl(nGC_805)*coupl(nGC_809))/(96d0*pi**2d0)
    coupl(nGC_14061) = -coupl(nGC_4942)
    coupl(nGC_4943) = (2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_80) -  &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_80) -   &
                      2d0*Nc*cMB*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_80) +   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_51)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_85) -   &
                      2d0*Nc*cMC*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_85) +   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_50)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_53)*coupl(nGC_90) -   &
                      2d0*Nc*cMD*coupl(nGC_33)*coupl(nGC_54)*coupl(nGC_90) +   &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_50) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMS*coupl(nGC_105)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMT*coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_51) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_53) -  &
                      2d0*Nc*cMU*coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_54) +  &
                      2d0*cME*coupl(nGC_33)*coupl(nGC_52)*coupl(nGC_95) - 2d0* &
                      cME*coupl(nGC_33)*coupl(nGC_55)*coupl(nGC_95) - 2d0*cME* &
                      coupl(nGC_33)*coupl(nGC_56)*coupl(nGC_95) + 2d0*cMM*coupl&
                      (nGC_100)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMM*coupl(   &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMM*coupl(    &
                      nGC_100)*coupl(nGC_33)*coupl(nGC_56) + 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_52) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_55) - 2d0*cMTA*coupl(   &
                      nGC_115)*coupl(nGC_33)*coupl(nGC_56) + 4d0*cima*coupl(   &
                      nGC_29)*coupl(nGC_68) + 4d0*cima*coupl(nGC_453)*coupl(   &
                      nGC_71) - coupl(nGC_1405)*coupl(nGC_72)*coupl(nGC_825) - &
                      coupl(nGC_1419)*coupl(nGC_73)*coupl(nGC_825) - coupl(    &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_68) + 6d0*coupl(nGC_3)*    &
                      coupl(nGC_71)*coupl(nGC_825) - coupl(nGC_35)*coupl(nGC_69&
                      )*coupl(nGC_825) - coupl(nGC_37)*coupl(nGC_55)*coupl(    &
                      nGC_68) + 6d0*coupl(nGC_37)*coupl(nGC_68)*coupl(nGC_825  &
                      ) - coupl(nGC_47)*coupl(nGC_70)*coupl(nGC_825))/(32d0*pi &
                      **2d0)
    coupl(nGC_4944) = (8d0*coupl(nGC_1)*coupl(nGC_110)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_110)*coupl(nGC_4) + coupl(nGC_110)*coupl&
                      (nGC_1861)*coupl(nGC_51) + coupl(nGC_110)*coupl(nGC_2)*  &
                      coupl(nGC_805) + 8d0*coupl(nGC_110)*coupl(nGC_51)*coupl( &
                      nGC_53) + coupl(nGC_110)*coupl(nGC_53)*coupl(nGC_55) +   &
                      coupl(nGC_111)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_111)*coupl(nGC_80)*coupl(nGC_82) + coupl(nGC_113)*   &
                      coupl(nGC_1405)*coupl(nGC_33) - coupl(nGC_113)*coupl(    &
                      nGC_80)*coupl(nGC_83) + coupl(nGC_114)*coupl(nGC_1419)*  &
                      coupl(nGC_33) - coupl(nGC_114)*coupl(nGC_80)*coupl(nGC_84&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4945) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_80) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_80) - coupl(nGC_110)*coupl(&
                      nGC_112)*coupl(nGC_81) - coupl(nGC_110)*coupl(nGC_113)*  &
                      coupl(nGC_83) - coupl(nGC_110)*coupl(nGC_114)*coupl(     &
                      nGC_84) + coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_81) +  &
                      coupl(nGC_1861)*coupl(nGC_54)*coupl(nGC_80) + coupl(nGC_2&
                      )*coupl(nGC_80)*coupl(nGC_805) + coupl(nGC_33)*coupl(    &
                      nGC_35)*coupl(nGC_83) + coupl(nGC_33)*coupl(nGC_47)*coupl&
                      (nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(nGC_80  &
                      ) + coupl(nGC_50)*coupl(nGC_55)*coupl(nGC_80))/(32d0*pi**&
                      2d0)
    coupl(nGC_4946) = (8d0*coupl(nGC_1)*coupl(nGC_105)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_105)*coupl(nGC_805) - coupl(nGC_105)*   &
                      coupl(nGC_1861)*coupl(nGC_50) - coupl(nGC_105)*coupl(    &
                      nGC_2)*coupl(nGC_4) + 8d0*coupl(nGC_105)*coupl(nGC_50)*  &
                      coupl(nGC_54) - coupl(nGC_105)*coupl(nGC_54)*coupl(nGC_55&
                      ) - coupl(nGC_106)*coupl(nGC_32)*coupl(nGC_33) - coupl(  &
                      nGC_106)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_108)*   &
                      coupl(nGC_1405)*coupl(nGC_33) - coupl(nGC_108)*coupl(    &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_109)*coupl(nGC_1419)*  &
                      coupl(nGC_33) - coupl(nGC_109)*coupl(nGC_85)*coupl(nGC_89&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4947) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(    &
                      nGC_1)*coupl(nGC_805)*coupl(nGC_85) - coupl(nGC_105)*    &
                      coupl(nGC_107)*coupl(nGC_86) - coupl(nGC_105)*coupl(     &
                      nGC_108)*coupl(nGC_88) - coupl(nGC_105)*coupl(nGC_109)*  &
                      coupl(nGC_89) - coupl(nGC_1393)*coupl(nGC_33)*coupl(     &
                      nGC_86) - coupl(nGC_1861)*coupl(nGC_53)*coupl(nGC_85) -  &
                      coupl(nGC_2)*coupl(nGC_4)*coupl(nGC_85) - coupl(nGC_33)* &
                      coupl(nGC_35)*coupl(nGC_88) - coupl(nGC_33)*coupl(nGC_47 &
                      )*coupl(nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_53)*coupl( &
                      nGC_85) - coupl(nGC_51)*coupl(nGC_55)*coupl(nGC_85))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4948) = (8d0*coupl(nGC_1)*coupl(nGC_120)*coupl(nGC_2) + coupl(   &
                      nGC_1)*coupl(nGC_120)*coupl(nGC_4) + coupl(nGC_120)*coupl&
                      (nGC_1861)*coupl(nGC_51) + coupl(nGC_120)*coupl(nGC_2)*  &
                      coupl(nGC_805) + 8d0*coupl(nGC_120)*coupl(nGC_51)*coupl( &
                      nGC_53) + coupl(nGC_120)*coupl(nGC_53)*coupl(nGC_55) +   &
                      coupl(nGC_121)*coupl(nGC_32)*coupl(nGC_33) - coupl(      &
                      nGC_121)*coupl(nGC_90)*coupl(nGC_92) + coupl(nGC_123)*   &
                      coupl(nGC_1405)*coupl(nGC_33) - coupl(nGC_123)*coupl(    &
                      nGC_90)*coupl(nGC_93) + coupl(nGC_124)*coupl(nGC_1419)*  &
                      coupl(nGC_33) - coupl(nGC_124)*coupl(nGC_90)*coupl(nGC_94&
                      ))/(32d0*pi**2d0)
    coupl(nGC_4949) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_90) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_90) - coupl(nGC_120)*coupl(&
                      nGC_122)*coupl(nGC_91) - coupl(nGC_120)*coupl(nGC_123)*  &
                      coupl(nGC_93) - coupl(nGC_120)*coupl(nGC_124)*coupl(     &
                      nGC_94) + coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_91) +  &
                      coupl(nGC_1861)*coupl(nGC_54)*coupl(nGC_90) + coupl(nGC_2&
                      )*coupl(nGC_805)*coupl(nGC_90) + coupl(nGC_33)*coupl(    &
                      nGC_35)*coupl(nGC_93) + coupl(nGC_33)*coupl(nGC_47)*coupl&
                      (nGC_94) + 8d0*coupl(nGC_50)*coupl(nGC_54)*coupl(nGC_90  &
                      ) + coupl(nGC_50)*coupl(nGC_55)*coupl(nGC_90))/(32d0*pi**&
                      2d0)
    coupl(nGC_4950) = (coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_96) + coupl(    &
                      nGC_1861)*coupl(nGC_56)*coupl(nGC_95) + coupl(nGC_33)*   &
                      coupl(nGC_35)*coupl(nGC_98) + coupl(nGC_33)*coupl(nGC_47 &
                      )*coupl(nGC_99) + coupl(nGC_4)**2d0*coupl(nGC_95) + coupl&
                      (nGC_52)*coupl(nGC_55)*coupl(nGC_95) + 8d0*coupl(nGC_52)*&
                      coupl(nGC_56)*coupl(nGC_95))/(32d0*pi**2d0)
    coupl(nGC_4951) = (coupl(nGC_100)*coupl(nGC_1861)*coupl(nGC_56) + coupl(   &
                      nGC_100)*coupl(nGC_4)**2d0 + coupl(nGC_100)*coupl(nGC_52 &
                      )*coupl(nGC_55) + 8d0*coupl(nGC_100)*coupl(nGC_52)*coupl(&
                      nGC_56) + coupl(nGC_101)*coupl(nGC_1393)*coupl(nGC_33) + &
                      coupl(nGC_103)*coupl(nGC_33)*coupl(nGC_35) + coupl(      &
                      nGC_104)*coupl(nGC_33)*coupl(nGC_47))/(32d0*pi**2d0)
    coupl(nGC_4952) = (-coupl(nGC_115)*coupl(nGC_1861)*coupl(nGC_52) - coupl(  &
                      nGC_115)*coupl(nGC_4)*coupl(nGC_805) + 8d0*coupl(nGC_115 &
                      )*coupl(nGC_52)*coupl(nGC_56) - coupl(nGC_115)*coupl(    &
                      nGC_55)*coupl(nGC_56) - coupl(nGC_116)*coupl(nGC_32)*    &
                      coupl(nGC_33) - coupl(nGC_118)*coupl(nGC_1405)*coupl(    &
                      nGC_33) - coupl(nGC_119)*coupl(nGC_1419)*coupl(nGC_33))/(&
                      32d0*pi**2d0)
    coupl(nGC_4953) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_84) + 16d0*Nc*  &
                      cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*  &
                      cMB*coupl(nGC_82)**2d0*coupl(nGC_84) + 4d0*Nc*cMC*coupl( &
                      nGC_86)**2d0*coupl(nGC_89) + 16d0*Nc*cMC*coupl(nGC_86)*  &
                      coupl(nGC_87)*coupl(nGC_89) + 4d0*Nc*cMC*coupl(nGC_87)** &
                      2d0*coupl(nGC_89) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl( &
                      nGC_94) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl( &
                      nGC_94) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_94) +  &
                      4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_109) + 16d0*Nc* &
                      cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_109) + 4d0*Nc&
                      *cMS*coupl(nGC_107)**2d0*coupl(nGC_109) + 4d0*Nc*cMT*    &
                      coupl(nGC_111)**2d0*coupl(nGC_114) + 16d0*Nc*cMT*coupl(  &
                      nGC_111)*coupl(nGC_112)*coupl(nGC_114) + 4d0*Nc*cMT*coupl&
                      (nGC_112)**2d0*coupl(nGC_114) + 4d0*Nc*cMU*coupl(nGC_121 &
                      )**2d0*coupl(nGC_124) + 16d0*Nc*cMU*coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_124) + 4d0*Nc*cMU*coupl(nGC_122)**2d0*&
                      coupl(nGC_124) + 4d0*cME*coupl(nGC_96)**2d0*coupl(nGC_99 &
                      ) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_99) + &
                      4d0*cME*coupl(nGC_97)**2d0*coupl(nGC_99) + 4d0*cMM*coupl(&
                      nGC_101)**2d0*coupl(nGC_104) + 16d0*cMM*coupl(nGC_101)*  &
                      coupl(nGC_102)*coupl(nGC_104) + 4d0*cMM*coupl(nGC_102)** &
                      2d0*coupl(nGC_104) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl( &
                      nGC_119) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*coupl(&
                      nGC_119) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(nGC_119) + &
                      4d0*cima*coupl(nGC_26)*coupl(nGC_70) + 2d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_73) - 2d0*coupl(nGC_1393)*coupl(nGC_32 &
                      )*coupl(nGC_70) + 2d0*coupl(nGC_1393)*coupl(nGC_32)*coupl&
                      (nGC_74) + coupl(nGC_1835)*coupl(nGC_1847)*coupl(nGC_75  &
                      ) - coupl(nGC_1835)*coupl(nGC_57)*coupl(nGC_73) + coupl( &
                      nGC_1835)*coupl(nGC_57)*coupl(nGC_76) + coupl(nGC_1835)* &
                      coupl(nGC_61)*coupl(nGC_79) + coupl(nGC_1847)**2d0*coupl(&
                      nGC_74) + coupl(nGC_1847)*coupl(nGC_57)*coupl(nGC_79) -  &
                      coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_73) + coupl(     &
                      nGC_1847)*coupl(nGC_61)*coupl(nGC_77) + coupl(nGC_57)*   &
                      coupl(nGC_61)*coupl(nGC_75) + coupl(nGC_61)**2d0*coupl(  &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_4954) = (4d0*Nc*cMB*coupl(nGC_81)**2d0*coupl(nGC_83) + 16d0*Nc*  &
                      cMB*coupl(nGC_81)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*  &
                      cMB*coupl(nGC_82)**2d0*coupl(nGC_83) + 4d0*Nc*cMC*coupl( &
                      nGC_86)**2d0*coupl(nGC_88) + 16d0*Nc*cMC*coupl(nGC_86)*  &
                      coupl(nGC_87)*coupl(nGC_88) + 4d0*Nc*cMC*coupl(nGC_87)** &
                      2d0*coupl(nGC_88) + 4d0*Nc*cMD*coupl(nGC_91)**2d0*coupl( &
                      nGC_93) + 16d0*Nc*cMD*coupl(nGC_91)*coupl(nGC_92)*coupl( &
                      nGC_93) + 4d0*Nc*cMD*coupl(nGC_92)**2d0*coupl(nGC_93) +  &
                      4d0*Nc*cMS*coupl(nGC_106)**2d0*coupl(nGC_108) + 16d0*Nc* &
                      cMS*coupl(nGC_106)*coupl(nGC_107)*coupl(nGC_108) + 4d0*Nc&
                      *cMS*coupl(nGC_107)**2d0*coupl(nGC_108) + 4d0*Nc*cMT*    &
                      coupl(nGC_111)**2d0*coupl(nGC_113) + 16d0*Nc*cMT*coupl(  &
                      nGC_111)*coupl(nGC_112)*coupl(nGC_113) + 4d0*Nc*cMT*coupl&
                      (nGC_112)**2d0*coupl(nGC_113) + 4d0*Nc*cMU*coupl(nGC_121 &
                      )**2d0*coupl(nGC_123) + 16d0*Nc*cMU*coupl(nGC_121)*coupl(&
                      nGC_122)*coupl(nGC_123) + 4d0*Nc*cMU*coupl(nGC_122)**2d0*&
                      coupl(nGC_123) + 4d0*cME*coupl(nGC_96)**2d0*coupl(nGC_98 &
                      ) + 16d0*cME*coupl(nGC_96)*coupl(nGC_97)*coupl(nGC_98) + &
                      4d0*cME*coupl(nGC_97)**2d0*coupl(nGC_98) + 4d0*cMM*coupl(&
                      nGC_101)**2d0*coupl(nGC_103) + 16d0*cMM*coupl(nGC_101)*  &
                      coupl(nGC_102)*coupl(nGC_103) + 4d0*cMM*coupl(nGC_102)** &
                      2d0*coupl(nGC_103) + 4d0*cMTA*coupl(nGC_116)**2d0*coupl( &
                      nGC_118) + 16d0*cMTA*coupl(nGC_116)*coupl(nGC_117)*coupl(&
                      nGC_118) + 4d0*cMTA*coupl(nGC_117)**2d0*coupl(nGC_118) + &
                      4d0*cima*coupl(nGC_26)*coupl(nGC_69) + 2d0*cima*coupl(   &
                      nGC_64)*coupl(nGC_72) - 2d0*coupl(nGC_1393)*coupl(nGC_32 &
                      )*coupl(nGC_69) + 2d0*coupl(nGC_1393)*coupl(nGC_32)*coupl&
                      (nGC_75) + coupl(nGC_1835)**2d0*coupl(nGC_75) + coupl(   &
                      nGC_1835)*coupl(nGC_1847)*coupl(nGC_74) - coupl(nGC_1835 &
                      )*coupl(nGC_57)*coupl(nGC_72) + coupl(nGC_1835)*coupl(   &
                      nGC_57)*coupl(nGC_78) + coupl(nGC_1835)*coupl(nGC_61)*   &
                      coupl(nGC_76) + coupl(nGC_1847)*coupl(nGC_57)*coupl(     &
                      nGC_76) - coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_72) +  &
                      coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_79) + coupl(     &
                      nGC_57)**2d0*coupl(nGC_75) + coupl(nGC_57)*coupl(nGC_61)*&
                      coupl(nGC_74))/(32d0*pi**2d0)
    coupl(nGC_4955) = (4d0*Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_50) - 4d0&
                      *Nc*coupl(nGC_106)*coupl(nGC_109)*coupl(nGC_53) - 4d0*Nc*&
                      coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_50) + 4d0*Nc*    &
                      coupl(nGC_107)*coupl(nGC_109)*coupl(nGC_53) - 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_114)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_114)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_124)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_124)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_84) - 4d0*Nc*coupl(&
                      nGC_50)*coupl(nGC_82)*coupl(nGC_84) + 4d0*Nc*coupl(nGC_50&
                      )*coupl(nGC_91)*coupl(nGC_94) - 4d0*Nc*coupl(nGC_50)*    &
                      coupl(nGC_92)*coupl(nGC_94) - 4d0*Nc*coupl(nGC_51)*coupl(&
                      nGC_86)*coupl(nGC_89) + 4d0*Nc*coupl(nGC_51)*coupl(nGC_87&
                      )*coupl(nGC_89) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_81)*    &
                      coupl(nGC_84) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_82)*coupl(&
                      nGC_84) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_94&
                      ) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_94) +   &
                      4d0*Nc*coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_89) - 4d0*Nc&
                      *coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_89) + 4d0*coupl(  &
                      nGC_101)*coupl(nGC_104)*coupl(nGC_52) - 4d0*coupl(nGC_101&
                      )*coupl(nGC_104)*coupl(nGC_55) - 4d0*coupl(nGC_102)*coupl&
                      (nGC_104)*coupl(nGC_52) + 4d0*coupl(nGC_102)*coupl(      &
                      nGC_104)*coupl(nGC_55) + 4d0*coupl(nGC_116)*coupl(nGC_119&
                      )*coupl(nGC_52) - 4d0*coupl(nGC_116)*coupl(nGC_119)*coupl&
                      (nGC_55) - 4d0*coupl(nGC_117)*coupl(nGC_119)*coupl(nGC_52&
                      ) + 4d0*coupl(nGC_117)*coupl(nGC_119)*coupl(nGC_55) -    &
                      coupl(nGC_1393)*coupl(nGC_1419)*coupl(nGC_1861) - coupl( &
                      nGC_1393)*coupl(nGC_1599)*coupl(nGC_55) - coupl(nGC_1835 &
                      )**2d0*coupl(nGC_1847) - coupl(nGC_1847)**3d0 + 6d0*coupl&
                      (nGC_32)*coupl(nGC_37)*coupl(nGC_47) + 6d0*coupl(nGC_32)*&
                      coupl(nGC_46)*coupl(nGC_825) + 4d0*coupl(nGC_52)*coupl(  &
                      nGC_96)*coupl(nGC_99) - 4d0*coupl(nGC_52)*coupl(nGC_97)* &
                      coupl(nGC_99) - 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(   &
                      nGC_99) + 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_99   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_14170) = -coupl(nGC_4955)
    coupl(nGC_4956) = (4d0*Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_50) - 4d0&
                      *Nc*coupl(nGC_106)*coupl(nGC_108)*coupl(nGC_53) - 4d0*Nc*&
                      coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_50) + 4d0*Nc*    &
                      coupl(nGC_107)*coupl(nGC_108)*coupl(nGC_53) - 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_111)*coupl(nGC_113)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_112)*coupl(nGC_113)*coupl(nGC_54) - 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_51) + 4d0*Nc*    &
                      coupl(nGC_121)*coupl(nGC_123)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_51) - 4d0*Nc*    &
                      coupl(nGC_122)*coupl(nGC_123)*coupl(nGC_54) + 4d0*Nc*    &
                      coupl(nGC_50)*coupl(nGC_81)*coupl(nGC_83) - 4d0*Nc*coupl(&
                      nGC_50)*coupl(nGC_82)*coupl(nGC_83) + 4d0*Nc*coupl(nGC_50&
                      )*coupl(nGC_91)*coupl(nGC_93) - 4d0*Nc*coupl(nGC_50)*    &
                      coupl(nGC_92)*coupl(nGC_93) - 4d0*Nc*coupl(nGC_51)*coupl(&
                      nGC_86)*coupl(nGC_88) + 4d0*Nc*coupl(nGC_51)*coupl(nGC_87&
                      )*coupl(nGC_88) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_81)*    &
                      coupl(nGC_83) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_82)*coupl(&
                      nGC_83) - 4d0*Nc*coupl(nGC_53)*coupl(nGC_91)*coupl(nGC_93&
                      ) + 4d0*Nc*coupl(nGC_53)*coupl(nGC_92)*coupl(nGC_93) +   &
                      4d0*Nc*coupl(nGC_54)*coupl(nGC_86)*coupl(nGC_88) - 4d0*Nc&
                      *coupl(nGC_54)*coupl(nGC_87)*coupl(nGC_88) + 4d0*coupl(  &
                      nGC_101)*coupl(nGC_103)*coupl(nGC_52) - 4d0*coupl(nGC_101&
                      )*coupl(nGC_103)*coupl(nGC_55) - 4d0*coupl(nGC_102)*coupl&
                      (nGC_103)*coupl(nGC_52) + 4d0*coupl(nGC_102)*coupl(      &
                      nGC_103)*coupl(nGC_55) + 4d0*coupl(nGC_116)*coupl(nGC_118&
                      )*coupl(nGC_52) - 4d0*coupl(nGC_116)*coupl(nGC_118)*coupl&
                      (nGC_55) - 4d0*coupl(nGC_117)*coupl(nGC_118)*coupl(nGC_52&
                      ) + 4d0*coupl(nGC_117)*coupl(nGC_118)*coupl(nGC_55) -    &
                      coupl(nGC_1393)*coupl(nGC_1405)*coupl(nGC_1861) - coupl( &
                      nGC_1393)*coupl(nGC_1587)*coupl(nGC_55) - coupl(nGC_1835 &
                      )**3d0 - coupl(nGC_1835)*coupl(nGC_1847)**2d0 + 6d0*coupl&
                      (nGC_32)*coupl(nGC_34)*coupl(nGC_825) + 6d0*coupl(nGC_32 &
                      )*coupl(nGC_35)*coupl(nGC_37) + 4d0*coupl(nGC_52)*coupl( &
                      nGC_96)*coupl(nGC_98) - 4d0*coupl(nGC_52)*coupl(nGC_97)* &
                      coupl(nGC_98) - 4d0*coupl(nGC_55)*coupl(nGC_96)*coupl(   &
                      nGC_98) + 4d0*coupl(nGC_55)*coupl(nGC_97)*coupl(nGC_98   &
                      ))/(96d0*pi**2d0)
    coupl(nGC_14178) = -coupl(nGC_4956)
    coupl(nGC_4957) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_81) - coupl(nGC_110)*   &
                      coupl(nGC_111)*coupl(nGC_80) - coupl(nGC_1393)*coupl(    &
                      nGC_33)*coupl(nGC_80) - coupl(nGC_1835)*coupl(nGC_53)*   &
                      coupl(nGC_83) - coupl(nGC_1847)*coupl(nGC_53)*coupl(     &
                      nGC_84) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_81   &
                      ) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_83) - coupl(   &
                      nGC_50)*coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)**2d0*&
                      coupl(nGC_82) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(&
                      nGC_82)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4959) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_82) - coupl(nGC_110)*   &
                      coupl(nGC_112)*coupl(nGC_80) - coupl(nGC_1835)*coupl(    &
                      nGC_50)*coupl(nGC_83) - coupl(nGC_1847)*coupl(nGC_50)*   &
                      coupl(nGC_84) - coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_80 &
                      ) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_82) - coupl&
                      (nGC_53)*coupl(nGC_57)*coupl(nGC_83) - coupl(nGC_53)*    &
                      coupl(nGC_61)*coupl(nGC_84) - coupl(nGC_81)*coupl(nGC_82 &
                      )**2d0 - coupl(nGC_81)*coupl(nGC_83)**2d0 - coupl(nGC_81 &
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4958) = coupl(nGC_11)**2d0*coupl(nGC_81)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4960) = coupl(nGC_11)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4961) = (-coupl(nGC_105)*coupl(nGC_107)*coupl(nGC_85) - coupl(   &
                      nGC_1393)*coupl(nGC_33)*coupl(nGC_85) - coupl(nGC_1835)* &
                      coupl(nGC_54)*coupl(nGC_88) - coupl(nGC_1847)*coupl(     &
                      nGC_54)*coupl(nGC_89) + 8d0*coupl(nGC_2)**2d0*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_87   &
                      ) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_88) - coupl(   &
                      nGC_51)*coupl(nGC_61)*coupl(nGC_89) - coupl(nGC_86)*coupl&
                      (nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88)**2d0 - coupl(&
                      nGC_86)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4963) = (-coupl(nGC_105)*coupl(nGC_106)*coupl(nGC_85) - coupl(   &
                      nGC_1835)*coupl(nGC_51)*coupl(nGC_88) - coupl(nGC_1847)* &
                      coupl(nGC_51)*coupl(nGC_89) + 8d0*coupl(nGC_2)**2d0*coupl&
                      (nGC_86) - coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_85) +   &
                      8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_86) - coupl(   &
                      nGC_54)*coupl(nGC_57)*coupl(nGC_88) - coupl(nGC_54)*coupl&
                      (nGC_61)*coupl(nGC_89) - coupl(nGC_86)**2d0*coupl(nGC_87 &
                      ) - coupl(nGC_87)*coupl(nGC_88)**2d0 - coupl(nGC_87)*    &
                      coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4962) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4964) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4965) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_91) - coupl(nGC_120)*   &
                      coupl(nGC_121)*coupl(nGC_90) - coupl(nGC_1393)*coupl(    &
                      nGC_33)*coupl(nGC_90) - coupl(nGC_1835)*coupl(nGC_53)*   &
                      coupl(nGC_93) - coupl(nGC_1847)*coupl(nGC_53)*coupl(     &
                      nGC_94) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_91   &
                      ) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_93) - coupl(   &
                      nGC_50)*coupl(nGC_61)*coupl(nGC_94) - coupl(nGC_91)**2d0*&
                      coupl(nGC_92) - coupl(nGC_92)*coupl(nGC_93)**2d0 - coupl(&
                      nGC_92)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4967) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_92) - coupl(nGC_120)*   &
                      coupl(nGC_122)*coupl(nGC_90) - coupl(nGC_1835)*coupl(    &
                      nGC_50)*coupl(nGC_93) - coupl(nGC_1847)*coupl(nGC_50)*   &
                      coupl(nGC_94) - coupl(nGC_32)*coupl(nGC_33)*coupl(nGC_90 &
                      ) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_92) - coupl&
                      (nGC_53)*coupl(nGC_57)*coupl(nGC_93) - coupl(nGC_53)*    &
                      coupl(nGC_61)*coupl(nGC_94) - coupl(nGC_91)*coupl(nGC_92 &
                      )**2d0 - coupl(nGC_91)*coupl(nGC_93)**2d0 - coupl(nGC_91 &
                      )*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4966) = coupl(nGC_11)**2d0*coupl(nGC_91)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4968) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4969) = (coupl(nGC_1393)*coupl(nGC_33)*coupl(nGC_95) + coupl(    &
                      nGC_1835)*coupl(nGC_55)*coupl(nGC_98) + coupl(nGC_1847)* &
                      coupl(nGC_55)*coupl(nGC_99) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_97) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_97  &
                      ) + coupl(nGC_52)*coupl(nGC_57)*coupl(nGC_98) + coupl(   &
                      nGC_52)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)*coupl&
                      (nGC_97)**2d0 - coupl(nGC_96)*coupl(nGC_98)**2d0 - coupl(&
                      nGC_96)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4970) = (coupl(nGC_1835)*coupl(nGC_52)*coupl(nGC_98) + coupl(    &
                      nGC_1847)*coupl(nGC_52)*coupl(nGC_99) + coupl(nGC_32)*   &
                      coupl(nGC_33)*coupl(nGC_95) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_96) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_96  &
                      ) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_98) + coupl(   &
                      nGC_55)*coupl(nGC_61)*coupl(nGC_99) - coupl(nGC_96)**2d0*&
                      coupl(nGC_97) - coupl(nGC_97)*coupl(nGC_98)**2d0 - coupl(&
                      nGC_97)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4971) = (coupl(nGC_100)*coupl(nGC_1393)*coupl(nGC_33) - coupl(   &
                      nGC_101)*coupl(nGC_102)**2d0 - coupl(nGC_101)*coupl(     &
                      nGC_103)**2d0 - coupl(nGC_101)*coupl(nGC_104)**2d0 + 8d0*&
                      coupl(nGC_102)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_102)*   &
                      coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_103)*coupl(      &
                      nGC_1835)*coupl(nGC_55) + coupl(nGC_103)*coupl(nGC_52)*  &
                      coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_1847)*coupl(    &
                      nGC_55) + coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4972) = (coupl(nGC_100)*coupl(nGC_32)*coupl(nGC_33) - coupl(     &
                      nGC_101)**2d0*coupl(nGC_102) + 8d0*coupl(nGC_101)*coupl( &
                      nGC_4)**2d0 + 8d0*coupl(nGC_101)*coupl(nGC_52)*coupl(    &
                      nGC_55) - coupl(nGC_102)*coupl(nGC_103)**2d0 - coupl(    &
                      nGC_102)*coupl(nGC_104)**2d0 + coupl(nGC_103)*coupl(     &
                      nGC_1835)*coupl(nGC_52) + coupl(nGC_103)*coupl(nGC_55)*  &
                      coupl(nGC_57) + coupl(nGC_104)*coupl(nGC_1847)*coupl(    &
                      nGC_52) + coupl(nGC_104)*coupl(nGC_55)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4973) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_106) - coupl(nGC_105)*  &
                      coupl(nGC_1393)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                      nGC_85)*coupl(nGC_86) - coupl(nGC_106)**2d0*coupl(nGC_107&
                      ) + 8d0*coupl(nGC_106)*coupl(nGC_50)*coupl(nGC_53) -     &
                      coupl(nGC_107)*coupl(nGC_108)**2d0 - coupl(nGC_107)*coupl&
                      (nGC_109)**2d0 - coupl(nGC_108)*coupl(nGC_1835)*coupl(   &
                      nGC_53) - coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_57) -   &
                      coupl(nGC_109)*coupl(nGC_1847)*coupl(nGC_53) - coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4975) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_107) - coupl(nGC_105)*  &
                      coupl(nGC_32)*coupl(nGC_33) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_87) - coupl(nGC_106)*coupl(nGC_107)**2d0 -   &
                      coupl(nGC_106)*coupl(nGC_108)**2d0 - coupl(nGC_106)*coupl&
                      (nGC_109)**2d0 + 8d0*coupl(nGC_107)*coupl(nGC_50)*coupl( &
                      nGC_53) - coupl(nGC_108)*coupl(nGC_1835)*coupl(nGC_50) - &
                      coupl(nGC_108)*coupl(nGC_53)*coupl(nGC_57) - coupl(      &
                      nGC_109)*coupl(nGC_1847)*coupl(nGC_50) - coupl(nGC_109)* &
                      coupl(nGC_53)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4974) = coupl(nGC_106)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4976) = coupl(nGC_107)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4977) = (-coupl(nGC_110)*coupl(nGC_32)*coupl(nGC_33) - coupl(    &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_81) - coupl(nGC_111)**  &
                      2d0*coupl(nGC_112) + 8d0*coupl(nGC_111)*coupl(nGC_2)**2d0&
                       + 8d0*coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_54) - coupl&
                      (nGC_112)*coupl(nGC_113)**2d0 - coupl(nGC_112)*coupl(    &
                      nGC_114)**2d0 - coupl(nGC_113)*coupl(nGC_1835)*coupl(    &
                      nGC_51) - coupl(nGC_113)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_114)*coupl(nGC_1847)*coupl(nGC_51) - coupl(    &
                      nGC_114)*coupl(nGC_54)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4979) = (-coupl(nGC_110)*coupl(nGC_1393)*coupl(nGC_33) - coupl(  &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_82) - coupl(nGC_111)*   &
                      coupl(nGC_112)**2d0 - coupl(nGC_111)*coupl(nGC_113)**2d0 &
                       - coupl(nGC_111)*coupl(nGC_114)**2d0 + 8d0*coupl(nGC_112&
                      )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_112)*coupl(nGC_51)*  &
                      coupl(nGC_54) - coupl(nGC_113)*coupl(nGC_1835)*coupl(    &
                      nGC_54) - coupl(nGC_113)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_114)*coupl(nGC_1847)*coupl(nGC_54) - coupl(    &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4978) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4980) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4981) = (coupl(nGC_115)*coupl(nGC_1393)*coupl(nGC_33) - coupl(   &
                      nGC_116)*coupl(nGC_117)**2d0 - coupl(nGC_116)*coupl(     &
                      nGC_118)**2d0 - coupl(nGC_116)*coupl(nGC_119)**2d0 + 8d0*&
                      coupl(nGC_117)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_117)*   &
                      coupl(nGC_52)*coupl(nGC_55) + coupl(nGC_118)*coupl(      &
                      nGC_1835)*coupl(nGC_55) + coupl(nGC_118)*coupl(nGC_52)*  &
                      coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_1847)*coupl(    &
                      nGC_55) + coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4982) = (coupl(nGC_115)*coupl(nGC_32)*coupl(nGC_33) - coupl(     &
                      nGC_116)**2d0*coupl(nGC_117) + 8d0*coupl(nGC_116)*coupl( &
                      nGC_4)**2d0 + 8d0*coupl(nGC_116)*coupl(nGC_52)*coupl(    &
                      nGC_55) - coupl(nGC_117)*coupl(nGC_118)**2d0 - coupl(    &
                      nGC_117)*coupl(nGC_119)**2d0 + coupl(nGC_118)*coupl(     &
                      nGC_1835)*coupl(nGC_52) + coupl(nGC_118)*coupl(nGC_55)*  &
                      coupl(nGC_57) + coupl(nGC_119)*coupl(nGC_1847)*coupl(    &
                      nGC_52) + coupl(nGC_119)*coupl(nGC_55)*coupl(nGC_61))/(  &
                      32d0*pi**2d0)
    coupl(nGC_4983) = (-coupl(nGC_120)*coupl(nGC_1393)*coupl(nGC_33) - coupl(  &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_92) - coupl(nGC_121)*   &
                      coupl(nGC_122)**2d0 - coupl(nGC_121)*coupl(nGC_123)**2d0 &
                       - coupl(nGC_121)*coupl(nGC_124)**2d0 + 8d0*coupl(nGC_122&
                      )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_122)*coupl(nGC_51)*  &
                      coupl(nGC_54) - coupl(nGC_123)*coupl(nGC_1835)*coupl(    &
                      nGC_54) - coupl(nGC_123)*coupl(nGC_51)*coupl(nGC_57) -   &
                      coupl(nGC_124)*coupl(nGC_1847)*coupl(nGC_54) - coupl(    &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4985) = (-coupl(nGC_120)*coupl(nGC_32)*coupl(nGC_33) - coupl(    &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_91) - coupl(nGC_121)**  &
                      2d0*coupl(nGC_122) + 8d0*coupl(nGC_121)*coupl(nGC_2)**2d0&
                       + 8d0*coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_54) - coupl&
                      (nGC_122)*coupl(nGC_123)**2d0 - coupl(nGC_122)*coupl(    &
                      nGC_124)**2d0 - coupl(nGC_123)*coupl(nGC_1835)*coupl(    &
                      nGC_51) - coupl(nGC_123)*coupl(nGC_54)*coupl(nGC_57) -   &
                      coupl(nGC_124)*coupl(nGC_1847)*coupl(nGC_51) - coupl(    &
                      nGC_124)*coupl(nGC_54)*coupl(nGC_61))/(32d0*pi**2d0)
    coupl(nGC_4984) = coupl(nGC_11)**2d0*coupl(nGC_122)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4986) = coupl(nGC_11)**2d0*coupl(nGC_121)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4987) = 3d0*(8d0*Nc*cMB*coupl(nGC_84)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_89)**3d0 + 8d0*Nc*cMD*coupl(nGC_94)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_109)**3d0 + 8d0*Nc*cMT*coupl(nGC_114)**3d0 +  &
                      8d0*Nc*cMU*coupl(nGC_124)**3d0 + 8d0*cME*coupl(nGC_99)** &
                      3d0 + 8d0*cMM*coupl(nGC_104)**3d0 + 8d0*cMTA*coupl(      &
                      nGC_119)**3d0 + 4d0*cima*coupl(nGC_31)*coupl(nGC_70) +   &
                      2d0*cima*coupl(nGC_67)*coupl(nGC_73) - coupl(nGC_1419)*  &
                      coupl(nGC_46)*coupl(nGC_70) + coupl(nGC_1419)*coupl(     &
                      nGC_46)*coupl(nGC_74) - coupl(nGC_1599)*coupl(nGC_47)*   &
                      coupl(nGC_70) + coupl(nGC_1599)*coupl(nGC_47)*coupl(     &
                      nGC_74) - coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_73) +  &
                      coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_74))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4988) = (24d0*Nc*cMB*coupl(nGC_83)*coupl(nGC_84)**2d0 + 24d0*Nc* &
                      cMC*coupl(nGC_88)*coupl(nGC_89)**2d0 + 24d0*Nc*cMD*coupl(&
                      nGC_93)*coupl(nGC_94)**2d0 + 24d0*Nc*cMS*coupl(nGC_108)* &
                      coupl(nGC_109)**2d0 + 24d0*Nc*cMT*coupl(nGC_113)*coupl(  &
                      nGC_114)**2d0 + 24d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_124 &
                      )**2d0 + 24d0*cME*coupl(nGC_98)*coupl(nGC_99)**2d0 + 24d0&
                      *cMM*coupl(nGC_103)*coupl(nGC_104)**2d0 + 24d0*cMTA*coupl&
                      (nGC_118)*coupl(nGC_119)**2d0 + 8d0*cima*coupl(nGC_30)*  &
                      coupl(nGC_70) + 4d0*cima*coupl(nGC_31)*coupl(nGC_69) +   &
                      4d0*cima*coupl(nGC_66)*coupl(nGC_73) + 2d0*cima*coupl(   &
                      nGC_67)*coupl(nGC_72) - coupl(nGC_1405)*coupl(nGC_46)*   &
                      coupl(nGC_70) + coupl(nGC_1405)*coupl(nGC_46)*coupl(     &
                      nGC_74) - coupl(nGC_1419)*coupl(nGC_34)*coupl(nGC_70) +  &
                      coupl(nGC_1419)*coupl(nGC_34)*coupl(nGC_74) - coupl(     &
                      nGC_1419)*coupl(nGC_46)*coupl(nGC_69) + coupl(nGC_1419)* &
                      coupl(nGC_46)*coupl(nGC_75) - coupl(nGC_1587)*coupl(     &
                      nGC_47)*coupl(nGC_70) + coupl(nGC_1587)*coupl(nGC_47)*   &
                      coupl(nGC_74) - coupl(nGC_1599)*coupl(nGC_35)*coupl(     &
                      nGC_70) + coupl(nGC_1599)*coupl(nGC_35)*coupl(nGC_74) -  &
                      coupl(nGC_1599)*coupl(nGC_47)*coupl(nGC_69) + coupl(     &
                      nGC_1599)*coupl(nGC_47)*coupl(nGC_75) - coupl(nGC_1835)* &
                      coupl(nGC_61)*coupl(nGC_73) + coupl(nGC_1835)*coupl(     &
                      nGC_61)*coupl(nGC_74) - coupl(nGC_1847)*coupl(nGC_57)*   &
                      coupl(nGC_73) + coupl(nGC_1847)*coupl(nGC_57)*coupl(     &
                      nGC_74) - coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_72) +  &
                      coupl(nGC_1847)*coupl(nGC_61)*coupl(nGC_75))/(32d0*pi**  &
                      2d0)
    coupl(nGC_4989) = (24d0*Nc*cMB*coupl(nGC_83)**2d0*coupl(nGC_84) + 24d0*Nc* &
                      cMC*coupl(nGC_88)**2d0*coupl(nGC_89) + 24d0*Nc*cMD*coupl(&
                      nGC_93)**2d0*coupl(nGC_94) + 24d0*Nc*cMS*coupl(nGC_108)**&
                      2d0*coupl(nGC_109) + 24d0*Nc*cMT*coupl(nGC_113)**2d0*    &
                      coupl(nGC_114) + 24d0*Nc*cMU*coupl(nGC_123)**2d0*coupl(  &
                      nGC_124) + 24d0*cME*coupl(nGC_98)**2d0*coupl(nGC_99) +   &
                      24d0*cMM*coupl(nGC_103)**2d0*coupl(nGC_104) + 24d0*cMTA* &
                      coupl(nGC_118)**2d0*coupl(nGC_119) + 4d0*cima*coupl(     &
                      nGC_28)*coupl(nGC_70) + 8d0*cima*coupl(nGC_30)*coupl(    &
                      nGC_69) + 2d0*cima*coupl(nGC_65)*coupl(nGC_73) + 4d0*cima&
                      *coupl(nGC_66)*coupl(nGC_72) - coupl(nGC_1405)*coupl(    &
                      nGC_34)*coupl(nGC_70) + coupl(nGC_1405)*coupl(nGC_34)*   &
                      coupl(nGC_74) - coupl(nGC_1405)*coupl(nGC_46)*coupl(     &
                      nGC_69) + coupl(nGC_1405)*coupl(nGC_46)*coupl(nGC_75) -  &
                      coupl(nGC_1419)*coupl(nGC_34)*coupl(nGC_69) + coupl(     &
                      nGC_1419)*coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_1587)* &
                      coupl(nGC_35)*coupl(nGC_70) + coupl(nGC_1587)*coupl(     &
                      nGC_35)*coupl(nGC_74) - coupl(nGC_1587)*coupl(nGC_47)*   &
                      coupl(nGC_69) + coupl(nGC_1587)*coupl(nGC_47)*coupl(     &
                      nGC_75) - coupl(nGC_1599)*coupl(nGC_35)*coupl(nGC_69) +  &
                      coupl(nGC_1599)*coupl(nGC_35)*coupl(nGC_75) - coupl(     &
                      nGC_1835)*coupl(nGC_57)*coupl(nGC_73) + coupl(nGC_1835)* &
                      coupl(nGC_57)*coupl(nGC_74) - coupl(nGC_1835)*coupl(     &
                      nGC_61)*coupl(nGC_72) + coupl(nGC_1835)*coupl(nGC_61)*   &
                      coupl(nGC_75) - coupl(nGC_1847)*coupl(nGC_57)*coupl(     &
                      nGC_72) + coupl(nGC_1847)*coupl(nGC_57)*coupl(nGC_75))/( &
                      32d0*pi**2d0)
    coupl(nGC_4990) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_84) - 4d0*Nc*  &
                      cMC*coupl(nGC_33)**2d0*coupl(nGC_89) - 4d0*Nc*cMD*coupl( &
                      nGC_33)**2d0*coupl(nGC_94) - 4d0*Nc*cMS*coupl(nGC_109)*  &
                      coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_114)*coupl(    &
                      nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_33)** &
                      2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_99) - 4d0*cMM*&
                      coupl(nGC_104)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl(      &
                      nGC_119)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_70) + 2d0*cima*coupl(nGC_457)*coupl(nGC_73) -  &
                      coupl(nGC_1599)*coupl(nGC_68)*coupl(nGC_825) - coupl(    &
                      nGC_1599)*coupl(nGC_71)*coupl(nGC_809) + 6d0*coupl(nGC_37&
                      )**2d0*coupl(nGC_73) - coupl(nGC_47)*coupl(nGC_68)*coupl(&
                      nGC_825) - coupl(nGC_47)*coupl(nGC_71)*coupl(nGC_809) +  &
                      6d0*coupl(nGC_70)*coupl(nGC_809)**2d0 + 6d0*coupl(nGC_70 &
                      )*coupl(nGC_825)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4991) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_84) + 8d0*Nc*  &
                      cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84) - 8d0*Nc*  &
                      cMB*coupl(nGC_53)**2d0*coupl(nGC_84) - 8d0*Nc*cMC*coupl( &
                      nGC_51)**2d0*coupl(nGC_89) + 8d0*Nc*cMC*coupl(nGC_51)*   &
                      coupl(nGC_54)*coupl(nGC_89) - 8d0*Nc*cMC*coupl(nGC_54)** &
                      2d0*coupl(nGC_89) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*coupl( &
                      nGC_94) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                      nGC_94) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(nGC_94) -  &
                      8d0*Nc*cMS*coupl(nGC_109)*coupl(nGC_50)**2d0 + 8d0*Nc*cMS&
                      *coupl(nGC_109)*coupl(nGC_50)*coupl(nGC_53) - 8d0*Nc*cMS*&
                      coupl(nGC_109)*coupl(nGC_53)**2d0 - 8d0*Nc*cMT*coupl(    &
                      nGC_114)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT*coupl(nGC_114)* &
                      coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl(nGC_124)*coupl(    &
                      nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_51)*  &
                      coupl(nGC_54) - 8d0*Nc*cMU*coupl(nGC_124)*coupl(nGC_54)**&
                      2d0 - 8d0*cME*coupl(nGC_52)**2d0*coupl(nGC_99) + 8d0*cME*&
                      coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_99) - 8d0*cME*coupl&
                      (nGC_55)**2d0*coupl(nGC_99) - 8d0*cMM*coupl(nGC_104)*    &
                      coupl(nGC_52)**2d0 + 8d0*cMM*coupl(nGC_104)*coupl(nGC_52 &
                      )*coupl(nGC_55) - 8d0*cMM*coupl(nGC_104)*coupl(nGC_55)** &
                      2d0 - 8d0*cMTA*coupl(nGC_119)*coupl(nGC_52)**2d0 + 8d0*  &
                      cMTA*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55) - 8d0*   &
                      cMTA*coupl(nGC_119)*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_457)*coupl(nGC_70) - coupl(nGC_1419)*coupl(nGC_68)*  &
                      coupl(nGC_825) - coupl(nGC_1599)*coupl(nGC_37)*coupl(    &
                      nGC_68) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_70) - coupl(  &
                      nGC_37)*coupl(nGC_47)*coupl(nGC_68) - coupl(nGC_46)*coupl&
                      (nGC_68)*coupl(nGC_825) + 6d0*coupl(nGC_70)*coupl(nGC_825&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_4992) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)*   &
                      coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1847)*coupl(    &
                      nGC_50)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_46)*coupl&
                      (nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_84  &
                      ) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_81) - coupl(   &
                      nGC_81)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*coupl(   &
                      nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4993) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_84) - coupl(nGC_110)*   &
                      coupl(nGC_114)*coupl(nGC_80) - coupl(nGC_1419)*coupl(    &
                      nGC_33)*coupl(nGC_80) - coupl(nGC_1847)*coupl(nGC_53)*   &
                      coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_84) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_82) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84) - coupl(nGC_84)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4994) = coupl(nGC_11)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4995) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl(   &
                      nGC_1847)*coupl(nGC_51)*coupl(nGC_87) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_89) - coupl(nGC_33)*coupl(nGC_47)*coupl(&
                      nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_89   &
                      ) - coupl(nGC_54)*coupl(nGC_61)*coupl(nGC_87) - coupl(   &
                      nGC_87)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0*coupl(   &
                      nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4996) = (-coupl(nGC_105)*coupl(nGC_109)*coupl(nGC_85) - coupl(   &
                      nGC_1599)*coupl(nGC_33)*coupl(nGC_85) - coupl(nGC_1847)* &
                      coupl(nGC_54)*coupl(nGC_86) + 8d0*coupl(nGC_2)**2d0*coupl&
                      (nGC_89) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_89  &
                      ) - coupl(nGC_51)*coupl(nGC_61)*coupl(nGC_86) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_89) - coupl(nGC_88)**2d0*coupl(   &
                      nGC_89) - coupl(nGC_89)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4997) = coupl(nGC_11)**2d0*coupl(nGC_89)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_4998) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)*   &
                      coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_1847)*coupl(    &
                      nGC_50)*coupl(nGC_91) - coupl(nGC_33)*coupl(nGC_46)*coupl&
                      (nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_94  &
                      ) - coupl(nGC_53)*coupl(nGC_61)*coupl(nGC_91) - coupl(   &
                      nGC_91)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0*coupl(   &
                      nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4999) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_94) - coupl(nGC_120)*   &
                      coupl(nGC_124)*coupl(nGC_90) - coupl(nGC_1419)*coupl(    &
                      nGC_33)*coupl(nGC_90) - coupl(nGC_1847)*coupl(nGC_53)*   &
                      coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_94) - coupl(nGC_50)*coupl(nGC_61)*coupl(nGC_92) -    &
                      coupl(nGC_92)**2d0*coupl(nGC_94) - coupl(nGC_93)**2d0*   &
                      coupl(nGC_94) - coupl(nGC_94)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5000) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5001) = (coupl(nGC_1847)*coupl(nGC_52)*coupl(nGC_97) + coupl(    &
                      nGC_33)*coupl(nGC_47)*coupl(nGC_95) + 8d0*coupl(nGC_4)** &
                      2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                      (nGC_99) + coupl(nGC_55)*coupl(nGC_61)*coupl(nGC_97) -   &
                      coupl(nGC_97)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0*   &
                      coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5002) = (coupl(nGC_1599)*coupl(nGC_33)*coupl(nGC_95) + coupl(    &
                      nGC_1847)*coupl(nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_4  &
                      )**2d0*coupl(nGC_99) + 8d0*coupl(nGC_52)*coupl(nGC_55)*  &
                      coupl(nGC_99) + coupl(nGC_52)*coupl(nGC_61)*coupl(nGC_96 &
                      ) - coupl(nGC_96)**2d0*coupl(nGC_99) - coupl(nGC_98)**2d0&
                      *coupl(nGC_99) - coupl(nGC_99)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5003) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_84) - cMC*   &
                      coupl(nGC_89) - cMD*coupl(nGC_94) - cMS*coupl(nGC_109) - &
                      cMT*coupl(nGC_114) - cMU*coupl(nGC_124))/(16d0*pi**2d0)
    coupl(nGC_5004) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_84) + cMC*    &
                      coupl(nGC_89) + cMD*coupl(nGC_94) + cMS*coupl(nGC_109) + &
                      cMT*coupl(nGC_114) + cMU*coupl(nGC_124))/(16d0*pi**2d0*Nc&
                      )
    coupl(nGC_5005) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_47) - coupl(     &
                      nGC_102)**2d0*coupl(nGC_104) + coupl(nGC_102)*coupl(     &
                      nGC_1847)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)*  &
                      coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -     &
                      coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5006) = (coupl(nGC_100)*coupl(nGC_1599)*coupl(nGC_33) - coupl(   &
                      nGC_101)**2d0*coupl(nGC_104) + coupl(nGC_101)*coupl(     &
                      nGC_1847)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)*  &
                      coupl(nGC_61) - coupl(nGC_103)**2d0*coupl(nGC_104) -     &
                      coupl(nGC_104)**3d0 + 8d0*coupl(nGC_104)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_104)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5007) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_46) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_89) - coupl(nGC_106)**2d0*coupl(nGC_109) -   &
                      coupl(nGC_106)*coupl(nGC_1847)*coupl(nGC_50) - coupl(    &
                      nGC_106)*coupl(nGC_53)*coupl(nGC_61) - coupl(nGC_108)**  &
                      2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 + 8d0*coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5008) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_109) - coupl(nGC_105)*  &
                      coupl(nGC_1419)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                      nGC_85)*coupl(nGC_89) - coupl(nGC_107)**2d0*coupl(nGC_109&
                      ) - coupl(nGC_107)*coupl(nGC_1847)*coupl(nGC_53) - coupl(&
                      nGC_107)*coupl(nGC_50)*coupl(nGC_61) - coupl(nGC_108)**  &
                      2d0*coupl(nGC_109) - coupl(nGC_109)**3d0 + 8d0*coupl(    &
                      nGC_109)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5009) = coupl(nGC_109)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5010) = (-coupl(nGC_110)*coupl(nGC_1599)*coupl(nGC_33) - coupl(  &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_111)**  &
                      2d0*coupl(nGC_114) - coupl(nGC_111)*coupl(nGC_1847)*coupl&
                      (nGC_54) - coupl(nGC_111)*coupl(nGC_51)*coupl(nGC_61) -  &
                      coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114)**3d0 &
                       + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5011) = (-coupl(nGC_110)*coupl(nGC_33)*coupl(nGC_47) - coupl(    &
                      nGC_110)*coupl(nGC_80)*coupl(nGC_84) - coupl(nGC_112)**  &
                      2d0*coupl(nGC_114) - coupl(nGC_112)*coupl(nGC_1847)*coupl&
                      (nGC_51) - coupl(nGC_112)*coupl(nGC_54)*coupl(nGC_61) -  &
                      coupl(nGC_113)**2d0*coupl(nGC_114) - coupl(nGC_114)**3d0 &
                       + 8d0*coupl(nGC_114)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_114)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5012) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5013) = (coupl(nGC_115)*coupl(nGC_33)*coupl(nGC_47) - coupl(     &
                      nGC_117)**2d0*coupl(nGC_119) + coupl(nGC_117)*coupl(     &
                      nGC_1847)*coupl(nGC_52) + coupl(nGC_117)*coupl(nGC_55)*  &
                      coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -     &
                      coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5014) = (coupl(nGC_115)*coupl(nGC_1599)*coupl(nGC_33) - coupl(   &
                      nGC_116)**2d0*coupl(nGC_119) + coupl(nGC_116)*coupl(     &
                      nGC_1847)*coupl(nGC_55) + coupl(nGC_116)*coupl(nGC_52)*  &
                      coupl(nGC_61) - coupl(nGC_118)**2d0*coupl(nGC_119) -     &
                      coupl(nGC_119)**3d0 + 8d0*coupl(nGC_119)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_119)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5015) = (-coupl(nGC_120)*coupl(nGC_33)*coupl(nGC_47) - coupl(    &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_122)**  &
                      2d0*coupl(nGC_124) - coupl(nGC_122)*coupl(nGC_1847)*coupl&
                      (nGC_51) - coupl(nGC_122)*coupl(nGC_54)*coupl(nGC_61) -  &
                      coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124)**3d0 &
                       + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5016) = (-coupl(nGC_120)*coupl(nGC_1599)*coupl(nGC_33) - coupl(  &
                      nGC_120)*coupl(nGC_90)*coupl(nGC_94) - coupl(nGC_121)**  &
                      2d0*coupl(nGC_124) - coupl(nGC_121)*coupl(nGC_1847)*coupl&
                      (nGC_54) - coupl(nGC_121)*coupl(nGC_51)*coupl(nGC_61) -  &
                      coupl(nGC_123)**2d0*coupl(nGC_124) - coupl(nGC_124)**3d0 &
                       + 8d0*coupl(nGC_124)*coupl(nGC_2)**2d0 + 8d0*coupl(     &
                      nGC_124)*coupl(nGC_51)*coupl(nGC_54))/(32d0*pi**2d0)
    coupl(nGC_5017) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5018) = 3d0*(8d0*Nc*cMB*coupl(nGC_83)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_88)**3d0 + 8d0*Nc*cMD*coupl(nGC_93)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_108)**3d0 + 8d0*Nc*cMT*coupl(nGC_113)**3d0 +  &
                      8d0*Nc*cMU*coupl(nGC_123)**3d0 + 8d0*cME*coupl(nGC_98)** &
                      3d0 + 8d0*cMM*coupl(nGC_103)**3d0 + 8d0*cMTA*coupl(      &
                      nGC_118)**3d0 + 4d0*cima*coupl(nGC_28)*coupl(nGC_69) +   &
                      2d0*cima*coupl(nGC_65)*coupl(nGC_72) - coupl(nGC_1405)*  &
                      coupl(nGC_34)*coupl(nGC_69) + coupl(nGC_1405)*coupl(     &
                      nGC_34)*coupl(nGC_75) - coupl(nGC_1587)*coupl(nGC_35)*   &
                      coupl(nGC_69) + coupl(nGC_1587)*coupl(nGC_35)*coupl(     &
                      nGC_75) - coupl(nGC_1835)*coupl(nGC_57)*coupl(nGC_72) +  &
                      coupl(nGC_1835)*coupl(nGC_57)*coupl(nGC_75))/(32d0*pi**  &
                      2d0)
    coupl(nGC_5019) = (-4d0*Nc*cMB*coupl(nGC_33)**2d0*coupl(nGC_83) - 4d0*Nc*  &
                      cMC*coupl(nGC_33)**2d0*coupl(nGC_88) - 4d0*Nc*cMD*coupl( &
                      nGC_33)**2d0*coupl(nGC_93) - 4d0*Nc*cMS*coupl(nGC_108)*  &
                      coupl(nGC_33)**2d0 - 4d0*Nc*cMT*coupl(nGC_113)*coupl(    &
                      nGC_33)**2d0 - 4d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_33)** &
                      2d0 - 4d0*cME*coupl(nGC_33)**2d0*coupl(nGC_98) - 4d0*cMM*&
                      coupl(nGC_103)*coupl(nGC_33)**2d0 - 4d0*cMTA*coupl(      &
                      nGC_118)*coupl(nGC_33)**2d0 + 4d0*cima*coupl(nGC_27)*    &
                      coupl(nGC_69) + 2d0*cima*coupl(nGC_457)*coupl(nGC_72) -  &
                      coupl(nGC_1587)*coupl(nGC_68)*coupl(nGC_825) - coupl(    &
                      nGC_1587)*coupl(nGC_71)*coupl(nGC_809) - coupl(nGC_35)*  &
                      coupl(nGC_68)*coupl(nGC_825) - coupl(nGC_35)*coupl(nGC_71&
                      )*coupl(nGC_809) + 6d0*coupl(nGC_37)**2d0*coupl(nGC_72   &
                      ) + 6d0*coupl(nGC_69)*coupl(nGC_809)**2d0 + 6d0*coupl(   &
                      nGC_69)*coupl(nGC_825)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5020) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)*   &
                      coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_1835)*coupl(    &
                      nGC_50)*coupl(nGC_81) - coupl(nGC_33)*coupl(nGC_34)*coupl&
                      (nGC_80) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83  &
                      ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_81) - coupl(   &
                      nGC_81)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0 - coupl( &
                      nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5021) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_83) - coupl(nGC_110)*   &
                      coupl(nGC_113)*coupl(nGC_80) - coupl(nGC_1405)*coupl(    &
                      nGC_33)*coupl(nGC_80) - coupl(nGC_1835)*coupl(nGC_53)*   &
                      coupl(nGC_82) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_83) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_82) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0 -  &
                      coupl(nGC_83)*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5022) = coupl(nGC_11)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5023) = (-8d0*Nc*cMB*coupl(nGC_50)**2d0*coupl(nGC_83) + 8d0*Nc*  &
                      cMB*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_83) - 8d0*Nc*  &
                      cMB*coupl(nGC_53)**2d0*coupl(nGC_83) - 8d0*Nc*cMC*coupl( &
                      nGC_51)**2d0*coupl(nGC_88) + 8d0*Nc*cMC*coupl(nGC_51)*   &
                      coupl(nGC_54)*coupl(nGC_88) - 8d0*Nc*cMC*coupl(nGC_54)** &
                      2d0*coupl(nGC_88) - 8d0*Nc*cMD*coupl(nGC_50)**2d0*coupl( &
                      nGC_93) + 8d0*Nc*cMD*coupl(nGC_50)*coupl(nGC_53)*coupl(  &
                      nGC_93) - 8d0*Nc*cMD*coupl(nGC_53)**2d0*coupl(nGC_93) -  &
                      8d0*Nc*cMS*coupl(nGC_108)*coupl(nGC_50)**2d0 + 8d0*Nc*cMS&
                      *coupl(nGC_108)*coupl(nGC_50)*coupl(nGC_53) - 8d0*Nc*cMS*&
                      coupl(nGC_108)*coupl(nGC_53)**2d0 - 8d0*Nc*cMT*coupl(    &
                      nGC_113)*coupl(nGC_51)**2d0 + 8d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_51)*coupl(nGC_54) - 8d0*Nc*cMT*coupl(nGC_113)* &
                      coupl(nGC_54)**2d0 - 8d0*Nc*cMU*coupl(nGC_123)*coupl(    &
                      nGC_51)**2d0 + 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_51)*  &
                      coupl(nGC_54) - 8d0*Nc*cMU*coupl(nGC_123)*coupl(nGC_54)**&
                      2d0 - 8d0*cME*coupl(nGC_52)**2d0*coupl(nGC_98) + 8d0*cME*&
                      coupl(nGC_52)*coupl(nGC_55)*coupl(nGC_98) - 8d0*cME*coupl&
                      (nGC_55)**2d0*coupl(nGC_98) - 8d0*cMM*coupl(nGC_103)*    &
                      coupl(nGC_52)**2d0 + 8d0*cMM*coupl(nGC_103)*coupl(nGC_52 &
                      )*coupl(nGC_55) - 8d0*cMM*coupl(nGC_103)*coupl(nGC_55)** &
                      2d0 - 8d0*cMTA*coupl(nGC_118)*coupl(nGC_52)**2d0 + 8d0*  &
                      cMTA*coupl(nGC_118)*coupl(nGC_52)*coupl(nGC_55) - 8d0*   &
                      cMTA*coupl(nGC_118)*coupl(nGC_55)**2d0 + 4d0*cima*coupl( &
                      nGC_457)*coupl(nGC_69) - coupl(nGC_1405)*coupl(nGC_68)*  &
                      coupl(nGC_825) - coupl(nGC_1587)*coupl(nGC_37)*coupl(    &
                      nGC_68) - coupl(nGC_34)*coupl(nGC_68)*coupl(nGC_825) -   &
                      coupl(nGC_35)*coupl(nGC_37)*coupl(nGC_68) + 6d0*coupl(   &
                      nGC_37)**2d0*coupl(nGC_69) + 6d0*coupl(nGC_69)*coupl(    &
                      nGC_825)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5024) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) - coupl(   &
                      nGC_1835)*coupl(nGC_51)*coupl(nGC_87) + 8d0*coupl(nGC_2  &
                      )**2d0*coupl(nGC_88) - coupl(nGC_33)*coupl(nGC_35)*coupl(&
                      nGC_85) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88   &
                      ) - coupl(nGC_54)*coupl(nGC_57)*coupl(nGC_87) - coupl(   &
                      nGC_87)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0 - coupl( &
                      nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5025) = (-coupl(nGC_105)*coupl(nGC_108)*coupl(nGC_85) - coupl(   &
                      nGC_1587)*coupl(nGC_33)*coupl(nGC_85) - coupl(nGC_1835)* &
                      coupl(nGC_54)*coupl(nGC_86) + 8d0*coupl(nGC_2)**2d0*coupl&
                      (nGC_88) + 8d0*coupl(nGC_51)*coupl(nGC_54)*coupl(nGC_88  &
                      ) - coupl(nGC_51)*coupl(nGC_57)*coupl(nGC_86) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_88)**3d0 - coupl( &
                      nGC_88)*coupl(nGC_89)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5026) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5027) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)*   &
                      coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_1835)*coupl(    &
                      nGC_50)*coupl(nGC_91) - coupl(nGC_33)*coupl(nGC_34)*coupl&
                      (nGC_90) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(nGC_93  &
                      ) - coupl(nGC_53)*coupl(nGC_57)*coupl(nGC_91) - coupl(   &
                      nGC_91)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0 - coupl( &
                      nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5028) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_93) - coupl(nGC_120)*   &
                      coupl(nGC_123)*coupl(nGC_90) - coupl(nGC_1405)*coupl(    &
                      nGC_33)*coupl(nGC_90) - coupl(nGC_1835)*coupl(nGC_53)*   &
                      coupl(nGC_92) + 8d0*coupl(nGC_50)*coupl(nGC_53)*coupl(   &
                      nGC_93) - coupl(nGC_50)*coupl(nGC_57)*coupl(nGC_92) -    &
                      coupl(nGC_92)**2d0*coupl(nGC_93) - coupl(nGC_93)**3d0 -  &
                      coupl(nGC_93)*coupl(nGC_94)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5029) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5030) = (coupl(nGC_1835)*coupl(nGC_52)*coupl(nGC_97) + coupl(    &
                      nGC_33)*coupl(nGC_35)*coupl(nGC_95) + 8d0*coupl(nGC_4)** &
                      2d0*coupl(nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*coupl&
                      (nGC_98) + coupl(nGC_55)*coupl(nGC_57)*coupl(nGC_97) -   &
                      coupl(nGC_97)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0 -  &
                      coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5031) = (coupl(nGC_1587)*coupl(nGC_33)*coupl(nGC_95) + coupl(    &
                      nGC_1835)*coupl(nGC_55)*coupl(nGC_96) + 8d0*coupl(nGC_4  &
                      )**2d0*coupl(nGC_98) + 8d0*coupl(nGC_52)*coupl(nGC_55)*  &
                      coupl(nGC_98) + coupl(nGC_52)*coupl(nGC_57)*coupl(nGC_96 &
                      ) - coupl(nGC_96)**2d0*coupl(nGC_98) - coupl(nGC_98)**3d0&
                       - coupl(nGC_98)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5032) = (coupl(nGC_100)*coupl(nGC_33)*coupl(nGC_35) - coupl(     &
                      nGC_102)**2d0*coupl(nGC_103) + coupl(nGC_102)*coupl(     &
                      nGC_1835)*coupl(nGC_52) + coupl(nGC_102)*coupl(nGC_55)*  &
                      coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*    &
                      coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5033) = (coupl(nGC_100)*coupl(nGC_1587)*coupl(nGC_33) - coupl(   &
                      nGC_101)**2d0*coupl(nGC_103) + coupl(nGC_101)*coupl(     &
                      nGC_1835)*coupl(nGC_55) + coupl(nGC_101)*coupl(nGC_52)*  &
                      coupl(nGC_57) - coupl(nGC_103)**3d0 - coupl(nGC_103)*    &
                      coupl(nGC_104)**2d0 + 8d0*coupl(nGC_103)*coupl(nGC_4)**  &
                      2d0 + 8d0*coupl(nGC_103)*coupl(nGC_52)*coupl(nGC_55))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5034) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_83) - cMC*   &
                      coupl(nGC_88) - cMD*coupl(nGC_93) - cMS*coupl(nGC_108) - &
                      cMT*coupl(nGC_113) - cMU*coupl(nGC_123))/(16d0*pi**2d0)
    coupl(nGC_5035) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_83) + cMC*    &
                      coupl(nGC_88) + cMD*coupl(nGC_93) + cMS*coupl(nGC_108) + &
                      cMT*coupl(nGC_113) + cMU*coupl(nGC_123))/(16d0*pi**2d0*Nc&
                      )
    coupl(nGC_5036) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*  &
                      coupl(nGC_33)*coupl(nGC_34) - coupl(nGC_105)*coupl(nGC_85&
                      )*coupl(nGC_88) - coupl(nGC_106)**2d0*coupl(nGC_108) -   &
                      coupl(nGC_106)*coupl(nGC_1835)*coupl(nGC_50) - coupl(    &
                      nGC_106)*coupl(nGC_53)*coupl(nGC_57) - coupl(nGC_108)**  &
                      3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 + 8d0*coupl(    &
                      nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5037) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_108) - coupl(nGC_105)*  &
                      coupl(nGC_1405)*coupl(nGC_33) - coupl(nGC_105)*coupl(    &
                      nGC_85)*coupl(nGC_88) - coupl(nGC_107)**2d0*coupl(nGC_108&
                      ) - coupl(nGC_107)*coupl(nGC_1835)*coupl(nGC_53) - coupl(&
                      nGC_107)*coupl(nGC_50)*coupl(nGC_57) - coupl(nGC_108)**  &
                      3d0 - coupl(nGC_108)*coupl(nGC_109)**2d0 + 8d0*coupl(    &
                      nGC_108)*coupl(nGC_50)*coupl(nGC_53))/(32d0*pi**2d0)
    coupl(nGC_5038) = coupl(nGC_108)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
